= 1.5.4 =
* 포인트 기능 수정 및 포인트/쿠폰 목록 상단 수정
* 커머스 관리자 주문내역 페이지 버튼 수정
* 캐시 플러그인에서 커머스 페이지가 저장되지 않도록 하는 코드 추가
* 멤버십 쿠폰 기능 지원을 위한 확장 기능 수정
  수정파일: mangboard/api/mb-commerce.php	      
	      mangboard/models/commerce/order.php
	      mangboard/models/commerce/point.php
	      mangboard/includes/install/schema/commerce-schema.php
	      mangboard/plugins/commerce/commerce.php
	      mangboard/plugins/commerce/includes/commerce-fields.php
	      mangboard/plugins/commerce/includes/func.commerce.php
	      mangboard/plugins/pg/pg.php
	      mangboard/templates/mtpl.commerce.php
	      mangboard/templates/commerce/point/point-list-header.php
	      mangboard/templates/commerce/coupon/coupon-list-header.php
	      mangboard/templates/commerce/checkout/billing-body.php
* 수정날짜: 25.02.12

= 1.5.3 =
* 결제 금액에 따라 쿠폰을 지급하기 위한 mbw_commerce_today_sales 액션 추가
  수정파일: mangboard/api/mb-commerce.php
	      mangboard/plugins/pg/pg.php
* 수정날짜: 24.12.13

= 1.5.2 =
* 카드결제 완료시 브라우저 보안 기능 때문에 간혹 로그인 쿠키를 불러오지 못했을 경우 장바구니 데이터에 있는 회원번호를 적용
  (크롬 브라우저에서만 1년에 2~3회 정도 발생)
  수정파일: mangboard/api/mb-commerce.php
* 수정날짜: 24.11.20

= 1.5.1 =
* 가상계좌 입금 확인시 1개의 주문이 2개 이상으로 분리될 경우(날짜예약) 카카오 알림톡에 1개의 주문내용만 발송되는 버그 수정
  수정파일: mangboard/plugins/pg/pg.php
* 포인트 주문시에도 order_id 가 테이블에 저장되도록 수정
  수정파일: mangboard/api/mb-commerce.php
* 카카오 소셜로그인시에 닉네임에 이모지가 있을 경우 결제시 이모지 때문에 오류가 발생하는 문제 수정
  수정파일: mangboard/plugins/commerce/includes/func.commerce.php  
	      mangboard/templates/commerce/checkout/billing-body.php
	      mangboard/api/mb-commerce.php
* 법인카드로 결제시 할부를 선택할 경우 오류가 발생하는 문제가 확인되어 할부 설정기능 삭제
  수정파일: mangboard/plugins/pg/inicis/billing-form.php
* 수정날짜: 24.07.11

= 1.5.0 =
* 커머스 대시보드 위젯 상단 제목에 링크 설정
  수정파일: mangboard/includes/admin/commerce_dashboard.php
	      mangboard/includes/admin/order_dashboard.php
* 예약상품 환불요청시 몇일전 환불인지 표시하기 기능 추가 및 부분환불 수정
  수정파일: mangboard/templates/mtpl.commerce.php
	      mangboard/api/mb-commerce.php
	      mangboard/plugins/commerce/js/main.js
* 수정날짜: 24.03.23

= 1.4.9 =
* 리뷰작성 옵션 수정 : 사용안함,사용(주문자만 리뷰등록 가능),사용(누구나 리뷰등록 가능)
  수정파일: mangboard/templates/commerce/product/product-review.php
	      mangboard/templates/mtpl.commerce.php
	      mangboard/models/commerce/product_review.php
	      mangboard/includes/install/plugins/commerce-install.php
* 수정날짜: 24.03.17

= 1.4.8 =
* 커머스 패키지 회원전용(판매가 회원공개) 기능 추가 및 판매가격에 복사 안되는 버그 수정
  수정파일: mangboard/includes/languages/mb-commerce.php
	      mangboard/plugins/commerce/includes/func.commerce.php
	      mangboard/plugins/commerce/includes/commerce-options.php
	      mangboard/templates/commerce/widget/widget-gallery.php
	      mangboard/templates/commerce/product/product-related.php 
	      mangboard/templates/mtpl.commerce.php
	      mangboard/models/commerce/product.php
* 수정날짜: 24.03.15

= 1.4.7 =
* 커머스 패키지 XSS 보안 취약점 수정 및 이니시스 키파일 설치시 파일 점검 기능 추가
  수정파일: mangboard/includes/admin/commerce_dashboard.php
	      mangboard/includes/admin/order_dashboard.php
* 자체 보안 점검 후 보안강화 코드 추가
  수정파일: mangboard/models/commerce/product.php
	      mangboard/models/commerce/lecture.php
	      mangboard/templates/mtpl.commerce.php
	      mangboard/templates/commerce/widget/widget-cart.php
* 수정날짜: 24.01.22

= 1.4.6 =
* 개별결제 상품 추가 및 추천상품 위젯에 desc_maxlength 숏코드 속성 추가
  수정파일: mangboard/templates/commerce/widget/widget-gallery.php
	      mangboard/templates/commerce/css/widget-gallery.css
	      mangboard/models/commerce/product.php
* 수정날짜: 24.01.11

= 1.4.5 =
* 커머스 패키지 이니시스 API 방식으로 수정 (결제취소, 현금영수증)
  수정파일: mangboard/plugins/pg/inicis/functions.php
	      mangboard/plugins/commerce/includes/commerce-cash-receipt.php
	      mangboard/includes/install/plugins/commerce-install.php
	      mangboard/plugins/pg/pg.php
* 수정날짜: 23.07.20

= 1.4.4 =
* 장바구니에서 옵션이 있는 상품이 2개 이상일 경우 하단 결제금액에 옵션금액이 반영되지 않는 버그 수정 (장바구니에서만 발생)
  수정파일: mangboard/templates/mtpl.commerce.php
	      mangboard/plugins/commerce/js/main.js
* 수정날짜: 23.05.04

= 1.4.3 =
* 주문상품 Q&A 등록기능 수정
  수정파일: mangboard/templates/mtpl.commerce.php
	      mangboard/api/mb-commerce.php
	      mangboard/models/commerce/cart.php
	      mangboard/plugins/commerce/js/main.js
* 수정날짜: 22.08.20

= 1.4.2 =
* 주문상품 Q&A 등록기능 수정
  수정파일: mangboard/models/commerce/product_qa.php    
	      mangboard/templates/commerce/product/product-qa.php
	      mangboard/api/mb-template.php
* 수정날짜: 22.07.25

= 1.4.1 =
* 장바구니에서 상품 1개 주문시 장바구니에 담긴 전체 상품 옵션의 재고 상태를 확인하는 버그 수정
* 주문상품 옵션정보에 대한 위변조 체크 기능 추가
  수정파일: mangboard/plugins/commerce/js/main.js
	      mangboard/models/commerce/product.php
	      mangboard/models/commerce/lecture.php
* 수정날짜: 22.07.19

= 1.4.0 =
* 상품페이지에서 파라미터 조작을 통해 장바구니에 담는 수량을 음수로 변경하여 결제 금액에 영향을 줄 수 있는 취약점 수정 [KISA에서 보안점검을 통해 알려주신 취약점 수정]
* 수정날짜: 22.03.04

= 1.3.9 =
* 장바구니에서 파라미터 조작을 통해 주문 수량을 음수로 변경하여 결제 금액에 영향을 줄 수 있는 취약점 수정 [KISA에서 보안점검을 통해 알려주신 취약점 수정]
* 비회원으로 날짜 예약 주문시 주문조회 안되는 버그 수정
* 나의 상품 Q&A 게시판에서 다른 사용자의 Q&A 게시글이 보이는 버그 수정
  수정파일: mangboard/includes/install/schema/commerce-schema.php
	      mangboard/templates/commerce/order/order-search-body.php
	      mangboard/templates/commerce/product/product-qa.php
	      mangboard/api/mb-commerce.php
* 수정날짜: 21.11.17

= 1.3.8 =
* 장바구니에서 주문시 상품재고 체크하기 기능 추가
  수정파일: mangboard/plugins/commerce/includes/func.commerce.php
  	      mangboard/api/mb-commerce.php
* 수정날짜: 21.09.02

= 1.3.7 =
* Paypal 결제취소 및 IPN 결제 기능 추가 (https://홈페이지/?commerce_pay=order_ipn&type=paypal)
* 환불 신청시 환불 신청 이유를 입력받는 팝업 기능 추가
* 장바구니 페이지에서 선택 상품 삭제 기능 추가
  수정파일: mangboard/plugins/pay/pay.php
  	      mangboard/templates/mtpl.commerce.php
  	      mangboard/plugins/commerce/js/main.js
  	      mangboard/api/mb-commerce.php
	      mangboard/templates/commerce/cart/cart-body.php
  수정폴더: mangboard/plugins/pay/paypal
* 수정날짜: 21.07.26

= 1.3.6 =
* 재고관리 옵션 기능 수정 (상품을 장바구니에 담을 경우에도 재고 확인)
  수정파일: mangboard/plugins/commerce/includes/func.commerce.php

= 1.3.5 =
* 결제페이지에서 포인트 사용시 부가세 다시 계산하도록 수정 (이니시스 - 부가세 업체정함 설정업체에 한함)
  수정파일: mangboard/plugins/pg/inicis/billing-form.php
  	      mangboard/plugins/pg/inicis/mobile-form.php

= 1.3.4 =
* 상품전시 안함으로 설정해도 상품목록에서 상품이 전시되는 버그 수정
* 무통장입금시 현금영수정 신청 기능 추가 (이니시스만 해당)
  수정파일: mangboard/plugins/commerce/commerce.php
  	      mangboard/models/commerce/order.php
	      mangboard/models/commerce/my_order.php
	      mangboard/models/commerce/product.php
  추가폴더: mangboard/plugins/pg/inicis/images/
* 수정날짜: 20.12.28

= 1.3.3 =
* 커머스 상품 템플릿 8종 CSS 수정
  수정폴더: mangboard/templates/commerce/
* 수정날짜: 20.12.19

= 1.3.2 =
* 커머스 관리자 > 주문내역 페이지 상단 주문상태 체크박스를 이용한 검색시 체크박스가 고정 안되는 버그 수정
* 주문내역 엑셀 파일 내용 수정
  수정파일: mangboard/models/commerce/order.php
* 수정날짜: 20.11.22

= 1.3.1 =
* 커머스 숏코드에 카테고리 속성 설정시 리뷰 페이지 기능 버그 수정
* 모바일 장바구니 페이지에서 상품 개수 수정 및 삭제 기능 추가
  수정파일: mangboard/models/commerce/product_review.php
	      mangboard/models/commerce/product_qa.php
	      mangboard/models/commerce/cart.php
	      mangboard/templates/mtpl.commerce.php
* 수정날짜: 20.10.28

= 1.3.0 =
* 제주 및 도서산간지역 추가 배송비 자동 설정 기능 버그 수정
  수정파일: mangboard/templates/commerce/checkout/billing-body.php
              mangboard/plugins/commerce/js/main.js
* 수정날짜: 20.07.23

= 1.2.9 =
* 커머스 관리자 > 주문내역 > 결제 상태에 따라 테두리 색을 다르게 보이도록 수정
* 커머스 확장 모듈 기능 수정
  수정파일: mangboard/templates/mtpl.commerce.php
  	      mangboard/templates/commerce/css/main.css
	      mangboard/api/mb-commerce.php
  수정폴더: mangboard/plugins/pg/inicis
* 수정날짜: 20.07.14

= 1.2.8 =
* 이니시스 간편결제 연동 기능 추가 (카카오페이,SamsungPay,PAYCO,L.Pay,SSG페이)
* 별도의 간편결제 서비스 가입절차 없이 이니시스를 통해 간편결제 기능을 추가 (이니시스를 통해 정산)
  (망보드 옵션설정에 간편결제 설정이 나타나지 않을 경우 망보드 플러그인을 비활성화 했다가 다시 활성화)
  수정파일: mangboard/templates/commerce/checkout/billing-body.php
	      mangboard/includes/install/plugins/commerce-install.php
	      mangboard/api/mb-commerce.php	      
	      mangboard/plugins/pg/pg.php
  수정폴더: mangboard/plugins/pg/inicis
* 수정날짜: 20.07.08

= 1.2.7 =
* 네이버페이 연동시 상품 이름에 특수기호가 존재할 경우 인코딩 버그 수정
* 네이버 유입경로 스크립트 전체 페이지에 출력되도록 수정
  수정파일: mangboard/plugins/naver_pay/functions.php
              mangboard/plugins/naver_pay/naver_pay.php
              mangboard/plugins/commerce/includes/commerce-ep.php
* 수정날짜: 20.06.18

= 1.2.6 =
* 커머스 확장 모듈 기능 수정
  수정파일: mangboard/templates/mtpl.commerce.php
              mangboard/plugins/commerce/includes/func.commerce.php
              mangboard/plugins/commerce/js/main.js
* 수정날짜: 20.06.15

= 1.2.5 =
* 강의 카테고리 숏코드 표시 안되는 버그 수정
  수정파일: mangboard/plugins/widgets/commerce_category/commerce_category.php
* 수정날짜: 20.06.03

= 1.2.4 =
* 주문상태 일괄수정 기능 추가
  수정파일: mangboard/plugins/commerce/js/main.js
              mangboard/models/commerce/order.php
* 수정날짜: 20.05.21

= 1.2.3 =
* 회원 주문 상세보기 페이지 주문취소 버튼 추가
* 비회원 주문조회 페이지 주문취소 버튼 추가
  수정파일: mangboard/models/commerce/my_order.php
              mangboard/models/commerce/order.php
              mangboard/api/mb-commerce.php
              mangboard/templates/mtpl.commerce.php
              mangboard/plugins/commerce/js/main.js
* 수정날짜: 20.05.14

= 1.2.2 =
* 상품 상세보기 페이지에서 Q&A 답변 안보이는 버그 수정
  수정파일: mangboard/templates/commerce/product/product-qa.php
              mangboard/templates/commerce/product/product-review.php
* 수정날짜: 20.04.28

= 1.2.1 =
* 결제페이지 > 최근 배송지 주소 설정 기능 추가
* 우커머스 연동 패키지 지원 기능 추가
  수정파일: mangboard/templates/commerce/checkout/billing-body.php
              mangboard/plugins/commerce/includes/commerce-actions.php
* 수정날짜: 20.03.05

= 1.2.0 =
* 비과세 상품이 존재할 경우 부가세 및 면세금액 자동 설정 기능 추가 (이니시스만 가능)
* 수정날짜: 20.02.07

= 1.1.9 =
* 크롬 80 업데이트에 대한 결제 인증 데이타 처리방식 수정
  수정폴더: mangboard/plugins/pay/pay
              mangboard/plugins/pay/pg

= 1.1.8 =
* "주문내역, 판매현황, 장바구니 관리" 메뉴를 MB-ORDER 관리자 메뉴로 분리
* 상품 주문취소 및 결제취소시에 상품 판매 개수 차감되도록 수정
  수정파일: mangboard/plugins/commerce/includes/func.commerce.php
              mangboard/api/mb-commerce.php
* 모바일 결제창 크기 및 위치 최적화 작업
  수정파일: mangboard/templates/commerce/checkout/billing-body.php
              mangboard/api/mb-commerce.php
  수정폴더: mangboard/plugins/pay/pay
              mangboard/plugins/pg/pg
* 우편번호 주소찾기 기능: 브라우저 팝업방식에서 레이어 방식으로 수정
  수정파일: mangboard/templates/mtpl.commerce.php
              mangboard/plugins/commerce/js/main.js

= 1.1.7 =
* 우커머스 연동 기능 추가
* 카카오페이 결제 기능 추가

= 1.1.6 =
* 제주 및 도서산간지역 추가 배송비 자동 설정 기능 추가
  수정파일: mangboard/templates/mtpl.commerce.php, mangboard/plugins/commerce/js/main.js, mangboard/templates/commerce/checkout/billing-body.php

= 1.1.5 =
* 주문내역 엑셀 저장 기능 수정(주문,송장)
* 멀티 카테고리 지원기능 추가

= 1.1.4 =
* 일부환경에서 결제 취소 기능 동작하지 않는 버그 수정

= 1.1.3 =
* 커머스 상품목록 템플릿 8종 추가
* 커머스 카테고리 템플릿 9종 추가
* 커머스 템플릿 숏코드 속성 추가
* 상품 목록 이미지 - 2~8초 간격으로 교체 이미지 설정 기능 추가
* 상품 목록 이미지 - 마우스 오버시 교체 이미지 설정 기능 추가
* 다음 쇼핑하우 기능 버그 수정

= 1.1.2 =
* 커머스 리뷰 및 Q&A 페이지 버그 수정
* 커머스 모바일 결제 화면 최적화

= 1.1.1 =
* 상품마다 결제방식을 다르게 적용할 수 있는 기능 추가
* 커머스 숏코드 속성 추가
* 상품 템플릿 추가

= 1.1.0 =
* 커머스 대시보드 > 이니시스 키파일 자동 설치 기능 추가
* 커머스 대시보드 > PG 결제 설정 도움말 멘트 표시
* 택배 배송조회 기능을 다음 검색 배송조회 기능으로 수정

= 1.0.11 =
* 네이버 EP 3.0 버젼 지원

= 1.0.10 =
* 나이스페이 결제 기능 추가

= 1.0.9 =
* 모바일 가상계좌 출력안되는 버그 수정

= 1.0.8 =
* 네이버 페이 옵션 수정 및 버그 수정

= 1.0.7 =
* 상품 배송비 설정 버그 수정
* 페이팔 결제 기능 추가
* 상품 갤러리 마우스 오버시 이미지 확대 모션효과 추가
* 상품 구매하기 주소로 바로가는 기능 추가 (추가완료) 
   => 상품 주소에 checkout=1을 붙이면 구매하기 주소로 이동
   ex) 상품주소: http://홈페이지/store/?vd=1
        구매주소: http://홈페이지/store/?vid=1&checkout=1

= 1.0.6 =
* 옵션 재고관리 기능 추가
* 지식쇼핑 연동기능 추가

= 1.0.5 =
* 모바일앱 연동 기능 추가

= 1.0.4 =
* minor bug 수정

= 1.0.3 =
* 보안 기능 수정

= 1.0.2 =
* 템플릿 기능 수정
* minor bug 수정

= 1.0.1 =
* 상품 정보 페이지 옵션 추가
* 커머스 위젯 상품 정보 연결 기능 수정
* minor bug 수정

= 1.0.0 =
* Release (2016.6.12)