<?php 
if(!defined('_MB_')) exit();
if(empty($_GET['product_type'])) $product_type			= "product";
else $product_type			= mbw_value_filter($_GET['product_type'],"name");

$product_class		= "";
$lecture_class		= "";
if($product_type=="product"){
	$product_class		= " nav-tab-active";
}else if($product_type=="lecture"){
	$lecture_class		= " nav-tab-active";
}
$board_name				= "commerce_".$product_type;
$category_text				= mbw_get_product_category($board_name);
if(empty($category_text)) $category_text		= "{}";
else if(strpos($category_text, '{')===false){
	$category_array		= explode(",",$category_text);
	for($i=0;$i<count($category_array);$i++){
		$category_array[$i]		= '"'.$category_array[$i].'":"'.$category_array[$i].'"';
	}
	$category_text			= '{'.implode(',',$category_array).'}';
}
?>
<script type="text/javascript">
</script>
<style type="text/css">
</style>

<div class="wrap">
	<h2 class="nav-tab-wrapper wp-clearfix">
		<a href="<?php echo admin_url('admin.php');?>?page=mbw_commerce_category" class="nav-tab<?php echo $product_class;?>">상품 카테고리</a>
		<a href="<?php echo admin_url('admin.php');?>?page=mbw_commerce_category&product_type=lecture" class="nav-tab<?php echo $lecture_class;?>">강의 카테고리</a>
	</h2>

	<div>
	  <div id="user-menu" style="font-size:13px;padding:10px 0 ;font-weight:bold;">카테고리는 드래그&드랍 기능을 이용하여 3단까지 설정이 가능합니다</div>
	  <div class="dd" id="mc_category"  style="width:30%;display: inline-block;min-width:270px;margin:0 100px 0 0px;">
		<button id="mc_category_add_item_btn" class="dd-new-item" style="font-size:13px;padding:5px 0;">카테고리 추가</button>
		<li class="dd-item-blueprint">
		  <button class="collapse" data-action="collapse" type="button" style="display: none;">–</button>
		  <button class="expand" data-action="expand" type="button" style="display: none;">+</button>
		  <div class="dd-handle dd3-handle">&nbsp;</div>
		  <div class="dd3-content">
			<span class="item-name">[item_name]</span>
			<div class="dd-button-container">
			  <button class="item-add">+</button>
			  <button class="item-remove" data-confirm-class="item-remove">&times;</button>
			</div>
			<div class="dd-edit-box" style="display: none;width:85%;">
			  <input type="text" name="title" style="width:80%;" autocomplete="off" placeholder="Item"
					 data-placeholder="카테고리명을 입력해 주세요"
					 data-default-value="카테고리{?numeric.increment}">
				<i class="end-edit">save</i>
			</div>
		  </div>
		</li>
		<ol class="dd-list"></ol>
	  </div>

	  <div id="mc_category_output" class="output-preview-container" style="width:45%;min-width:270px;display:inline-block;vertical-align: top;">
		<div style="padding:12px 0 5px;font-weight:bold;">JSON Output Preview</div>
		<form name="commerce_category_form" id="commerce_category_form" method="post" enctype="multipart/form-data" autocomplete="off">
			<?php echo mbw_create_nonce("form"); ?>
			<textarea style="width: 100%; min-height: 500px;" id="category_data_output" name="category_data" class="jsonOutput"></textarea>
			<input type="hidden" name="mode" value="commerce" />
			<input type="hidden" name="board_action" value="modify_admin_category" />
			<input type="hidden" name="board_name" value="board_options" />
			<input type="hidden" name="product_type" value="<?php echo $product_type;?>" />
		</form>
		<div style="text-align:right;"><button class="button button-primary" titile="저장하기" onclick="sendCommerceCategoryData();return false;">저장하기</button></div>
	  </div>
	</div>
</div>


<script type="text/javascript">
  function sendCommerceCategoryData(){
	  if(jQuery("#category_data_output").val()=="{}") jQuery("#category_data_output").val("");
	  sendCommerceFormData('commerce_category_form');
  }
  jQuery(document).ready(function() {
	var $mc_category         = jQuery('#mc_category'),
		mc_category           = jQuery('#mc_category').domenu(),
		$outputContainer		= jQuery('#mc_category_output'),
		$jsonOutput			= $outputContainer.find('.jsonOutput');

	$mc_category.domenu({
        slideAnimationDuration: 0,
        data: mc_category.convertMBJson('<?php echo $category_text;?>')
      })
      .onCreateItem(function(blueprint) {
      })
      .parseJson()
      .on(['onItemCollapsed', 'onItemExpanded', 'onItemAdded', 'onSaveEditBoxInput', 'onItemDrop', 'onItemDrag', 'onItemRemoved', 'onItemEndEdit'], function(a, b, c) {
		$jsonOutput.val(mc_category.toMBJson());
      })
	  $jsonOutput.val(mc_category.toMBJson());
  });
</script>
<link rel="stylesheet" type="text/css" href="<?php echo MBW_PLUGIN_URL;?>plugins/commerce/css/jquery.mb-domenu.css"/>

<script src="<?php echo MBW_PLUGIN_URL;?>plugins/commerce/js/jquery.mb-domenu.js"></script>
