<?php 
global $mb_commerce_tables,$mb_commerce_order_state,$mb_commerce_pg_method;

if(!defined('_MB_')) exit();
do_action('mbw_commerce_dashboard_init');
$dashboard_data		= array();
$mb_version			= mbw_get_option("mb_version");

if(mbw_is_admin() && is_super_admin() && wp_verify_nonce(mbw_get_param('mbw-inicis-nonce'), 'mbw-inicis-key')){
	if((!empty($_FILES) && !empty($_FILES['inicis_key']['name']))){

		$tmp_name		= $_FILES['inicis_key']['tmp_name'];
		$temp_name		= $_FILES['inicis_key']['name'];
		$file_array			= explode(".",$temp_name);
		$file_ext				= array_pop($file_array);
		$file_ext				= strtolower($file_ext);
		if(empty($file_array[0])) return;
		$file_name			= $file_array[0];

		if(!empty($file_name) && strpos($file_name,'MBD')===0){
			//파일이 있으면 전송하고 폴더만들고 권한설정
			$url					= wp_nonce_url(admin_url("admin.php?page=mbw_commerce_dashboard"), 'mangboard-inicis');
			if(($creds=request_filesystem_credentials($url))===false) return;
			if(!WP_Filesystem($creds)){request_filesystem_credentials($url);return;}

			global $wp_filesystem;		
			$content_dir		= trailingslashit($wp_filesystem->find_folder(WP_CONTENT_DIR));
			$copy_dir			= 'plugins/mangboard/plugins/pg/inicis/key/'.$file_name;
			$copy_path			= $content_dir.$copy_dir;
			
			if(!is_dir(WP_CONTENT_DIR.'/'.$copy_dir)){
				$wp_filesystem->mkdir( $copy_path, 0755 );
			}

			$file_array		= array("keypass.enc","mcert.pem","mpriv.pem","readme.txt");
			$check_file		= true;
			if(class_exists('ZipArchive')){
				$zip = new ZipArchive;
				if($zip->open($tmp_name) === TRUE) {
					for($i = 0; $i < $zip->numFiles; $i++){  
						$filename			= $zip->getNameIndex($i);
						if(!empty($filename) && in_array($filename, $file_array)===false){
							$check_file	= false;
						}
					}
				}
			}else{
				require_once(ABSPATH . 'wp-admin/includes/class-pclzip.php');
				$archive	= new PclZip($tmp_name);
				$result	= $archive->listContent();
				foreach($result as $item){
					if(!empty($item["filename"]) && in_array($item["filename"], $file_array)===false){
						$check_file		= false;
					}
				}					
			}
			if($check_file){
				$unzipfile			= unzip_file( $tmp_name, $copy_path);
				if($unzipfile){
					$mdb->query("update ".$mb_admin_tables["options"]." set ".$mb_fields["options"]["fn_option_value"]."='".$file_name."' where ".$mb_fields["options"]["fn_option_name"]."='commerce_pg_inicis_mid'");
					$wp_filesystem->chmod( $copy_path.'/keypass.enc', 0755);
					$wp_filesystem->chmod( $copy_path.'/mcert.pem', 0755);
					$wp_filesystem->chmod( $copy_path.'/mpriv.pem', 0755);
					$delete_file		= $copy_path.'/readme.txt';
					if($delete_file!="/" && strpos($delete_file, 'wp-content/plugins/mangboard')!==false && $wp_filesystem->is_file($delete_file)){
						$wp_filesystem->delete($delete_file);
					}
					echo '<script>alert("이니시스 키파일('.$file_name.')이 정상적으로 설치 되었습니다");</script>';
				}else{
					echo '<script>alert("Upload Failed");moveURL("'.admin_url('admin.php?page=mbw_commerce_dashboard').'");</script>';exit;
				}
			}else{
				echo '<script>alert("정상적인 이니시스 키파일이 아닙니다");moveURL("'.admin_url('admin.php?page=mbw_commerce_dashboard').'");</script>';exit;
			}
		}else{
			echo '<script>alert("MBD로 시작하는 키파일만 설치가 가능합니다");</script>';
		}
	}
}

$mb_locale				= get_option("mb_locale");
if(empty($mb_locale)){ $mb_locale	= mbw_get_option("locale"); }
$feed_url					= "https://demo.mangboard.com/commerce_dashboard_data.php?lang=".$mb_locale;
$feed_item				= mbw_commerce_fetch_feed($feed_url);
$latest_version			= '1.0.0';
$dashboard_title			= "";
$dashboard_desc		= "";

if(!empty($feed_item)){	
	if(!empty($feed_item["notice"])){
		$dashboard_desc		= $feed_item["notice"];
	}
	if(!empty($feed_item["version"])){
		$latest_version			= $feed_item["version"];
	}
}

if(mbw_get_option("commerce_item_type")!="virtual" && mbw_get_option("commerce_item_type")!="file"){
	$commerce_template_type		= "shipping";
}else{
	$commerce_template_type		= "virtual";
}
?>
<script type="text/javascript">
function mbw_upload_inicis_key(){				
	if(document.getElementById('mb_inicis_key').value){
		document.forms['mb_upload_inicis_key'].submit();
	}else{
		alert('이니시스 키파일을 선택해주세요');
	}
}
</script>
<style type="text/css">
.mb-dash {margin-top:10px;}
.mb-dash table {border-collapse: collapse;table-layout: fixed;word-break: break-all;min-height:209px;}
.mb-dash table td{padding:1px 2px 0px;border:1px solid #eee;font-size:13px;}
.mb-dash table th{background-color:#F6F6F6;border:1px solid #eee;}
.mb-dash .text-left{text-align:left;padding-left:8px !important;}
.mb-dash .mb-dash-title{font-size: 21px;margin: 0;line-height: 1.2;display: block;font-weight: 600;float:left;padding:2px 30px 0 0;}
.mb-dash .mb-dash-panel-title{font-size: 16px;padding: 10px 0 0;margin: 0;line-height: 2.1;display: block;font-weight: 600;}
.mb-dash .mb-dash-box-title{font-size: 14px;padding: 8px 12px;margin: 0;line-height: 1.4;border-bottom: 1px solid #eee;display: block;font-weight: 600;}
.mb-dash .mb-welcome-panel{margin:0px 0 0px !important;padding: 12px 0px 0 !important;box-shadow:none !important;position: relative;overflow: auto;border: 1px solid #c3c4c7;box-shadow: 0 1px 1px rgb(0 0 0 / 4%);background: #fff;font-size: 13px;line-height: 1.7; }
.mb-dash .about-description{display:none !important;}
.mb-dash .mb-welcome-panel .mb-welcome-panel-column:first-child {width: 36%;}
.mb-dash .mb-welcome-panel .mb-welcome-panel-column {width: 32%;min-width: 200px;float: left;}
body.mobile .mb-dash .mb-welcome-panel-column, body.mobile .mb-dash .mb-welcome-panel .mb-welcome-panel-column:first-child {display: block;float: none;width: 100%;}

.mb-dash .mb-welcome-panel td{line-height:1.6 !important }
.mb-dash .mb-welcome-panel-content{margin-left:13px;max-width:1500px;}
.mb-dash .mb-dash-box{border: 1px solid #e5e5e5;border-top:none;box-shadow: 0 1px 1px rgba(0,0,0,.04);background: #fff;}
.mb-dash .mb-text-small{font-size:0.9;color:#999;}
.mb-dash .rss-widget div span.rss-date {margin-left:0px !important;}
.mb-dash a{text-decoration: none !important;}
.mb-dash .button{min-height:30px !important;line-height:2}
.mb-dash select,.mb-board input{min-height:30px;line-height:normal;font-size:13px;}
.mb-mobile .width-m100{width:100% !important;display:block !important;text-align:center !important;line-height:14px;margin:0 !important;}
.mb-dash .handlediv{display:none;}
</style>
<?php do_action('mbw_commerce_dashboard_header'); ?>
<?php if(!empty($dashboard_title)) echo "<div>".$dashboard_title."</div>"; ?>		
<div id="wpbody" role="main" class="mb-dash mb-<?php echo mbw_get_vars("device_type");?>">
<div id="wpbody-content" aria-label="메인 컨텐트" tabindex="0" style="overflow: hidden;">

	<div id="mb-welcome-panel" class="mb-welcome-panel">
	<div class="mb-welcome-panel-content">
		
		<div>
			<div class="mb-dash-title">쇼핑몰 대시보드</div>			
			<div class="clear"></div>
		</div>
		
		
		<p class="about-description"></p>
		<div class="mb-welcome-panel-column-container">
			<div class="mb-welcome-panel-column">
				<div class="mb-dash-panel-title">미니 통계</div>
				<div style="text-align:center;width:90%;">
					<?php
					//$items		= $mdb->get_results("select today_sales,today_payment_count from `".$mb_admin_tables["analytics"]."` order by ".$mb_fields["analytics"]["fn_pid"]." desc limit 0,2",ARRAY_A);					
					//if(count($items)==1) $items[]	= array("today_sales"=>0,"today_payment_count"=>0,"order"=>0,"cancel"=>0,"qanda"=>0,"review"=>0);
					$items	= array();
					$items[]	= array("sales"=>0,"payment_count"=>0,"order"=>0,"cancel"=>0,"qanda"=>0,"review"=>0);
					$items[]	= array("sales"=>0,"payment_count"=>0,"order"=>0,"cancel"=>0,"qanda"=>0,"review"=>0);
					$items[]	= array("sales"=>0,"payment_count"=>0,"order"=>0,"cancel"=>0,"qanda"=>0,"review"=>0);
					$items[]	= array("sales"=>0,"payment_count"=>0,"order"=>0,"cancel"=>0,"qanda"=>0,"review"=>0);

					$current_date				= mbw_get_current_date();
					$yesterday_date			= date(mbw_get_option("date_format"), mbw_get_timestamp()-(24*60*60));
					$this_month_date			= date("Y-m", mbw_get_timestamp());
					$date_ym					= explode("-",$this_month_date);					
					$last_month_date			= date("Y-m",mktime(0,0,0,intval($date_ym[1])-1,1,intval($date_ym[0])));					
					$last_month_end_date	= date("t",mktime(0,0,0,intval($date_ym[1])-1,1,intval($date_ym[0])));
				
					$items[0]["sales"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"sum(order_price)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$current_date."' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$current_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='complete'"));
					$items[1]["sales"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"sum(order_price)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$yesterday_date."' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$yesterday_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='complete'"));

					$items[0]["payment"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$current_date."' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$current_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='complete'"));
					$items[1]["payment"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$yesterday_date."' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$yesterday_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='complete'"));

					$items[0]["order"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_reg_date"].">='".$current_date."' AND ".$mb_fields["commerce_order"]["fn_reg_date"]."< DATE_ADD('".$current_date."', INTERVAL 1 DAY))"));
					$items[1]["order"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_reg_date"].">='".$yesterday_date."' AND ".$mb_fields["commerce_order"]["fn_reg_date"]."< DATE_ADD('".$yesterday_date."', INTERVAL 1 DAY))"));

					$items[0]["cancel"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_modify_date"].">='".$current_date."' AND ".$mb_fields["commerce_order"]["fn_modify_date"]."< DATE_ADD('".$current_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='cancel'"));
					$items[1]["cancel"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_modify_date"].">='".$yesterday_date."' AND ".$mb_fields["commerce_order"]["fn_modify_date"]."< DATE_ADD('".$yesterday_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='cancel'"));

					$items[0]["wait"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$current_date."' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$current_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='wait'"));
					$items[1]["wait"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$yesterday_date."' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$yesterday_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='wait'"));

					
									
					
					$items[2]["sales"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"sum(order_price)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$this_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$this_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='complete'"));
					$items[3]["sales"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"sum(order_price)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$last_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$last_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='complete'"));

					$items[2]["payment"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$this_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$this_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='complete'"));
					$items[3]["payment"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$last_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$last_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='complete'"));

					$items[2]["order"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_reg_date"].">='".$this_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_reg_date"]."< DATE_ADD('".$this_month_date."-01', INTERVAL 1 MONTH))"));
					$items[3]["order"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_reg_date"].">='".$last_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_reg_date"]."< DATE_ADD('".$last_month_date."-01', INTERVAL 1 MONTH))"));


					$items[2]["cancel"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_modify_date"].">='".$this_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_modify_date"]."< DATE_ADD('".$this_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='cancel'"));
					$items[3]["cancel"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_modify_date"].">='".$last_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_modify_date"]."< DATE_ADD('".$last_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='cancel'"));


					$items[2]["wait"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$this_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$this_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='wait'"));
					$items[3]["wait"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_pay_date"].">='".$last_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$last_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_pay_state"]."='wait'"));

					if($commerce_template_type== "shipping"){
						$items[0]["shipping"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_modify_date"].">='".$current_date."' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$current_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_order_state"]."='processing_shipping'"));
						$items[1]["shipping"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_modify_date"].">='".$yesterday_date."' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$yesterday_date."', INTERVAL 1 DAY)) AND ".$mb_fields["commerce_order"]["fn_order_state"]."='processing_shipping'"));

						$items[2]["shipping"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_modify_date"].">='".$this_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$this_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_order_state"]."='processing_shipping'"));
						$items[3]["shipping"]		= ($mdb->get_var($mstore->get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_order"]))." WHERE (".$mb_fields["commerce_order"]["fn_modify_date"].">='".$last_month_date."-01' AND ".$mb_fields["commerce_order"]["fn_pay_date"]."< DATE_ADD('".$last_month_date."-01', INTERVAL 1 MONTH)) AND ".$mb_fields["commerce_order"]["fn_order_state"]."='processing_shipping'"));
					}

					$order_url					= '?page=mbw_commerce_order&search_range=on&start_date=';
					if(!empty($items[0]["order"])) $items[0]["order"]		= '<a href="'.$order_url.$current_date.'&end_date='.$current_date.'">'.$items[0]["order"]."</a>";		//오늘
					if(!empty($items[1]["order"])) $items[1]["order"]		= '<a href="'.$order_url.$yesterday_date.'&end_date='.$yesterday_date.'">'.$items[1]["order"]."</a>";		//어제
					if(!empty($items[2]["order"])) $items[2]["order"]		= '<a href="'.$order_url.$this_month_date.'-01&end_date='.$current_date.'">'.$items[2]["order"]."</a>";		//이번달
					if(!empty($items[3]["order"])) $items[3]["order"]		= '<a href="'.$order_url.$last_month_date.'-01&end_date='.$last_month_date."-".$last_month_end_date.'">'.$items[3]["order"]."</a>";		//지난달

					$wait_url					= '?page=mbw_commerce_order&search_add_field1=fn_pay_state&search_add_text1=wait&date_field=fn_modify_date&search_range=on&start_date=';
					if(!empty($items[0]["wait"])) $items[0]["wait"]			= '<a href="'.$wait_url.$current_date.'&end_date='.$current_date.'">'.$items[0]["wait"]."</a>";		//오늘
					if(!empty($items[1]["wait"])) $items[1]["wait"]			= '<a href="'.$wait_url.$yesterday_date.'&end_date='.$yesterday_date.'">'.$items[1]["wait"]."</a>";		//어제
					if(!empty($items[2]["wait"])) $items[2]["wait"]			= '<a href="'.$wait_url.$this_month_date.'-01&end_date='.$current_date.'">'.$items[2]["wait"]."</a>";		//이번달
					if(!empty($items[3]["wait"])) $items[3]["wait"]			= '<a href="'.$wait_url.$last_month_date.'-01&end_date='.$last_month_date."-".$last_month_end_date.'">'.$items[3]["wait"]."</a>";		//지난달

					$shipping_url				= '?page=mbw_commerce_order&search_add_field1=fn_order_state&search_add_text1=processing_shipping&date_field=fn_modify_date&search_range=on&start_date=';
					if(!empty($items[0]["shipping"])) $items[0]["shipping"]	= '<a href="'.$shipping_url.$current_date.'&end_date='.$current_date.'">'.$items[0]["shipping"]."</a>";		//오늘
					if(!empty($items[1]["shipping"])) $items[1]["shipping"]	= '<a href="'.$shipping_url.$yesterday_date.'&end_date='.$yesterday_date.'">'.$items[1]["shipping"]."</a>";		//어제
					if(!empty($items[2]["shipping"])) $items[2]["shipping"]	= '<a href="'.$shipping_url.$this_month_date.'-01&end_date='.$current_date.'">'.$items[2]["shipping"]."</a>";		//이번달
					if(!empty($items[3]["shipping"])) $items[3]["shipping"]	= '<a href="'.$shipping_url.$last_month_date.'-01&end_date='.$last_month_date."-".$last_month_end_date.'">'.$items[3]["shipping"]."</a>";		//지난달

					$cancel_url					= '?page=mbw_commerce_order&search_add_field1=fn_pay_state&search_add_text1=cancel&date_field=fn_modify_date&search_range=on&start_date=';
					if(!empty($items[0]["cancel"])) $items[0]["cancel"]		= '<a href="'.$cancel_url.$current_date.'&end_date='.$current_date.'">'.$items[0]["cancel"]."</a>";		//오늘
					if(!empty($items[1]["cancel"])) $items[1]["cancel"]		= '<a href="'.$cancel_url.$yesterday_date.'&end_date='.$yesterday_date.'">'.$items[1]["cancel"]."</a>";		//어제
					if(!empty($items[2]["cancel"])) $items[2]["cancel"]		= '<a href="'.$cancel_url.$this_month_date.'-01&end_date='.$current_date.'">'.$items[2]["cancel"]."</a>";		//이번달
					if(!empty($items[3]["cancel"])) $items[3]["cancel"]		= '<a href="'.$cancel_url.$last_month_date.'-01&end_date='.$last_month_date."-".$last_month_end_date.'">'.$items[3]["cancel"]."</a>";		//지난달
					
					$pament_url				= '?page=mbw_commerce_order&search_add_field1=fn_pay_state&search_add_text1=complete&date_field=fn_pay_date&search_range=on&start_date=';
					if(!empty($items[0]["payment"])) $items[0]["payment"]		= '<a href="'.$pament_url.$current_date.'&end_date='.$current_date.'">'.$items[0]["payment"]."</a>";		//오늘
					if(!empty($items[1]["payment"])) $items[1]["payment"]		= '<a href="'.$pament_url.$yesterday_date.'&end_date='.$yesterday_date.'">'.$items[1]["payment"]."</a>";		//어제
					if(!empty($items[2]["payment"])) $items[2]["payment"]		= '<a href="'.$pament_url.$this_month_date.'-01&end_date='.$current_date.'">'.$items[2]["payment"]."</a>";		//이번달
					if(!empty($items[3]["payment"])) $items[3]["payment"]		= '<a href="'.$pament_url.$last_month_date.'-01&end_date='.$last_month_date."-".$last_month_end_date.'">'.$items[3]["payment"]."</a>";		//지난달

					echo '<table cellspacing="0" cellpadding="0" style="width:100%;">';
					echo '<colgroup><col style="26%"><col style="width:37%"><col style="width:37%"></colgroup>';
					echo '<thead><tr><th scope="col">구분</th><th scope="col">이번달<span class="mb-text-small">(지난달)</th><th scope="col">오늘<span class="mb-text-small">(어제)</th></tr></thead>';
					echo '<tbody>';					

					//echo '<tr><td>상품 Q&A</td><td>'.$items[2]["qanda"].'<span class="mb-text-small">('.$items[3]["qanda"].')</span></td><td>'.$items[0]["qanda"].'<span class="mb-text-small">('.$items[1]["qanda"].')</span></td></tr>';
					//echo '<tr><td>상품 리뷰</td><td>'.$items[2]["review"].'<span class="mb-text-small">('.$items[3]["review"].')</span></td><td>'.$items[0]["review"].'<span class="mb-text-small">('.$items[1]["review"].')</span></td></tr>';
					echo '<tr><td>상품주문</td><td>'.$items[2]["order"].'<span class="mb-text-small">('.$items[3]["order"].')</span></td><td>'.$items[0]["order"].'<span class="mb-text-small">('.$items[1]["order"].')</span></td></tr>';
					echo '<tr><td>상품취소</td><td>'.$items[2]["cancel"].'<span class="mb-text-small">('.$items[3]["cancel"].')</span></td><td>'.$items[0]["cancel"].'<span class="mb-text-small">('.$items[1]["cancel"].')</span></td></tr>';
					echo '<tr><td>입금대기</td><td>'.$items[2]["wait"].'<span class="mb-text-small">('.$items[3]["wait"].')</span></td><td>'.$items[0]["wait"].'<span class="mb-text-small">('.$items[1]["wait"].')</span></td></tr>';
					if($commerce_template_type== "shipping") echo '<tr><td>배송처리</td><td>'.$items[2]["shipping"].'<span class="mb-text-small">('.$items[3]["shipping"].')</span></td><td>'.$items[0]["shipping"].'<span class="mb-text-small">('.$items[1]["shipping"].')</span></td></tr>';
					echo '<tr><td>결제완료</td><td>'.$items[2]["payment"].'<span class="mb-text-small">('.$items[3]["payment"].')</span></td><td>'.$items[0]["payment"].'<span class="mb-text-small">('.$items[1]["payment"].')</span></td></tr>';
					echo '<tr><td>결제금액</td><td><span class="width-m100">'.mbw_set_format($items[2]["sales"]).'</span><span class="mb-text-small">('.mbw_set_format($items[3]["sales"]).')</span></td><td><span class="width-m100">'.mbw_set_format($items[0]["sales"]).'</span><span class="mb-text-small">('.mbw_set_format($items[1]["sales"]).')</span></td></tr>';
					echo '</tbody></table>';

					?>
				</div>
				<div style="padding:6px 0px;"></div>
			</div>

			<div class="mb-welcome-panel-column">
				<div class="mb-dash-panel-title">상품 판매 순위<span style="font-size:12px;color:#999;line-height:1.2em;"> (30일)</span></div>
				<div style="text-align:center;width:90%;">
					<?php
					$search_date		= date("Y-m-d H:i:s", (mbw_get_timestamp()-(60*60*24*30)));
					$fields				= $mb_fields["commerce_cart"];
					$products			= $mdb->get_results("select ".$fields["fn_title"].", sum(".$fields["fn_order_count"].") as count1 from ".$mb_commerce_tables["commerce_cart"]." where ".$mb_fields["referers"]["fn_reg_date"].">'".$search_date."' and ".$fields["fn_is_order"]."=1 group by ".$fields["fn_product_pid"]." order by count1 desc limit 6",ARRAY_A);

					echo '<table cellspacing="0" cellpadding="0" style="width:100%;">';
					echo '<colgroup><col style="15%"><col style="width:65%"><col style="width:20%"></colgroup>';
					echo '<thead><tr><th scope="col">순위</th><th scope="col">상품명</th><th scope="col">개수</th></tr></thead>';
					echo '<tbody>';				
					$rank		= 1;
					foreach($products as $item){
						echo '<tr><td>'.$rank.'</td><td class="text-left">'.$item[$fields["fn_title"]].'</td><td>'.$item["count1"].'</td></tr>';
						$rank++;
					}					
					echo '</tbody></table>';
					?>
				</div>
				<div style="padding:6px 0px;"></div>
			</div>

			<div class="mb-welcome-panel-column">
				<div class="mb-dash-panel-title">장바구니 순위<span style="font-size:12px;color:#999;line-height:1.2em;"> (30일)</span></div>
				<div style="text-align:center;width:90%;">
					<?php
					$search_date		= date("Y-m-d H:i:s", (mbw_get_timestamp()-(60*60*24*30)));
					$fields				= $mb_fields["commerce_cart"];
					$products			= $mdb->get_results("select ".$fields["fn_title"].", sum(".$fields["fn_order_count"].") as count1 from ".$mb_commerce_tables["commerce_cart"]." where ".$mb_fields["referers"]["fn_reg_date"].">'".$search_date."' group by ".$fields["fn_product_pid"]." order by count1 desc limit 6",ARRAY_A);

					echo '<table cellspacing="0" cellpadding="0" style="width:100%;">';
					echo '<colgroup><col style="15%"><col style="width:65%"><col style="width:20%"></colgroup>';
					echo '<thead><tr><th scope="col">순위</th><th scope="col">상품명</th><th scope="col">개수</th></tr></thead>';
					echo '<tbody>';				
					$rank		= 1;
					foreach($products as $item){
						echo '<tr><td>'.$rank.'</td><td class="text-left">'.$item[$fields["fn_title"]].'</td><td>'.$item["count1"].'</td></tr>';
						$rank++;
					}					
					echo '</tbody></table>';
					?>
				</div>
				<div style="padding:6px 0px;"></div>
			</div>

		</div>
	</div>
	</div>
	<?php
		if(mbw_is_admin() && is_super_admin()){
			$commerce_pay_pg		= mbw_get_option("commerce_pay_pg");	
			if($commerce_pay_pg=='inicis' && (mbw_get_option("commerce_pg_inicis_mid")=="" || mbw_get_option("commerce_pg_inicis_mid")=="INIpayTest")){		//이니시스 키파일이 존재하지 않을 경우 자동 설치 기능 표시
				$inicis_key			= trim($mdb->get_var("select ".$mb_fields["options"]["fn_option_value"]." from `".$mb_admin_tables["options"]."` WHERE ".$mb_fields["options"]["fn_option_name"]."='commerce_pg_inicis_key' limit 1"));
				$inicis_mid			= trim($mdb->get_var("select ".$mb_fields["options"]["fn_option_value"]." from `".$mb_admin_tables["options"]."` WHERE ".$mb_fields["options"]["fn_option_name"]."='commerce_pg_inicis_mid' limit 1"));
				$key_path			= 'plugins/mangboard/plugins/pg/inicis/key/'.$inicis_mid;
				if(empty($inicis_mid) || !is_dir(WP_CONTENT_DIR.'/'.$key_path)){
					echo '<div class="mb-dash-box" style="padding:5px 12px">';
						echo '<form id="mb_upload_inicis_key" name="mb_upload_inicis_key" action="'.admin_url('admin.php?page=mbw_commerce_dashboard').'" method="post" enctype="multipart/form-data">';
						echo '<div style="font-size: 15px;padding: 3px 0 2px;margin: 0;font-weight: 600;color:#E03030;">설정안내 &gt; 이니시스 상점 키파일 업로드</div>';
						echo '<div style="font-size: 13px;padding: 3px 0 2px;margin: 0;">실제 결제 설정을 위해 이니시스로 부터 받은 키파일(MBDxxxxx.zip)을 자동 설치해 주는 기능입니다</div>';
						echo '<input type="file" name="inicis_key" id="mb_inicis_key" accept=".zip" style="width:250px;">';
						echo '<input type="button" onclick="mbw_upload_inicis_key();return false;" class="button-primary" value="'.__('파일전송', 'mangboard').'">';
						echo wp_nonce_field('mbw-inicis-key', 'mbw-inicis-nonce');
						echo '</form>';
					echo '</div>';
				}else if(empty($inicis_key)){
					echo '<div class="mb-dash-box" style="padding:5px 12px">';
						echo '<div style="font-size: 15px;padding: 3px 0 2px;margin: 0;font-weight: 600;color:#E03030;">설정안내 &gt; 이니시스 SignKEY 설정</div>';
						echo '<div style="font-size: 13px;padding: 3px 0 2px;margin: 0;">실제 결제 설정을 위해 MangBoard>옵션설정>INICIS SignKEY를 입력해 주세요</div>';
					echo '</div>';
				}else if(mbw_get_option("commerce_pay_platform")=="" || mbw_get_option("commerce_pay_platform")=="test"){
					echo '<div class="mb-dash-box" style="padding:5px 12px">';
						echo '<div style="font-size: 15px;padding: 3px 0 2px;margin: 0;font-weight: 600;color:#E03030;">설정안내 &gt; 실제 결제 설정</div>';
						echo '<div style="font-size: 13px;padding: 3px 0 2px;margin: 0;">테스트 결제에서 실제 결제로 변경하시려면 MangBoard>옵션설정에서 "결제 타입"을 실제 결제로 변경해 주세요</div>';
					echo '</div>';
				}
			}else if($commerce_pay_pg=='nicepay' && (mbw_get_option("commerce_pg_nicepay_mid")=="" || mbw_get_option("commerce_pg_nicepay_mid")=="nicepay00m" || mbw_get_option("commerce_pg_nicepay_key2")=="")){
				$nicepay_mid	= trim($mdb->get_var("select ".$mb_fields["options"]["fn_option_value"]." from `".$mb_admin_tables["options"]."` WHERE ".$mb_fields["options"]["fn_option_name"]."='commerce_pg_nicepay_mid' limit 1"));
				$nicepay_key		= trim($mdb->get_var("select ".$mb_fields["options"]["fn_option_value"]." from `".$mb_admin_tables["options"]."` WHERE ".$mb_fields["options"]["fn_option_name"]."='commerce_pg_nicepay_key' limit 1"));
				$nicepay_key2	= trim($mdb->get_var("select ".$mb_fields["options"]["fn_option_value"]." from `".$mb_admin_tables["options"]."` WHERE ".$mb_fields["options"]["fn_option_name"]."='commerce_pg_nicepay_key2' limit 1"));
				
				if(empty($nicepay_mid) || empty($nicepay_key)){
					echo '<div class="mb-dash-box" style="padding:5px 12px">';
						echo '<div style="font-size: 15px;padding: 3px 0 2px;margin: 0;font-weight: 600;color:#E03030;">설정안내 &gt; NICEPAY 결제 설정</div>';
						echo '<div style="font-size: 13px;padding: 3px 0 2px;margin: 0;">실제 결제 설정을 위해 MangBoard>옵션설정에서 Nicepay 상점 MID, 암호화 KEY를 입력해 주세요</div>';
						echo '<div style="font-size: 13px;padding: 3px 0 2px;margin: 0;">망보드로 등록된 Nicepay 상점 MID만 사용 가능: <a href="https://www.mangboard.com/word/nicepay2.zip">Nicepay 신청서 다운로드</a></div>';
					echo '</div>';
				}else if(mbw_get_option("commerce_pay_platform")=="" || mbw_get_option("commerce_pay_platform")=="test"){
					echo '<div class="mb-dash-box" style="padding:5px 12px">';
						echo '<div style="font-size: 15px;padding: 3px 0 2px;margin: 0;font-weight: 600;color:#E03030;">설정안내 &gt; 실제 결제 설정</div>';
						echo '<div style="font-size: 13px;padding: 3px 0 2px;margin: 0;">테스트 결제에서 실제 결제로 변경하시려면 MangBoard>옵션설정에서 "결제 타입"을 실제 결제로 변경해 주세요</div>';
					echo '</div>';
				}else if(empty($nicepay_key2)){
					echo '<div class="mb-dash-box" style="padding:5px 12px">';
						echo '<div style="font-size: 15px;padding: 3px 0 2px;margin: 0;font-weight: 600;color:#E03030;">설정안내 &gt; NICEPAY 결제 설정</div>';
						echo '<div style="font-size: 13px;padding: 3px 0 2px;margin: 0;">MangBoard>옵션설정에서 Nicepay 결제 인증키를 입력해 주세요</div>';
						echo '<div style="font-size: 13px;padding: 3px 0 2px;margin: 0;"><a href="https://www.mangboard.com/pay-key/" target=\"_blank\">Nicepay 결제 인증키 발급하기</a></div>';
					echo '</div>';
				}
			}
		}

		if(!empty($dashboard_desc)) echo $dashboard_desc;
		$index				= 1; 
		$maxlength		= 50;
		//30일 이내의 주문만 표시
		$display_range		= date(mbw_get_option("date_format"), mbw_get_timestamp()-(24*60*60*30));		

	?>
	<div id="dashboard-widgets-wrap"><div id="dashboard-widgets" class="metabox-holder">

				
		<!-- 최근 결제완료 주문 -->
		<div id="postbox-container-<?php echo $index;?>" class="postbox-container">
		<div id="box<?php echo $index;?>-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_primary" class="postbox ">
			<div class="handlediv" title="토글하려면 클릭하세요"><br></div>
			<div class="mb-dash-box-title  ui-sortable-handle"><span><?php echo "<a href='".admin_url('admin.php')."?page=mbw_commerce_order&search_add_field1=fn_pay_state&search_add_text1=complete'>결제완료 주문</a>" ?></span></div>
			<div class="inside">				
				<div class="rss-widget">
					<ul>
					<?php 

					$list_size				= 10;					
					$is_admin_page	= mbw_is_admin_page();
					$board_name		= "commerce_order";
					$table_name		= $mb_commerce_tables[$board_name];
					$fields				= $mb_fields[$board_name];
					$where_query		= " where ".$fields["fn_pay_date"].">'".$display_range	."' and ".$fields["fn_order_state"]."='completed_payment'";					
					$latest_list			= $mdb->get_results("SELECT * FROM " . $table_name . $where_query." order by ".$fields["fn_pay_date"]." DESC limit 0,".$list_size, ARRAY_A);					

					if(!empty($latest_list)){
						foreach($latest_list as $item){
							if($is_admin_page){
								$url		= admin_url('admin.php')."?page=mbw_commerce_order&board_name=".$board_name."&vid=".$item[$fields["fn_pid"]];
							}else {								
								$latest_permalink		= mbw_check_permalink(mbw_get_option("post_order"));
								if(strpos($latest_permalink, '?') === false)	$latest_permalink		= $latest_permalink."?";
								else 	$latest_permalink		= $latest_permalink."&";
								$url		= $latest_permalink."vid=".$item[$fields["fn_pid"]];
							}

							$title		= strip_tags(mbw_htmlspecialchars_decode($item[$fields["fn_title"]]));
							if(mb_strlen($title)>$maxlength){
								$title		= mb_substr($title, 0, $maxlength)."...";
							}
							//$order_state		= $item[$fields["fn_order_state"]];
							$order_price			= $item[$fields["fn_order_price"]];
							$pay_method		= $item[$fields["fn_pay_method"]];
							$title		.= " ";							
							$title		.= "[".mbw_set_format($order_price)."]";
							//if(!empty($mb_commerce_order_state[$order_state])) $title		.= "[".$mb_commerce_order_state[$order_state]."]";							
							if(!empty($mb_commerce_pg_method[$pay_method])) $title		.= "[".$mb_commerce_pg_method[$pay_method]."]";
							
							echo '<li><a class="rsswidget" href="'.$url.'">'.mbw_htmlspecialchars(strip_tags($title)).'</a> <div><span class="rss-date">'.$item[$fields["fn_pay_date"]].'</span></div></li>';
						}
					}
					?>
					</ul>
				</div>
			</div>
		</div></div>
		</div>

		<?php
		{
			$list_size				= 10;					
			$is_admin_page	= mbw_is_admin_page();
			$board_name		= "commerce_order";
			$table_name		= $mb_commerce_tables[$board_name];
			$fields				= $mb_fields[$board_name];
			$where_query		= " where ".$fields["fn_modify_date"].">'".$display_range	."' and ".$fields["fn_pay_state"]."='request'";					
			$latest_list			= $mdb->get_results("SELECT * FROM " . $table_name . $where_query." order by ".$fields["fn_pay_date"]." DESC limit 0,".$list_size, ARRAY_A);
			
			if(!empty($latest_list)){
		?>

		<!-- 최근 교환 및 환불 신청 주문 -->
		<div id="postbox-container-<?php echo $index;?>" class="postbox-container">
		<div id="box<?php echo $index;?>-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_primary" class="postbox ">
			<div class="handlediv" title="토글하려면 클릭하세요"><br></div>
			<div class="mb-dash-box-title  ui-sortable-handle"><span><?php echo "<a href='".admin_url('admin.php')."?page=mbw_commerce_order&search_add_field1=fn_pay_state&search_add_text1=request'>교환/반품/환불</a>" ?></span></div>
			<div class="inside">				
				<div class="rss-widget">
					<ul>
					<?php
					foreach($latest_list as $item){
						if($is_admin_page){
							$url		= admin_url('admin.php')."?page=mbw_commerce_order&board_name=".$board_name."&sid=".$item[$fields["fn_pid"]];
						}else {								
							$latest_permalink		= mbw_check_permalink(mbw_get_option("post_order"));
							if(strpos($latest_permalink, '?') === false)	$latest_permalink		= $latest_permalink."?";
							else 	$latest_permalink		= $latest_permalink."&";
							$url		= $latest_permalink."vid=".$item[$fields["fn_pid"]];
						}

						$title		= strip_tags(mbw_htmlspecialchars_decode($item[$fields["fn_title"]]));
						if(mb_strlen($title)>$maxlength){
							$title		= mb_substr($title, 0, $maxlength)."...";
						}
						$order_state		= $item[$fields["fn_order_state"]];
						$order_price			= $item[$fields["fn_order_price"]];						
						$title		.= " ";							
						$title		.= "[".mbw_set_format($order_price)."]";
						if(!empty($mb_commerce_order_state[$order_state])) $title		.= "[".$mb_commerce_order_state[$order_state]."]";							
						echo '<li><a class="rsswidget" href="'.$url.'">'.mbw_htmlspecialchars(strip_tags($title)).'</a> <div><span class="rss-date">'.$item[$fields["fn_modify_date"]].'</span></div></li>';
					}				
					?>
					</ul>
				</div>
			</div>
		</div></div>
		</div>

		<?php
			}
		}
		?>

		<!-- 최근 입금대기 주문 -->
		<div id="postbox-container-<?php echo $index;?>" class="postbox-container">
		<div id="box<?php echo $index;?>-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_primary" class="postbox ">
			<div class="handlediv" title="토글하려면 클릭하세요"><br></div>
			<div class="mb-dash-box-title  ui-sortable-handle"><span><?php echo "<a href='".admin_url('admin.php')."?page=mbw_commerce_order&search_add_field1=fn_pay_state&search_add_text1=wait'>입금대기 주문</a>" ?></span></div>
			<div class="inside">				
				<div class="rss-widget">
					<ul>
					<?php 

					$list_size				= 10;					
					$is_admin_page	= mbw_is_admin_page();
					$board_name		= "commerce_order";
					$table_name		= $mb_commerce_tables[$board_name];
					$fields				= $mb_fields[$board_name];
					$today_date		= $current_date;
					$where_query		= " where ".$fields["fn_reg_date"].">'".$display_range	."' and ".$fields["fn_pay_state"]."='wait' and ".$fields["fn_reg_date"]."<='".$today_date." 23:59:59'";
					$latest_list			= $mdb->get_results("SELECT * FROM " . $table_name . $where_query." order by ".$fields["fn_pid"]." DESC limit 0,".$list_size, ARRAY_A);


					if(!empty($latest_list)){
						foreach($latest_list as $item){
							if($is_admin_page){
								$url		= admin_url('admin.php')."?page=mbw_commerce_order&board_name=".$board_name."&sid=".$item[$fields["fn_pid"]];
							}else {								
								$latest_permalink		= mbw_check_permalink(mbw_get_option("post_order"));
								if(strpos($latest_permalink, '?') === false)	$latest_permalink		= $latest_permalink."?";
								else 	$latest_permalink		= $latest_permalink."&";
								$url		= $latest_permalink."vid=".$item[$fields["fn_pid"]];
							}

							$title		= strip_tags(mbw_htmlspecialchars_decode($item[$fields["fn_title"]]));
							if(mb_strlen($title)>$maxlength){
								$title		= mb_substr($title, 0, $maxlength)."...";
							}
							//$order_state		= $item[$fields["fn_order_state"]];
							$order_price			= $item[$fields["fn_order_price"]];
							$pay_method		= $item[$fields["fn_pay_method"]];
							$title		.= " ";							
							$title		.= "[".mbw_set_format($order_price)."]";
							//if(!empty($mb_commerce_order_state[$order_state])) $title		.= "[".$mb_commerce_order_state[$order_state]."]";							
							if(!empty($mb_commerce_pg_method[$pay_method])) $title		.= "[".$mb_commerce_pg_method[$pay_method]."]";
							
							echo '<li><a class="rsswidget" href="'.$url.'">'.mbw_htmlspecialchars(strip_tags($title)).'</a> <div><span class="rss-date">'.$item[$fields["fn_reg_date"]].'</span></div></li>';
						}
					}
					?>
					</ul>
				</div>
			</div>
		</div></div>
		</div>

		<?php $index++;	?>
		<!-- 최근 상품 Q&A -->
		<div id="postbox-container-<?php echo $index;?>" class="postbox-container">
		<div id="box<?php echo $index;?>-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_primary" class="postbox ">
			<div class="handlediv" title="토글하려면 클릭하세요"><br></div>
			<div class="mb-dash-box-title  ui-sortable-handle"><span><?php echo "<a href='".admin_url('admin.php')."?page=mbw_commerce_product_qa'>상품 Q&A</a>" ?></span></div>
			<div class="inside">				
				<div class="rss-widget">
					<ul>
					<?php 
					$list_size				= 10;					
					$is_admin_page	= mbw_is_admin_page();
					$board_name		= "commerce_product_qa";
					$table_name		= $mb_commerce_tables[$board_name];
					$fields				= $mb_fields["board"];
					$where_query		= "";					
					$latest_list			= $mdb->get_results("SELECT * FROM " . $table_name . $where_query." order by ".$fields["fn_pid"]." DESC limit 0,".$list_size, ARRAY_A);

					if(!empty($latest_list)){
						foreach($latest_list as $item){
							if($is_admin_page){
								$url		= admin_url('admin.php')."?page=mbw_commerce_product_qa&board_name=".$board_name."&vid=".$item[$fields["fn_pid"]];
							}else {								
								$latest_permalink		= mbw_check_permalink(mbw_get_option("post_product_qa"));
								if(strpos($latest_permalink, '?') === false)	$latest_permalink		= $latest_permalink."?";
								else 	$latest_permalink		= $latest_permalink."&";
								$url		= $latest_permalink."vid=".$item[$fields["fn_pid"]];
							}

							$title		= strip_tags(mbw_htmlspecialchars_decode($item[$fields["fn_title"]]));
							if(mb_strlen($title)>$maxlength){
								$title		= mb_substr($title, 0, $maxlength)."...";
							}
							echo '<li><a class="rsswidget" href="'.$url.'">'.mbw_htmlspecialchars(strip_tags($title)).'</a> <div><span class="rss-date">'.$item[$fields["fn_reg_date"]].'</span></div></li>';
						}
					}
					?>
					</ul>
				</div>
			</div>
		</div></div>
		</div>

		<!-- 최근 상품 리뷰 -->
		<div id="postbox-container-<?php echo $index;?>" class="postbox-container">
		<div id="box<?php echo $index;?>-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_primary" class="postbox ">
			<div class="handlediv" title="토글하려면 클릭하세요"><br></div>
			<div class="mb-dash-box-title  ui-sortable-handle"><span><?php echo "<a href='".admin_url('admin.php')."?page=mbw_commerce_product_review'>상품 리뷰</a>" ?></span></div>
			<div class="inside">				
				<div class="rss-widget">
					<ul>
					<?php 
					$list_size				= 10;					
					$is_admin_page	= mbw_is_admin_page();
					$board_name		= "commerce_product_review";
					$table_name		= $mb_commerce_tables[$board_name];
					$fields				= $mb_fields["board"];
					$where_query		= "";					
					$latest_list			= $mdb->get_results("SELECT * FROM " . $table_name . $where_query." order by ".$fields["fn_pid"]." DESC limit 0,".$list_size, ARRAY_A);

					if(!empty($latest_list)){
						foreach($latest_list as $item){
							if($is_admin_page){
								$url		= admin_url('admin.php')."?page=mbw_commerce_product_review&board_name=".$board_name."&vid=".$item[$fields["fn_pid"]];
							}else {								
								$latest_permalink		= mbw_check_permalink(mbw_get_option("post_product_review"));
								if(strpos($latest_permalink, '?') === false)	$latest_permalink		= $latest_permalink."?";
								else 	$latest_permalink		= $latest_permalink."&";
								$url		= $latest_permalink."vid=".$item[$fields["fn_pid"]];
							}

							$title		= strip_tags(mbw_htmlspecialchars_decode($item[$fields["fn_title"]]));
							if(mb_strlen($title)>$maxlength){
								$title		= mb_substr($title, 0, $maxlength)."...";
							}
							echo '<li><a class="rsswidget" href="'.$url.'">'.mbw_htmlspecialchars(strip_tags($title)).'</a> <div><span class="rss-date">'.$item[$fields["fn_reg_date"]].'</span></div></li>';
						}
					}

					?>
					</ul>
				</div>
			</div>
		</div></div>
		</div>


		<!-- 재고관리 -->
		<?php 
		$list_size				= 50;
		$is_admin_page	= mbw_is_admin_page();
		$board_name		= "commerce_product";
		$table_name		= $mb_commerce_tables[$board_name];
		$fields				= $mb_fields["commerce_product"];
		//$where_query		= " WHERE product_type='shipping' and stock<100";
		$where_query		= " WHERE product_type='shipping'";
		$latest_list			= $mdb->get_results("SELECT * FROM " . $table_name . $where_query." order by ".$fields["fn_stock"]." ASC limit 0,".$list_size, ARRAY_A);
		if(!empty($latest_list)){
		?>
		<div id="postbox-container-<?php echo $index;?>" class="postbox-container">
		<div id="box<?php echo $index;?>-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_primary" class="postbox ">
			<div class="handlediv" title="토글하려면 클릭하세요"><br></div>
			<div class="mb-dash-box-title ui-sortable-handle"><span><?php echo "재고 관리 (상품/50개)" ?></span></div>
			<div class="inside">				
				<div class="rss-widget">
					<ul>
					<?php
					if(!empty($latest_list)){
						foreach($latest_list as $item){							
							$url		= admin_url('admin.php')."?page=mbw_commerce_product&board_name=".$board_name."&vid=".$item[$fields["fn_pid"]];
							$title		= strip_tags(mbw_htmlspecialchars_decode($item[$fields["fn_title"]]));
							if(mb_strlen($title)>$maxlength){
								$title		= mb_substr($title, 0, $maxlength)."...";
							}
							echo '<li><a class="rsswidget" href="'.$url.'">'.mbw_htmlspecialchars(strip_tags($title)).' [재고:'.$item[$fields["fn_stock"]].'개]</a></li>';
						}
					}
					?>
					</ul>
				</div>
			</div>
		</div></div>
		</div>
		<?php } ?>

		<!-- 재고관리 -->
		<?php 
		$list_size				= 50;
		$is_admin_page		= mbw_is_admin_page();
		$board_name		= "meta";
		$table_name			= $mb_admin_tables[$board_name];
		$fields					= $mb_fields["meta"];
		$where_query		= " WHERE meta_table='commerce_product_op02_count'";
		$latest_list			= $mdb->get_results("SELECT * FROM " . $table_name . $where_query." order by ".$fields["fn_meta_value"]."*1 limit 0,".$list_size, ARRAY_A);
		if(!empty($latest_list)){
		?>
		<div id="postbox-container-<?php echo $index;?>" class="postbox-container">
		<div id="box<?php echo $index;?>-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_primary" class="postbox ">
			<div class="handlediv" title="토글하려면 클릭하세요"><br></div>
			<div class="mb-dash-box-title ui-sortable-handle"><span><?php echo "재고 관리 (상품 옵션/50개)" ?></span></div>
			<div class="inside">				
				<div class="rss-widget">
					<ul>
					<?php
					if(!empty($latest_list)){
						$check_pid		= ",";
						$empty_pid		= ",";
						foreach($latest_list as $item){
							$load_check		= false;
							//if(intval($item[$fields["fn_meta_value"]])>=100) continue;
							if(strpos($empty_pid, ",".$item[$fields["fn_meta_pid"]].",")!==false) continue;
							if(strpos($check_pid, ",".$item[$fields["fn_meta_pid"]].",")===false){
								$product_item	= $mdb->get_row("select pid,product_type from `".$mb_commerce_tables["commerce_product"]."` where pid='".$item[$fields["fn_meta_pid"]]."'",ARRAY_A);								
								$load_check		= true;
							}
							if(!empty($product_item)){
								$url			= admin_url('admin.php')."?page=mbw_board_options&board_name=commerce_product&vid=".$item[$fields["fn_meta_pid"]];
								$query		= "SELECT meta_value FROM " . $table_name. " WHERE meta_table='commerce_product_op02_name' and meta_pid='".$item[$fields["fn_meta_pid"]]."' and meta_key='".$item[$fields["fn_meta_key"]]."'";
								$title			= strip_tags(mbw_htmlspecialchars_decode($mdb->get_var($query)));
								if(mb_strlen($title)>$maxlength){
									$title		= mb_substr($title, 0, $maxlength)."...";
								}
								echo '<li><a class="rsswidget" href="'.$url.'">'.mbw_htmlspecialchars(strip_tags($title)).' [재고:'.$item[$fields["fn_meta_value"]].'개]</a></li>';
								if($load_check){
									$check_pid		.= $item[$fields["fn_meta_pid"]].",";
								}
							}else{
								$empty_pid		.= $item[$fields["fn_meta_pid"]].",";
							}
						}
					}
					?>
					</ul>
				</div>
			</div>
		</div></div>
		</div>
		<?php } ?>

	<?php do_action('mbw_commerce_dashboard_widget'); ?>


	</div></div><!-- dashboard-widgets-wrap -->

<div class="clear"></div></div><!-- wpbody-content -->
<div class="clear"></div></div>

<?php do_action('mbw_commerce_dashboard_footer'); ?>