<?php
if(defined('DB_CHARSET') && DB_CHARSET=="utf8"){
	$db_charset	= "DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci";
}else{
	if(empty($wpdb)) global $wpdb;
	$db_charset	= $wpdb->get_charset_collate();
}
$commerce_schema					= array();
//회원 스키마 설정
$commerce_schema["commerce_product"]		= "(
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `gid` int(10) unsigned NOT NULL DEFAULT '0',
  `reply` int(10) unsigned NOT NULL DEFAULT '0',
  `depth` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id` varchar(100) NOT NULL DEFAULT '',
  `user_name` varchar(100) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `passwd` varchar(80) NOT NULL DEFAULT '',
  `homepage` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `address` varchar(255) NOT NULL DEFAULT '',
  `phone` varchar(30) NOT NULL DEFAULT '',
  `reg_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modify_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `calendar_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hit` int(10) unsigned NOT NULL DEFAULT '0',
  `user_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `parent_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `parent_user_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `level` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0',
  `vote_good_count` int(10) unsigned NOT NULL DEFAULT '0',
  `vote_bad_count` int(10) unsigned NOT NULL DEFAULT '0',
  `vote_type` int(10) unsigned NOT NULL DEFAULT '0',
  `sale_count` int(10) unsigned NOT NULL DEFAULT '0',
  `review_count` int(10) unsigned NOT NULL DEFAULT '0',
  `qa_count` int(10) unsigned NOT NULL DEFAULT '0',
  `order_count` int(10) unsigned NOT NULL DEFAULT '1',
  `order_point_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `order_point_count` int(10) unsigned NOT NULL DEFAULT '0',
  `order_point_star` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `ip` varchar(40) NOT NULL DEFAULT '',
  `agent` varchar(30) NOT NULL DEFAULT '',
  `is_notice` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `is_secret` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `status` varchar(30) NOT NULL DEFAULT 'publish',
  `is_show` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `is_event` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `is_sale` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `is_recommend` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `is_best` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `is_new` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `reply_email` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `text` mediumtext NOT NULL,
  `content` mediumtext NOT NULL,
  `content_type` varchar(10) NOT NULL DEFAULT '',
  `data_type` varchar(10) NOT NULL DEFAULT 'text',
  `editor_type` varchar(10) NOT NULL DEFAULT 'N',
  `tag` varchar(255) NOT NULL DEFAULT '',
  `category1` varchar(100) NOT NULL DEFAULT '',
  `category2` varchar(100) NOT NULL DEFAULT '',
  `category3` varchar(100) NOT NULL DEFAULT '',
  `image_path` varchar(255) NOT NULL DEFAULT '',
  `site_link1` varchar(255) NOT NULL DEFAULT '',
  `site_link2` varchar(255) NOT NULL DEFAULT '',
  `gps_latitude` DECIMAL(10,8) NOT NULL DEFAULT '0.00000000',
  `gps_longitude` DECIMAL(11,8) NOT NULL DEFAULT '0.00000000',
  `regular_price` int(10) unsigned NOT NULL DEFAULT '0',
  `sale_text` varchar(100) NOT NULL DEFAULT '',
  `sale_price` int(10) unsigned NOT NULL DEFAULT '0',
  `sale_price2` int(10) unsigned NOT NULL DEFAULT '0',
  `sale_price3` int(10) unsigned NOT NULL DEFAULT '0',
  `shipping_cost` int(10) unsigned NOT NULL DEFAULT '0',
  `shipping_cost_type` varchar(100) NOT NULL DEFAULT '',
  `product_type` varchar(30) NOT NULL DEFAULT 'shipping',
  `sale_status` tinyint(3) NOT NULL DEFAULT '1',
  `use_product_options` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `product_options` mediumtext NOT NULL,
  `product_options_type` varchar(30) NOT NULL DEFAULT '',
  `product_point` int(10) unsigned NOT NULL DEFAULT '0',
  `pay_type` VARCHAR(150) NOT NULL DEFAULT '',
  `is_dutyfree` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `tax_type` VARCHAR(30) NOT NULL DEFAULT '', 
  `product_tax` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `product_rank1` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `product_rank2` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `product_description` varchar(255) NOT NULL DEFAULT '',
  `product_code` varchar(255) NOT NULL DEFAULT '',
  `product_brand` varchar(255) NOT NULL DEFAULT '',
  `product_origin` varchar(255) NOT NULL DEFAULT '',
  `product_model` varchar(255) NOT NULL DEFAULT '',
  `product_as` varchar(255) NOT NULL DEFAULT '',
  `product_receipt` varchar(255) NOT NULL DEFAULT '',
  `product_weight` varchar(255) NOT NULL DEFAULT '',
  `product_icon1` varchar(255) NOT NULL DEFAULT '',
  `product_icon2` varchar(255) NOT NULL DEFAULT '',
  `product_memo` varchar(255) NOT NULL DEFAULT '',
  `lecturer` varchar(100) NOT NULL DEFAULT '',
  `lecture_date` varchar(80) NOT NULL DEFAULT '',
  `lecture_deadline` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lecture_place` varchar(255) NOT NULL DEFAULT '',
  `lecture_recruitment` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `template_type` varchar(255) NOT NULL DEFAULT 'tab-4',
  `template_name` varchar(255) NOT NULL DEFAULT '',
  `mobile_template_name` varchar(255) NOT NULL DEFAULT '',
  `shipping_area` varchar(255) NOT NULL DEFAULT '',
  `stock` int(10) unsigned NOT NULL DEFAULT '9999',
  `market_type1` varchar(100) NOT NULL DEFAULT '',
  `market_type2` varchar(100) NOT NULL DEFAULT '',
  `market_type3` varchar(100) NOT NULL DEFAULT '',
  `market_type4` varchar(100) NOT NULL DEFAULT '',
  `expiration_period` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `ext1` varchar(255) NOT NULL DEFAULT '',
  `ext2` varchar(255) NOT NULL DEFAULT '',
  `ext3` varchar(255) NOT NULL DEFAULT '',
  `ext4` varchar(255) NOT NULL DEFAULT '',
  `ext5` varchar(255) NOT NULL DEFAULT '',
  `ext6` varchar(255) NOT NULL DEFAULT '',
  `ext7` varchar(255) NOT NULL DEFAULT '',
  `ext8` varchar(255) NOT NULL DEFAULT '',
  `ext9` varchar(255) NOT NULL DEFAULT '',
  `ext10` varchar(255) NOT NULL DEFAULT '',
  `ext11` varchar(255) NOT NULL DEFAULT '',
  `ext12` varchar(255) NOT NULL DEFAULT '',
  `ext13` varchar(255) NOT NULL DEFAULT '',
  `ext14` varchar(255) NOT NULL DEFAULT '',
  `ext15` varchar(255) NOT NULL DEFAULT '',
  `ext16` varchar(255) NOT NULL DEFAULT '',
  `ext17` varchar(255) NOT NULL DEFAULT '',
  `ext18` varchar(255) NOT NULL DEFAULT '',
  `ext19` varchar(255) NOT NULL DEFAULT '',
  `ext20` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`pid`),
  KEY `user_id` (`user_id`),
  KEY `user_name` (`user_name`),
  KEY `title` (`title`),
  KEY `reg_date` (`reg_date`),
  KEY `modify_date` (`modify_date`),
  KEY `hit` (`hit`),
  KEY `gid` (`gid`,`reply`),
  KEY `idx_category1` (`category1`,`category2`),
  KEY `calendar_date` (`calendar_date`),
  KEY `is_show` (`is_show`),
  KEY `status` (`status`),
  KEY `is_notice` (`is_notice`),
  KEY `parent_pid` (`parent_pid`),
  KEY `parent_user_pid` (`parent_user_pid`),
  KEY `user_pid` (`user_pid`),
  KEY `sale_count` (`sale_count`),
  KEY `review_count` (`review_count`),  
  KEY `qa_count` (`qa_count`),
  KEY `sale_status` (`sale_status`),
  KEY `product_type` (`product_type`),
  KEY `is_event` (`is_event`),
  KEY `is_sale` (`is_sale`),
  KEY `is_new` (`is_new`),
  KEY `is_recommend` (`is_recommend`),
  KEY `is_best` (`is_best`),  
  KEY `product_rank1` (`product_rank1`),
  KEY `product_rank2` (`product_rank2`),
  KEY `order_point_sum` (`order_point_sum`),
  KEY `order_point_count` (`order_point_count`), 
  KEY `order_point_star` (`order_point_star`)
) ".$db_charset.";";
$commerce_schema["commerce_order"]			= "(
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `billing_id` varchar(100) NOT NULL DEFAULT '',
  `order_id` VARCHAR(100) NOT NULL DEFAULT '',
  `passwd` varchar(80) NOT NULL DEFAULT '',
  `product_pid` varchar(255) NOT NULL DEFAULT '',
  `user_name` varchar(100) NOT NULL DEFAULT '',
  `user_phone` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `image_path` varchar(255) NOT NULL DEFAULT '',
  `regular_price` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `sale_text` varchar(100) NOT NULL DEFAULT '',
  `sale_price` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `shipping_company` varchar(30) NOT NULL DEFAULT '',
  `shipping_cost` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `shipping_code` varchar(100) NOT NULL DEFAULT '',
  `shipment_date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hope_delivery_date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `pay_seller_status` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `pay_seller_fees` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `order_confirm` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `order_confirm_date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `auto_confirm_date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `order_state` varchar(20) NOT NULL DEFAULT '',
  `pay_state` varchar(20) NOT NULL DEFAULT '',
  `product_type` varchar(30) NOT NULL DEFAULT 'shipping',
  `product_point` int(10) unsigned NOT NULL DEFAULT '0',
  `product_description` varchar(255) NOT NULL DEFAULT '',
  `recommender_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `shop_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `shop_name` varchar(100) NOT NULL DEFAULT '',  
  `shop_email` varchar(100) NOT NULL DEFAULT '',
  `order_count` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `order_options` TEXT NOT NULL,
  `order_options_price` INT(10) NOT NULL DEFAULT '0',
  `order_options1` varchar(255) NOT NULL DEFAULT '',
  `order_options2` varchar(255) NOT NULL DEFAULT '',
  `order_options3` varchar(255) NOT NULL DEFAULT '',
  `order_products` mediumtext NOT NULL,
  `order_price` int(10) NOT NULL DEFAULT '0',
  `order_point` int(10) unsigned NOT NULL DEFAULT '0',
  `order_tax` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `save_price` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `refund_price` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `coupon_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `coupon_discount` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `use_point` int(10) unsigned NOT NULL DEFAULT '0',
  `use_money` int(10) unsigned NOT NULL DEFAULT '0',
  `is_escrow` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `is_mobile` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `is_dutyfree` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `tax_type` VARCHAR(30) NOT NULL DEFAULT '', 
  `product_tax` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `review_pid` varchar(255) NOT NULL DEFAULT '',
  `end_date` VARCHAR(20) NOT NULL DEFAULT '',
  `pay_type` VARCHAR(50) NOT NULL DEFAULT '',
  `pay_method` varchar(30) NOT NULL DEFAULT '',
  `pay_tid` varchar(255) NOT NULL DEFAULT '',
  `pay_bank_account` varchar(255) NOT NULL DEFAULT '',
  `pay_price` INT(10) NOT NULL DEFAULT '0',
  `pay_info` varchar(255) NOT NULL DEFAULT '',
  `pay_pg` varchar(20) NOT NULL DEFAULT '',
  `pay_platform` varchar(20) NOT NULL DEFAULT '',
  `pay_cancel_reason` varchar(255) NOT NULL DEFAULT '',
  `pay_auth_no` varchar(255) NOT NULL DEFAULT '',
  `admin_memo` varchar(255) NOT NULL DEFAULT '',
  `order_memo` varchar(255) NOT NULL DEFAULT '',
  `buyer_postcode` varchar(255) NOT NULL DEFAULT '',
  `buyer_address1` varchar(255) NOT NULL DEFAULT '',
  `buyer_address2` varchar(255) NOT NULL DEFAULT '',
  `shipping_name` varchar(255) NOT NULL DEFAULT '',
  `shipping_postcode` varchar(255) NOT NULL DEFAULT '',
  `shipping_address1` varchar(255) NOT NULL DEFAULT '',
  `shipping_address2` varchar(255) NOT NULL DEFAULT '',
  `shipping_phone` varchar(255) NOT NULL DEFAULT '',
  `ip` varchar(40) NOT NULL DEFAULT '',
  `agent` varchar(30) NOT NULL DEFAULT '',
  `reg_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modify_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `pay_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `category1` varchar(100) NOT NULL DEFAULT '',
  `category2` varchar(100) NOT NULL DEFAULT '',
  `category3` varchar(100) NOT NULL DEFAULT '',
  `market_type1` varchar(100) NOT NULL DEFAULT '',
  `market_type2` varchar(100) NOT NULL DEFAULT '',
  `market_type3` varchar(100) NOT NULL DEFAULT '',
  `market_type4` varchar(100) NOT NULL DEFAULT '',
  `ext1` varchar(255) NOT NULL DEFAULT '',
  `ext2` varchar(255) NOT NULL DEFAULT '',
  `ext3` varchar(255) NOT NULL DEFAULT '',
  `ext4` varchar(255) NOT NULL DEFAULT '',
  `ext5` varchar(255) NOT NULL DEFAULT '',
  `ext6` varchar(255) NOT NULL DEFAULT '',
  `ext7` varchar(255) NOT NULL DEFAULT '',
  `ext8` varchar(255) NOT NULL DEFAULT '',
  `ext9` varchar(255) NOT NULL DEFAULT '',
  `ext10` varchar(255) NOT NULL DEFAULT '',
  `ext11` varchar(255) NOT NULL DEFAULT '',
  `ext12` varchar(255) NOT NULL DEFAULT '',
  `ext13` varchar(255) NOT NULL DEFAULT '',
  `ext14` varchar(255) NOT NULL DEFAULT '',
  `ext15` varchar(255) NOT NULL DEFAULT '',
  `ext16` varchar(255) NOT NULL DEFAULT '',
  `ext17` varchar(255) NOT NULL DEFAULT '',
  `ext18` varchar(255) NOT NULL DEFAULT '',
  `ext19` varchar(255) NOT NULL DEFAULT '',
  `ext20` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`pid`),
  KEY `order_state` (`order_state`),
  KEY `order_confirm` (`order_confirm`),  
  KEY `pay_state` (`pay_state`),
  KEY `modify_date` (`modify_date`),
  KEY `product_type` (`product_type`),
  KEY `market_type1` (`market_type1`),
  KEY `reg_date` (`reg_date`),
  KEY `billing_id` (`billing_id`),
  KEY `order_id` (`order_id`),
  KEY `product_pid` (`product_pid`),
  KEY `user_pid` (`user_pid`),
  KEY `shop_pid` (`shop_pid`),
  KEY `pay_type` (`pay_type`),
  KEY `pay_method` (`pay_method`),
  KEY `pay_date` (`pay_date`),
  KEY `pay_tid` (`pay_tid`)
) ".$db_charset.";";
$commerce_schema["commerce_coupon"]			= "(
  `pid` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `coupon_title` VARCHAR(100) NOT NULL DEFAULT '',
  `coupon_type` VARCHAR(50) NOT NULL DEFAULT '',
  `coupon_id` VARCHAR(100) NOT NULL DEFAULT '',
  `coupon_value` VARCHAR(30) NOT NULL DEFAULT '',
  `image_path` varchar(255) NOT NULL DEFAULT '',
  `target_type` VARCHAR(50) NOT NULL DEFAULT 'user',
  `product_pid` varchar(255) NOT NULL DEFAULT '',
  `category` varchar(255) NOT NULL DEFAULT '',
  `user_pid` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `user_name` VARCHAR(100) NOT NULL DEFAULT '',
  `is_use` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
  `ip` VARCHAR(40) NOT NULL DEFAULT '',
  `agent` VARCHAR(50) NOT NULL DEFAULT '',
  `start_date` VARCHAR(16) NOT NULL DEFAULT '',
  `end_date` VARCHAR(16) NOT NULL DEFAULT '',  
  `reg_date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `use_date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ext1` varchar(255) NOT NULL DEFAULT '',
  `ext2` varchar(255) NOT NULL DEFAULT '',
  `ext3` varchar(255) NOT NULL DEFAULT '',
  `ext4` varchar(255) NOT NULL DEFAULT '',
  `ext5` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`pid`),
  KEY `coupon_type` (`coupon_type`),
  KEY `coupon_id` (`coupon_id`),
  KEY `is_use` (`is_use`),
  KEY `end_date` (`end_date`),
  KEY `reg_date` (`reg_date`),
  KEY `product_pid` (`product_pid`),
  KEY `user_pid` (`user_pid`),
  KEY `target_type` (`target_type`),
  KEY `use_date` (`use_date`)
) ".$db_charset.";";
$commerce_schema["commerce_cart"]			= "(
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cart_id` varchar(100) NOT NULL DEFAULT '',
  `billing_id` varchar(100) NOT NULL DEFAULT '',
  `order_id` varchar(100) NOT NULL DEFAULT '',
  `product_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `user_name` varchar(100) NOT NULL DEFAULT '',
  `user_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `image_path` varchar(255) NOT NULL DEFAULT '',
  `regular_price` int(10) NOT NULL DEFAULT '0',
  `sale_text` varchar(100) NOT NULL DEFAULT '',
  `sale_price` int(10) NOT NULL DEFAULT '0',
  `shipping_cost` int(10) NOT NULL DEFAULT '0',
  `product_type` varchar(30) NOT NULL DEFAULT 'shipping',
  `product_point` int(10) unsigned NOT NULL DEFAULT '0',
  `pay_type` VARCHAR(50) NOT NULL DEFAULT '',
  `is_dutyfree` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  `tax_type` VARCHAR(30) NOT NULL DEFAULT '', 
  `product_tax` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `product_key` varchar(255) NOT NULL DEFAULT '',
  `product_platform` varchar(255) NOT NULL DEFAULT '',
  `product_description` varchar(255) NOT NULL DEFAULT '',
  `recommender_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `shop_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `shop_name` varchar(100) NOT NULL DEFAULT '',
  `shop_email` varchar(100) NOT NULL DEFAULT '',
  `order_count` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `order_options` TEXT NOT NULL,
  `order_options_price` INT(10) NOT NULL DEFAULT '0',
  `order_options1` varchar(255) NOT NULL DEFAULT '',
  `order_options2` varchar(255) NOT NULL DEFAULT '',
  `order_options3` varchar(255) NOT NULL DEFAULT '',
  `is_order` tinyint(3) NOT NULL DEFAULT '0',
  `ip` varchar(40) NOT NULL DEFAULT '',
  `agent` varchar(30) NOT NULL DEFAULT '',
  `reg_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `category1` varchar(100) NOT NULL DEFAULT '',
  `category2` varchar(100) NOT NULL DEFAULT '',
  `category3` varchar(100) NOT NULL DEFAULT '',
  `market_type1` varchar(100) NOT NULL DEFAULT '',
  `market_type2` varchar(100) NOT NULL DEFAULT '',
  `market_type3` varchar(100) NOT NULL DEFAULT '',
  `market_type4` varchar(100) NOT NULL DEFAULT '',
  `ext1` varchar(255) NOT NULL DEFAULT '',
  `ext2` varchar(255) NOT NULL DEFAULT '',
  `ext3` varchar(255) NOT NULL DEFAULT '',
  `ext4` varchar(255) NOT NULL DEFAULT '',
  `ext5` varchar(255) NOT NULL DEFAULT '',
  `ext6` varchar(255) NOT NULL DEFAULT '',
  `ext7` varchar(255) NOT NULL DEFAULT '',
  `ext8` varchar(255) NOT NULL DEFAULT '',
  `ext9` varchar(255) NOT NULL DEFAULT '',
  `ext10` varchar(255) NOT NULL DEFAULT '',
  `ext11` varchar(255) NOT NULL DEFAULT '',
  `ext12` varchar(255) NOT NULL DEFAULT '',
  `ext13` varchar(255) NOT NULL DEFAULT '',
  `ext14` varchar(255) NOT NULL DEFAULT '',
  `ext15` varchar(255) NOT NULL DEFAULT '',
  `ext16` varchar(255) NOT NULL DEFAULT '',
  `ext17` varchar(255) NOT NULL DEFAULT '',
  `ext18` varchar(255) NOT NULL DEFAULT '',
  `ext19` varchar(255) NOT NULL DEFAULT '',
  `ext20` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`pid`),
  KEY `idx_product` (`product_pid`),
  KEY `billing_id` (`billing_id`),
  KEY `card_id` (`cart_id`),
  KEY `order_id` (`order_id`),
  KEY `user_pid` (`user_pid`),
  KEY `shop_pid` (`shop_pid`),
  KEY `is_order` (`is_order`),
  KEY `reg_date` (`reg_date`)
) ".$db_charset.";";
$commerce_schema["commerce_wishlist"]			= "(
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `billing_id` varchar(100) NOT NULL DEFAULT '',
  `product_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `user_name` varchar(100) NOT NULL DEFAULT '',
  `user_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `image_path` varchar(255) NOT NULL DEFAULT '',
  `regular_price` int(10) NOT NULL DEFAULT '0',
  `sale_text` varchar(100) NOT NULL DEFAULT '',
  `sale_price` int(10) NOT NULL DEFAULT '0',
  `shipping_cost` int(10) NOT NULL DEFAULT '0',
  `product_type` varchar(30) NOT NULL DEFAULT 'shipping',
  `product_point` int(10) unsigned NOT NULL DEFAULT '0',
  `pay_type` VARCHAR(50) NOT NULL DEFAULT '',
  `product_description` varchar(255) NOT NULL DEFAULT '',
  `shop_name` varchar(100) NOT NULL DEFAULT '',
  `shop_pid` int(10) unsigned NOT NULL DEFAULT '0',
  `order_count` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `order_options` TEXT NOT NULL,
  `order_options_price` INT(10) NOT NULL DEFAULT '0',
  `order_options1` varchar(255) NOT NULL DEFAULT '',
  `order_options2` varchar(255) NOT NULL DEFAULT '',
  `order_options3` varchar(255) NOT NULL DEFAULT '',
  `ip` varchar(40) NOT NULL DEFAULT '',
  `agent` varchar(30) NOT NULL DEFAULT '',
  `reg_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `category1` varchar(100) NOT NULL DEFAULT '',
  `category2` varchar(100) NOT NULL DEFAULT '',
  `category3` varchar(100) NOT NULL DEFAULT '',
  `market_type1` varchar(100) NOT NULL DEFAULT '',
  `market_type2` varchar(100) NOT NULL DEFAULT '',
  `market_type3` varchar(100) NOT NULL DEFAULT '',
  `market_type4` varchar(100) NOT NULL DEFAULT '',
  `ext1` varchar(255) NOT NULL DEFAULT '',
  `ext2` varchar(255) NOT NULL DEFAULT '',
  `ext3` varchar(255) NOT NULL DEFAULT '',
  `ext4` varchar(255) NOT NULL DEFAULT '',
  `ext5` varchar(255) NOT NULL DEFAULT '',
  `ext6` varchar(255) NOT NULL DEFAULT '',
  `ext7` varchar(255) NOT NULL DEFAULT '',
  `ext8` varchar(255) NOT NULL DEFAULT '',
  `ext9` varchar(255) NOT NULL DEFAULT '',
  `ext10` varchar(255) NOT NULL DEFAULT '',
  `ext11` varchar(255) NOT NULL DEFAULT '',
  `ext12` varchar(255) NOT NULL DEFAULT '',
  `ext13` varchar(255) NOT NULL DEFAULT '',
  `ext14` varchar(255) NOT NULL DEFAULT '',
  `ext15` varchar(255) NOT NULL DEFAULT '',
  `ext16` varchar(255) NOT NULL DEFAULT '',
  `ext17` varchar(255) NOT NULL DEFAULT '',
  `ext18` varchar(255) NOT NULL DEFAULT '',
  `ext19` varchar(255) NOT NULL DEFAULT '',
  `ext20` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`pid`),
  KEY `idx_product` (`product_pid`),
  KEY `reg_date` (`reg_date`)
) ".$db_charset.";";
?>