<?php
	$list_model			= mbw_json_decode(mbw_get_model("list"));
	$list_data				= mbw_get_list_setup_data($list_model);
	$select_query		= mbw_get_add_query(array("column"=>"*","user_pid"=>"shop_pid"), "where", "order")." limit 0, 1000";	
	$board_items		= mbw_get_board_items_query($select_query);
	if(function_exists('mbw_set_item_index')){
		mbw_set_item_index(0);
	}	
?>
<script type="text/javascript">
function selectTabMenu(obj,category,name){
	jQuery('.tab-menu-on').removeClass("tab-menu-on").addClass("tab-menu-off");
	jQuery(obj).removeClass("tab-menu-off").addClass("tab-menu-on");
	sendListTemplateData({"board_name":name,"category":category});
}
function getBoardListParams(type){
	var params		= "";
	if(type=="all" || type=="search"){
		if(jQuery("#search_text").val()!=""){
			params		= params+"&search_field="+jQuery("#search_field").val();
			params		= params+"&search_text="+encodeURIComponent(jQuery("#search_text").val());
		}
	}
	if(type=="all" || type=="category"){
		var i				= 0;
		for(i=1;i<=mb_categorys.length;i++){
			mb_categorys["value"+i]		= jQuery("#"+mb_options["board_name"]+"_category"+i+" option").filter(":selected").val();
			if(typeof(mb_categorys["value"+i])!='undefined'){
				if(mb_categorys["value"+i]!=""){
					params		= params+"&category"+i+"="+mb_categorys["value"+i];
				}
			}
		}
	}	
	return params;
}
function sendSearchData(data){
	var search_url					= mb_urls["search"];
	var params						= jQuery('#'+mb_options["board_name"]+'_form_board_search').serialize();
	if(typeof(data)!=='undefined'){
		params					= params+"&"+data;
	}

	search_url						= search_url+"&"+params;
	document.location.href		= search_url;	
}
jQuery(document).ready(function(){	
	var tbl = jQuery("#tbl_board_list");
	jQuery("th :checkbox", tbl).first().click(function(){		
		if(jQuery(this).is(":checked")){
			jQuery("td :checkbox", tbl).prop("checked", true);
		}else{
			jQuery("td :checkbox", tbl).prop("checked", false);
		}	
		jQuery(":checkbox", tbl).trigger("change");
		selectCartProduct();
	});
});

function showDeleteConfirm(action){	
	if(typeof(action)=='undefined' || action==null)	action = "multi_delete";

	var check_count	= jQuery(".mb-board input[name='check_array[]']").filter(":checked").length;
	if(check_count > 0) {
		showConfirmPopup(check_count+"<?php echo __MM('MSG_MULTI_DELETE_CONFIRM');?>", {"board_action":action}, sendBoardListData);
	}else{
		showAlertPopup({"code":"1000","message":"<?php echo __MM('MSG_DELETE_SELECT_EMPTY');?>"});
	}
}

function showMoveConfirm(type){	
	var check_count	= jQuery(".mb-board input[name='check_array[]']").filter(":checked").length;
	if(check_count > 0) {
		if(type=="multi_copy"){
			showConfirmPopup(check_count+"<?php echo __MM('MSG_MULTI_COPY_CONFIRM');?>", {"board_action":type}, sendBoardListData);
		}else if(type=="multi_move"){
			showConfirmPopup(check_count+"<?php echo __MM('MSG_MULTI_MOVE_CONFIRM');?>", {"board_action":type}, sendBoardListData);
		}		
	}else{
		if(type=="multi_copy"){
			showAlertPopup({"code":"1000","message":"<?php echo __MM('MSG_COPY_SELECT_EMPTY');?>"});
		}else if(type=="multi_move"){
			showAlertPopup({"code":"1000","message":"<?php echo __MM('MSG_MOVE_SELECT_EMPTY');?>"});
		}
	}
}

function sendBoardListData(args){
	jQuery('#'+mb_options["board_name"]+'_form_board_list input[name=board_action]').val(args.board_action);
	if(args.board_action=="multi_delete_cart"){		
		sendFormDataRequest(jQuery('#'+mb_options["board_name"]+'_form_board_list'), mb_urls["commerce_api"], sendBoardListDataHandler);
	}else{
		if(args.board_action=="multi_modify"){
			jQuery('#'+mb_options["board_name"]+'_form_board_list input[name=board_pid]').val(args.board_pid);
		}
		sendFormDataRequest(jQuery('#'+mb_options["board_name"]+'_form_board_list'), mb_urls["board_api"], sendBoardListDataHandler);
	}	
}
function sendBoardListDataHandler(response, state)
{
	if(response.state == "success"){
		window.location.reload();
	}else{			
		showAlertPopup(response);
	}
}
</script>

<div class="mb-style1 board-list">

	<?php do_action('mbw_board_skin_header'); ?>	
	<form name="<?php echo $mb_board_name;?>_form_board_list" id="<?php echo $mb_board_name;?>_form_board_list" method="post">
	
	<input type="hidden" name="board_name" id="board_name" value="<?php echo $mb_board_name;?>" />
	<input type="hidden" name="list_type" id="list_type" value="<?php echo mbw_get_param("list_type");?>" />
	<input type="hidden" name="mode" id="mode" value="list" />
	<input type="hidden" name="board_action" id="board_action" value="" />
	<input type="hidden" name="board_pid" id="board_pid" value="" />
	<input type="hidden" name="currency" id="currency" value="<?php echo __MW("W_CURRENCY");?>" />

	<?php echo mbw_create_nonce("form"); ?>



	<div class="main-style1" id="<?php echo $mb_board_name;?>_board_box">

		<table cellspacing="0" cellpadding="0" border="0" id="tbl_board_list" class="table table-list">
			
			<colgroup><?php echo $list_data["width"];?></colgroup>
			<?php				
				echo "<thead><tr>".$list_data["title"]."</tr></thead>";
			?>

			<tbody id="<?php echo $mb_board_name;?>_board_body">
			<?php			

			$list_html						= "";
			$billing_html					= "";
			$regular_price					= 0;
			$total_sale						= 0;
			$sale_price						= 0;
			$shipping_cost				= 0;
			$order_count					= 0;
			$total_order_count			= 0;
			$order_point					= 0;
			$discount						= 0;

			if($list_data["total_count"] > 0){
				$list_index		= (intval(mbw_get_board_option("fn_page_size"))*(intval(mbw_get_param("board_page"))-1))+1;


				if(!empty($board_items)){
					foreach($board_items as $item){					
						mbw_set_board_item($item);
						
						if(intval(mbw_get_board_item("fn_is_notice"))==1){
							$item_class		= ' class="notice"';
						}else{
							$item_class		= "";
						}
						echo '<tr id="'.mbw_get_id_prefix()."tr_".$list_index.'"'.$item_class.'>';
						foreach($list_model as $data){
							if(mbw_check_item($data)) mbw_get_list_template($data);
						}

						echo '</tr>';
						//아래 주석 제거하면 목록에서 콘텐츠 내용도 보이도록 표시함
						//echo '<tr><td colspan="'.$list_data["cols"].'">'.mbw_get_board_item("fn_content").'</td></tr>';
						$list_index++;
					}
				}
				
			}else{
				echo '<tr><td colspan="'.$list_data["cols"].'" align="center" style="text-align:center;">'.__MM("MSG_LIST_ITEM_EMPTY").'</td></tr>';
			}
			?>
			</tbody>
		</table>
	</div>
	<?php 
	do_action('mbw_board_skin_form'); 

	echo '<div style="padding:4px 0 2px;">';
	if(!empty($board_items)){
		echo '<button onclick="showDeleteConfirm(\'multi_delete_cart\');return false;" title="선택상품 삭제" class="btn btn-order-middle" style=""><span>선택상품 삭제</span></button>';
	}
	echo '</div>';
	
	//주문금액		
	$billing_html	= $billing_html.'<div id="cart_order_box1" class="mc-cart-order-box">';

		$billing_html	= $billing_html.'<div class="" style="margin-top:10px !important;">';
			$billing_html	= $billing_html.'<div class="col-sm-8 mc-total-price-box mc-total-price-left-box">';

				$billing_html	= $billing_html.'<div class="mc-cart-price-box pull-left mc-total-price-border-right" style="width:50%;min-height:62px;line-height:1.6;padding:10px 10px 9px !important;">';
					$billing_html	= $billing_html.'<div class="">'.__MW("W_BILLING_REGULAR_PRICE").'</div>';
					$billing_html	= $billing_html.'<div class="text-right mc-cost-sum"><span id="billing_regular_price1">'.mbw_set_format($regular_price+$shipping_cost).'</span></div>';
				$billing_html	= $billing_html.'</div>';

				$billing_html	= $billing_html.'<div class="mc-cart-price-box pull-left" style="width:50%;min-height:62px;line-height:1.6;padding:10px 10px 9px !important;">';
					$billing_html	= $billing_html.'<div class="">'.__MW("W_BILLING_DISCOUNT_PRICE").'</div>';
					$billing_html	= $billing_html.'<div class="text-right mc-cost-sum">- <span id="billing_discount1">'.mbw_set_format($discount).'</span></div>';
				$billing_html	= $billing_html.'</div>';
				$billing_html	= $billing_html.'<div class="clear"></div>';
			$billing_html	= $billing_html.'</div>';

			$billing_html	= $billing_html.'<div class="col-sm-4 mc-total-price-box mc-total-price-right-box">';
				$billing_html	= $billing_html.'<div class="mc-cart-price-box" style="width:100%;min-height:62px;line-height:1.6;padding:10px 10px 9px !important;">';
					$billing_html	= $billing_html.'<div class="">'.__MW("W_BILLING_PAY_PRICE").'</div>';
					$billing_html	= $billing_html.'<div class="text-right mc-payment-price"><span id="billing_order_price1">'.mbw_set_format($sale_price+$shipping_cost).'</span></div>';
				$billing_html	= $billing_html.'</div>';
				$billing_html	= $billing_html.'<div class="clear"></div>';

			$billing_html	= $billing_html.'</div>';
			$billing_html	= $billing_html.'<div class="clear"></div>';
		$billing_html	= $billing_html.'</div>';

	$billing_html	= $billing_html.'</div>';



	//주문금액		
	$billing_html	= $billing_html.'<div id="cart_order_box2" style="display:none;" class="mc-cart-order-box">';

		$billing_html	= $billing_html.'<div class="" style="margin-top:10px !important;">';
			$billing_html	= $billing_html.'<div class="col-sm-9 mc-total-price-box mc-total-price-left-box">';

				$billing_html	= $billing_html.'<div class="mc-cart-price-box pull-left mc-total-price-border-right" style="width:33.3333%;min-height:62px;line-height:1.6;padding:10px 10px 9px !important;">';
					$billing_html	= $billing_html.'<div class="">'.__MW("W_BILLING_REGULAR_PRICE").'</div>';
					$billing_html	= $billing_html.'<div class="text-right mc-cost-sum"><span id="billing_regular_price2">'.mbw_set_format($regular_price).'</span></div>';
				$billing_html	= $billing_html.'</div>';

				$billing_html	= $billing_html.'<div class="mc-cart-price-box pull-left mc-total-price-border-right" style="width:33.3333%;min-height:62px;line-height:1.6;padding:10px 10px 9px !important;">';
					$billing_html	= $billing_html.'<div class="">'.__MW("W_BILLING_DISCOUNT_PRICE").'</div>';
					$billing_html	= $billing_html.'<div class="text-right mc-cost-sum">- <span id="billing_discount2">'.mbw_set_format($discount).'</span></div>';
				$billing_html	= $billing_html.'</div>';

				$billing_html	= $billing_html.'<div class="mc-cart-price-box pull-left" style="width:33.3333%;min-height:62px;line-height:1.6;padding:10px 10px 9px !important;">';
					$billing_html	= $billing_html.'<div class="">'.__MW("W_BILLING_SHIPPING_COST").'</div>';
					$billing_html	= $billing_html.'<div class="text-right mc-cost-sum">+ <span id="billing_shipping_cost2">'.mbw_set_format($shipping_cost).'</span></div>';
				$billing_html	= $billing_html.'</div>';

				$billing_html	= $billing_html.'<div class="clear"></div>';
			$billing_html	= $billing_html.'</div>';

			$billing_html	= $billing_html.'<div class="col-sm-3 mc-total-price-box mc-total-price-right-box">';
				$billing_html	= $billing_html.'<div class="mc-cart-price-box" style="width:100%;min-height:62px;line-height:1.6;padding:10px 10px 9px !important;">';
					$billing_html	= $billing_html.'<div class="">'.__MW("W_BILLING_PAY_PRICE").'</div>';
					$billing_html	= $billing_html.'<div class="text-right mc-payment-price"><span id="billing_order_price2">'.mbw_set_format($sale_price+$shipping_cost).'</span></div>';
				$billing_html	= $billing_html.'</div>';
				$billing_html	= $billing_html.'<div class="clear"></div>';

			$billing_html	= $billing_html.'</div>';
			$billing_html	= $billing_html.'<div class="clear"></div>';
		$billing_html	= $billing_html.'</div>';

	$billing_html	= $billing_html.'</div>';
	echo $billing_html;
	?>

	<?php if(mbw_get_option("use_list_button")){ ?>
	<div class="list-btn">
		<div class="btn-box-right" id="<?php echo $mb_board_name;?>_btn_box">
			<?php				
				echo '<span class="btn-box-left" style="float:left;">';					
					if(intval(mbw_get_option("use_naver_pay"))>=2 && !empty($board_items)){
						echo mbw_get_naver_pay_button(array("buy_handler"=>"cart_buy_nc","count"=>"1","mobile_count"=>"1"))." ";
					}				
					echo mbw_get_left_button("list");
				echo '</span>';				
		
				echo mbw_get_right_button("list");
				echo mbw_get_btn_template(array("name"=>"Order_Select","onclick"=>"addCheckout('select')","class"=>"btn btn-default"));
				echo mbw_get_btn_template(array("name"=>"Order_Total","onclick"=>"addCheckout('all')","class"=>"btn btn-default"));
				echo '<div class="clear"></div>';
			?>
		</div>
	</div>
	<?php } ?>
	</form>
	<?php do_action('mbw_board_skin_footer'); ?>	
</div>

<script type="text/javascript">
	jQuery("#tbl_board_list :checkbox").prop("checked", true);
	selectCartProduct();
</script>