<?php
	$order_state	= mbw_get_param("order_state");
	$state_text	= "";
	if($order_state=="cancelled_order"){
		$state_text	= "주문 취소 신청";
	}else if($order_state=="return_request"){
		$state_text	= "반품 신청";
	}else if($order_state=="exchange_request"){
		$state_text	= "교환 신청";
	}else if($order_state=="refund_request"){
		$state_text	= "환불 신청";
	}else{
		return;
	}

	global $mdb,$mb_fields,$mb_board_table_name,$mstore;

	//메일 보내기 양식 모델
	$mail_order_result		= '
	{"tpl":"tag","tag_name":"table","type":"start","name":"","width":"100px;min-width:68px,600px","class":"table table-order","style":"border-top:solid 2px #dbdbdb !important;font-size:13px;"},
	{"field":"fn_billing_id","name":"주문번호","width":"300px","type":"commerce_billing_id_receipt","th_style":"padding:9px 4px 9px 6px !important;background-color:#FAFAFA;border-bottom:solid 1px #dbdbdb !important;","td_style":"padding:10px 10px 9px 10px !important;border-bottom:solid 1px #dbdbdb !important;"},	
	{"field":"fn_reg_date","name":"주문일자","width":"300px","th_style":"padding:9px 4px 9px 6px !important;background-color:#FAFAFA;border-bottom:solid 1px #dbdbdb !important;","td_style":"padding:10px 10px 9px 10px !important;border-bottom:solid 1px #dbdbdb !important;"},
	{"field":"fn_pay_method","name":"주문상태","width":"300px","type":"commerce_pay_method","th_style":"padding:9px 4px 9px 6px !important;background-color:#FAFAFA;border-bottom:solid 1px #dbdbdb !important;","td_style":"padding:10px 10px 9px 10px !important;border-bottom:solid 1px #dbdbdb !important;"},
	{"field":"fn_pay_bank_account","name":"입금계좌","width":"300px","display_check":"empty:none","th_style":"padding:9px 4px 9px 6px !important;background-color:#FAFAFA;border-bottom:solid 1px #dbdbdb !important;","td_style":"padding:10px 10px 9px 10px !important;border-bottom:solid 1px #dbdbdb !important;"},
	{"field":"fn_order_price","name":"결제금액","width":"300px","format":"currency","type":"commerce_order_price_shipping","th_style":"padding:9px 4px 9px 6px !important;background-color:#FAFAFA;border-bottom:solid 1px #dbdbdb !important;","td_style":"padding:10px 10px 9px 10px !important;border-bottom:solid 1px #dbdbdb !important;"},	
	{"field":"fn_title","name":"주문상품","width":"300px","type":"commerce_text_title_order","th_style":"padding:9px 4px 9px 6px !important;background-color:#FAFAFA;border-bottom:solid 1px #dbdbdb !important;","td_style":"padding:10px 10px 9px 10px !important;border-bottom:solid 1px #dbdbdb !important;"},	
	{"field":"fn_shipping_address1","name":"배송지 정보","width":"","type":"commerce_address_view_shipping","class":"commerce_address_view_shipping","th_style":"padding:9px 4px 9px 6px !important;background-color:#FAFAFA;border-bottom:solid 1px #dbdbdb !important;","td_style":"padding:10px 10px 9px 10px !important;border-bottom:solid 1px #dbdbdb !important;"},
	{"tpl":"tag","tag_name":"table","type":"end"}
	';
	mbw_set_model("mail_order_result",$mail_order_result);
	
	$field						= $mb_fields["commerce_order"];
	$billing_id				= mbw_get_param("billing_id");
	$billing_id				= preg_replace("/[^0-9a-zA-Z_,-]/u", "", $billing_id);
	$where_query			= "";
	$query_command	= "";
	$from					= "";
	$to						= "";
	$user_name			= "";
	$user_email				= "";
	$shop_email			= "";

	//메일 발송 이메일 설정
	add_filter( 'wp_mail_from', 'mbw_commerce_wp_mail_from' );
	function mbw_commerce_wp_mail_from( $email ) {
		$from	= mbw_get_option("admin_email");		//망보드 관리자 이메일
		if(empty($from)) $from		= get_option("admin_email");  //워드프레스 관리자 이메일
		if(strpos($from, ',')!==false){				// 메일이 쉼표로 여러개 입력되어 있을 경우 첫번째 이메일을 발송 이메일로 설정
			$email_array	= explode(",",$from);
			$from			= $email_array[0];
		}
		return $from;
	}
	//메일 발송 이름 설정
	add_filter( 'wp_mail_from_name', 'mbw_commerce_wp_mail_from_name' );
	function mbw_commerce_wp_mail_from_name( $name ) {
		return mbw_get_option("commerce_name");		//쇼핑몰 이름
	}
	$headers			= array('Content-Type: text/html; charset=UTF-8');

	$board_pid					= intval(mbw_get_param("board_pid"));
	$mail_model					= mbw_json_decode(mbw_get_model("mail_order_result"));
	$select_query				= mbw_get_add_query(array("column"=>"*","join"=>"none","table"=>"mb_commerce_order"), array(array("field"=>"fn_pid","value"=>$board_pid)));
	$board_items				= mbw_get_board_items_query($select_query);

	$title						= "";
	$title2						= "";
	$content					= "";
	$content_start			= "";
	$content_end			= "";

	if(!empty($board_items)){
		foreach($board_items as $item){				
			mbw_set_board_item($item);
			$template_html			= "";
			$shop_email				= "";
			if(!empty($item[$field["fn_shop_email"]])) $shop_email		= $item[$field["fn_shop_email"]];

			if(empty($user_email)) $user_email		= $item[$field["fn_user_email"]];
			if(empty($user_name)) $user_name		= mbw_htmlspecialchars_decode($item[$field["fn_user_name"]]);
			$title				= $user_name."님의 ".$state_text."이 접수 되었습니다";
			$title2				= $user_name."님의 ".$state_text."이 접수 되었습니다";

			if(mbw_get_param("cancel_reason")!=''){
				$cancel_reason	= mbw_get_param("cancel_reason");
				$title2				.= " [".$cancel_reason."]";
			}
			$template_html			.= '<div style="padding:30px 30px 30px;border:solid 1px #EDEDED;">';
			$template_html			.= '<div style="padding:0 5px 15px;font-weight:600;font-size:20px;">'.$title.'</div>';

			foreach($mail_model as $data){
				if(mbw_check_item($data)) $template_html		.= mbw_get_view_template($data,null,false);
			}
			$template_html			.= '</div>';			

			//주문상태 변경에 대한 메일 발송 - 판매자
			if(mbw_get_option("commerce_item_type")=="open_market" && !empty($shop_email)){
				if(function_exists('mbw_mail')) mbw_mail( $shop_email, wp_specialchars_decode($title2), $content_start.$template_html.$content_end, $headers);
				else wp_mail( $shop_email, wp_specialchars_decode($title2), $content_start.$template_html.$content_end, $headers);
			}
			$content		.= $template_html;
			$content		.= "<br><br>";
		}
	}else return;

	$content			= $content_start.$content.$content_end;

	if(mbw_get_option("commerce_email")!=""){			//커머스 관리자 이메일
		$to				= mbw_get_option("commerce_email");
	}else if(mbw_get_option("admin_email")!=""){		//망보드 관리자 이메일
		$to				= mbw_get_option("admin_email");
	}else if(get_option("admin_email")!=""){		//워드프레스 관리자 이메일
		$to				= get_option("admin_email");
	}
	//주문상태 변경에 대한 메일 발송 - 주문자
	if(!empty($user_email)){
		if(function_exists('mbw_mail')) mbw_mail( $user_email, wp_specialchars_decode($title), $content, $headers);			// 주문 고객 메일로 주문내용 메일 발송
		else wp_mail( $user_email, wp_specialchars_decode($title), $content, $headers);			// 주문 고객 메일로 주문내용 메일 발송
	}
	//주문상태 변경에 대한 메일 발송 - 관리자
	if(!empty($to)){
		if(function_exists('mbw_mail')) mbw_mail( $to, wp_specialchars_decode($title2), $content, $headers);				// 관리자 메일로 주문내용 메일 발송
		else wp_mail( $to, wp_specialchars_decode($title2), $content, $headers);				// 관리자 메일로 주문내용 메일 발송
	}
?>