<?php
	$qa_model		= '
	{"field":"fn_content_type","name":"문의유형","width":"90px","td_class":"text-center","responsive":"mb-hide-mobile","order":"false"},
	{"field":"fn_title","name":"문의/답변","width":"","type":"commerce_product_qa_title","maxlength":"100","maxtext":"..","td_class":"text-left","order":"false","onclick":"openContents(this,\'commerce_product_qa\',1,\'content_reply\')"},
	{"field":"fn_user_name","name":"작성자","width":"115px","class":"commerce_name","td_class":"text-center","type":"commerce_review_user_name","responsive":"mb-hide-mobile mb-hide-tablet","order":"false"},
	{"field":"fn_reg_date","name":"날짜","width":"100px","type":"date","class":"date","td_class":"text-center","responsive":"mb-hide-mobile mb-hide-tablet","order":"false"},
	';
	mbw_set_model("list",$qa_model);
	mbw_set_model("list_admin",$qa_model);
	$index							= 0;
	$page_size						= 5;
	$page_type						= "ajax";
	$list_model						= mbw_json_decode(mbw_get_model("list"));
	$list_data						= mbw_get_list_setup_data($list_model);	
	$total_count					= $mdb->get_var(mbw_get_add_query(array("column"=>"count(*)","table"=>$mb_commerce_tables["commerce_product_qa"]), array(array("field"=>$mb_fields["board"]["fn_parent_pid"],"value"=>$product_pid),array("field"=>$mb_fields["board"]["fn_reply"],"value"=>"0"))));
	$select_query					= mbw_get_add_query(array("column"=>"*","table"=>$mb_commerce_tables["commerce_product_qa"]), array(array("field"=>$mb_fields["board"]["fn_parent_pid"],"value"=>$product_pid),array("field"=>$mb_fields["board"]["fn_reply"],"value"=>"0")), array("fn_gid"=>"desc", "fn_reply"=>"asc"));
	$board_items					= mbw_get_board_items_query($select_query." limit 0, ".$page_size);
	mbw_set_board_order(array("fn_gid"=>mbw_get_param("order_type"), "fn_reply"=>"asc"));

	$board_name		= "commerce_product_qa";
	echo '<form name="'.$board_name.'_form_board_list" id="'.$board_name.'_form_board_list" method="post">';
	echo '<input type="hidden" name="board_name" value="'.$board_name.'" />';
	echo '<input type="hidden" name="list_type" value="list" />';
	echo '<input type="hidden" name="mode" value="list" />';
	echo '<input type="hidden" name="board_action" value="load" />';
	echo '<input type="hidden" name="page_type" value="'.$page_type.'" />';
	echo '<input type="hidden" name="page_size" value="'.$page_size.'" />';
	echo '<input type="hidden" name="parent_pid" value="'.$product_pid.'" />';
	echo '<input type="hidden" name="load_type" value="product_view" />';
	echo mbw_create_nonce("form");

	$list_html				= "";
	$billing_html			= "";
	if($total_count > 0){
		if(!empty($board_items)){
			foreach($board_items as $item){
				mbw_set_board_item($item);
				$item_class		= "";
				$list_html			.= '<tr>';
				foreach($list_model as $data){
					if(mbw_check_item($data)) $list_html		.= mbw_get_list_template($data,null,false);
					$index++;
				}
				$list_html			.= '</tr>';
				/*
				if(true){
					$list_html		.= '<tr class="mb-open-box" style="display: none;"><td></td><td colspan="'.(intval($list_data["cols"])-1).'"><div class="mb-open-slide" style="display: none;"><div class="mb-open-content">';
					$list_html		.= mbw_get_board_item("fn_content");
					$list_html		.= '</div></div></td></tr>';
				}
				*/
			}
		}
	}else{
		$list_html		.= '<tr><td colspan="'.$list_data["cols"].'" align="center" style="text-align:center;">'.__MM("MSG_LIST_PRODUCT_QA_EMPTY").'</td></tr>';
	}

	$billing_html	.= '<div class="board-list"><table cellspacing="0" cellpadding="0" border="0" class="table table-list">';
		$billing_html	.= '<colgroup>'.$list_data["width"].'</colgroup>';
		$billing_html	.= '<thead><tr>'.$list_data["title"].'</tr></thead>';		

		$billing_html	.= '<tbody id="'.$board_name.'_board_body">';
		$billing_html	.= $list_html;
		$billing_html	.= '</tbody>';
	$billing_html	.= '</table></div>';
	echo $billing_html;

	//if($mb_user_level>0)
	{
		echo '<div class="list-btn">';
			echo '<div class="btn-box-right" id="'.$mb_board_name.'_btn_box">';
				if(empty($product_user_pid) && !empty($board_item["user_pid"])){					
					$product_user_pid	= $board_item["user_pid"];
				}
				if(!empty($product_user_pid)){
					echo mbw_get_btn_template(array("name"=>"QandA","type"=>"button","href"=>mbw_get_url(array("board_pid"=>"","board_name"=>$board_name,"mode"=>"write","parent_pid"=>$product_pid,"parent_user_pid"=>$product_user_pid,"write_next_page"=>"referer","board_action"=>"write"),mbw_check_permalink(mbw_get_option("post_product_qa")),""),"class"=>"btn btn-default btn-write"));
				}
			echo '</div>';
		echo '</div>';
	}

	if($index > 0){
		echo '<div id="'.$board_name.'_pagination_box" class="pagination-box">'.mbw_get_pagination_template(array("total_count"=>$total_count,"page_size"=>$page_size,"board_page"=>1,"board_name"=>$board_name,"page_type"=>$page_type)).'</div>';
	}

	echo '</form>';
?>