<?php
//관련 상품 기능
global $mdb,$mstore,$mb_admin_tables,$mb_fields,$post;
$name							= "commerce_product";
$board_field						= $mb_fields["commerce_product"];
$title_max_length				= 16;
if(!empty($args['related_product_list_size'])) $list_size						= mbw_value_filter($args['related_product_list_size']);
else $list_size						= 4;
$img_type						= "full";
$product_type					= "";
if(mbw_get_param("product_type")!=""){
	$product_type		= mbw_value_filter(mbw_get_param("product_type"));
}else{
	if(!empty($args['product_type'])) {
		$product_type		= mbw_value_filter($args['product_type']);
	}
}

$device_type		= mbw_get_vars("device_type");
if($device_type=="mobile"){
	if(isset($args['related_img_'.$device_type.'_height'])) $img_height			= mbw_value_filter($args['related_img_'.$device_type.'_height']);
	else $img_height				= "260px"; 
}else if($device_type=="tablet"){
	if(isset($args['related_img_'.$device_type.'_height'])) $img_height			= mbw_value_filter($args['related_img_'.$device_type.'_height']);
	else $img_height				= "220px"; 
}else{
	if(isset($args['related_img_height'])) $img_height			= mbw_value_filter($args['related_img_height']);
	else $img_height				= "220px"; 
}
if(empty($args['related_responsive_class'])) $responsive_class			= "col-421";
else $responsive_class			= esc_attr($args['related_responsive_class']);
if(empty($args['related_product_class'])) $div_class			= "";
else $div_class			= esc_attr($args['related_product_class']);

$div_style						= "";
$mode							= "related";

if(empty($category1)) $category1			= "";
if(empty($category2)) $category2			= "";
if(empty($category3)) $category3			= "";

$commerce_permalink		= mbw_get_product_view_url();
if(strpos($commerce_permalink, '?') === false)	$commerce_permalink		= $commerce_permalink."?";
else 	$commerce_permalink		= $commerce_permalink."&";
if(strpos($commerce_permalink, 'vid') !== false){
	$commerce_permalink		= substr($commerce_permalink,0,strpos($commerce_permalink,'vid='));
}
$commerce_permalink		= $commerce_permalink."vid=";

$table_name				= mbw_get_table_name($name);
$where_query				= ' where is_show=1';
$where_data				= array();
if(!empty($category1)){
	if(strpos($category1, ',') !== false){
		$category1_array		= explode(',',$category1);
		$filter_array1			= array();
		foreach($category1_array as $item){
			$filter_array1[]		= $mdb->prepare($board_field["fn_category1"]."=%s", $item );
		}
		$where_data[]		= " (".implode( ' OR ', $filter_array1).")";
	}else{
		$where_data[]		= $mdb->prepare($board_field["fn_category1"]."=%s",$category1);
	}
}

if(mbw_get_param("board_pid")!="") $where_data[]		= $mdb->prepare($board_field["fn_pid"]."!=%s",mbw_get_param("board_pid")); 
if(!empty($where_data)) $where_query				.= " and ".implode(" and ",$where_data);

if(!empty($product_type)) $where_query	.= $mdb->prepare(" and product_type=%s",$product_type);

$where_query2			= $where_query;		

//카테고리 검색 쿼리 생성
if(!empty($category1) && !empty($category2)){
	if(strpos($category2, ',') !== false){
		$category2_array		= explode(',',$category2);
		$filter_array2			= array();
		foreach($category2_array as $item){
			$filter_array2[]		= $mdb->prepare($board_field["fn_category2"]."=%s", $item);
		}
		$where_query2	.= " and (".implode( ' OR ', $filter_array2).")";
	}else{
		$where_query2	.= " and ".$mdb->prepare($board_field["fn_category2"]."=%s",$category2);
	}
	if(!empty($category3)){
		if(strpos($category3, ',') !== false){
			$category3_array		= explode(',',$category3);
			$filter_array3			= array();
			foreach($category3_array as $item){
				$filter_array3[]		= $mdb->prepare($board_field["fn_category3"]."=%s", $item);
			}
			$where_query2	.= " and (".implode( ' OR ', $filter_array3).")";
		}else{
			$where_query2	.= " and ".$mdb->prepare($board_field["fn_category3"]."=%s",$category3);
		}
	}
}

$order_by			= ' order by rand()';
//검색조건에 맞는 상품이 설정한 개수보다 많으면 검색조건에 맞게 보여주고, 작으면 기본 조건으로 검색
$item_count	= intval($mdb->get_var("SELECT count(*) FROM ".$table_name.$where_query2));
if($item_count>=$list_size){
	$where_query		= $where_query2;
	
}
$item_count	= intval($mdb->get_var("SELECT count(*) FROM ".$table_name.$where_query));
if($item_count<$list_size){
	$where_query		= ' where is_show=1';
	$order_by			= ' order by product_rank1 DESC';
	if(!empty($product_type)){
		$where_query	.= $mdb->prepare(" and product_type=%s",$product_type);
	}
}
$where_query			.= ' and '.$board_field["fn_image_path"].'!=""';
$commerce_list		= $mdb->get_results("SELECT * FROM " . $table_name . $where_query.$order_by." limit 0,".$list_size, ARRAY_A);

$template_html	= '<div class="clear"></div>';
$template_html	.= '<div style="margin:30px -5px 10px -5px;">';
$template_html	.= '<div class="mc-related-title" style="padding-left:6px;font-size:16px;font-weight:600;color:#555">관련 상품</div>';
$template_html	.= '<div class="mb-widget mb-'.mbw_get_vars("device_type").'">';
$template_html	.= '<div'.$div_style.' class="mb-board mc-widget-gallery gallery-list mb-widget-'.$mode.$div_class.'">';

$template_html	.= '<div class="mc-widget-box">';

if(!empty($commerce_list)){
	foreach($commerce_list as $commerce_item){
		$post_title		= mbw_htmlspecialchars_decode($commerce_item[$board_field["fn_title"]]);
		if(mb_strlen($post_title)>$title_max_length){
			$post_title		= mb_substr($post_title, 0, $title_max_length)."...";
		}
		$img_url		= mbw_get_image_url("url_small",$commerce_item[$board_field["fn_image_path"]]);

		$template_html	.= '<div class="mc-gallery-item-box '.$responsive_class.'">';

		$template_html	.= '<div class="mc-gallery-item-wrap"><a href="'.$commerce_permalink.$commerce_item[$board_field["fn_pid"]].'">';
			
			if($img_type=="ratio"){
				$template_html	.= '<div class="mc-gallery-item-img img-ratio"><img class="img" style="max-width:100%;height:'.$img_height.';" src="'.$img_url.'" alt="'.esc_attr($commerce_item[$board_field["fn_title"]]).'" title="'.esc_attr($commerce_item[$board_field["fn_title"]]).'"></div>';
			}else{
				$template_html	.= '<div class="mc-gallery-item-img img-full"><div style="height:'.$img_height.';background-image:url('.$img_url.');background-position:center center;background-size:cover;"></div></div>';
			}			

			$template_html	.= '<div class="mc-gallery-item-text-box">';
				$template_html	.= '<div class="mc-gallery-item-title">'.$commerce_item[$board_field["fn_title"]];
				$template_html	.= "</div>";
				$template_html	.= '<div class="mc-gallery-item-price">';

				$sale_price		= floatval($commerce_item[$board_field["fn_sale_price"]]);
				if($sale_price==0) $sale_price_text		= __MW("W_FREE");
				else $sale_price_text	= mbw_set_format($sale_price);

				$sale_status			= intval($commerce_item[$board_field["fn_sale_status"]]);
				$product_type		= $commerce_item[$board_field['fn_product_type']];

				if($product_type=="lecture"){
					if($commerce_item[$board_field['fn_lecture_deadline']]!="" && $commerce_item[$board_field['fn_lecture_deadline']]<mbw_get_current_date()) $sale_status		= 2;					
					else if(intval($commerce_item[$board_field['fn_sale_count']])>=intval($commerce_item[$board_field['fn_stock']])) $sale_status		= 2;
				}else {
					if(intval($commerce_item[$board_field['fn_stock']])==0) $sale_status		= 2;
				}
				if(($sale_status!=1 && $sale_status!=6) || ($sale_status==6 && !mbw_is_login())){
					$sale_price_text		= mbw_get_product_status_text($product_type,$sale_status);
				}

				$template_html	.= '<span class="mc-gallery-item-sale-price"> '.$sale_price_text.'</span>';

				$template_html	.= "</div>";
			$template_html	.= "</div>";
		$template_html	.= "</a></div></div>";
	}
	$template_html	.= '<div class="clear"></div></div></div></div></div>';
	echo $template_html;
}
?>