<?php
mbw_set_option("commerce_category_template", array("select-basic-1","tab-basic-1","tab-basic-2","tab-basic-3","tab-basic-4","tab-basic-5","tab-basic-6","tab-basic-7","tab-basic-8","text-basic-1"));
mbw_set_option("commerce_category_product_type", array("","lecture"));
mbw_set_option("commerce_category_product_type_label", array(__MW("W_PRODUCT_TOTAL"),__MW("W_PRODUCT_LECTURE")));

if(!function_exists('mbw_get_commerce_category_template')){
	function mbw_get_commerce_category_template($mode,$data){
		global $mb_fields,$mb_admin_tables,$mdb;
		$widget_name			= basename(__FILE__,".php");

		if(empty($data['template'])) $template			= "tab-basic-1";
        else $template			= $data['template'];
		if(empty($data['product_type'])) $product_type			= "product";
        else $product_type			= $data['product_type'];
		if(empty($data['step'])) $step			= 1;
        else $step			= intval($data['step']);

		if(empty($data['class'])) $div_class			= "";
        else $div_class			= esc_attr($data['class']);
		if(empty($data['style'])) $div_style			= "";
        else $div_style			= " style='".str_replace("'",'"',esc_attr($data['style']))."'";

		$t_name					= "Category";

		$add_script					= "";
		$widget_html				= "";

		$board_name				= "commerce_".$product_type;
		$category_text				= mbw_get_product_category($board_name);
	
		// 계층 구조가 있는지 여부 파악
		if(strpos($category_text, '{')===false)
			$hierarchical		= false;
		else
			$hierarchical		= true;
		if($category_text=="") 
			$template		= "NONE";

		$category1				= mbw_stripslashes(mbw_get_param("category1"));
		$category2				= mbw_stripslashes(mbw_get_param("category2"));
		$category3				= mbw_stripslashes(mbw_get_param("category3"));
		$category_array		= array();			
		if(!empty($category1) && strpos($category1, ',') !== false){
			$category_array[1]		= explode(',',$category1);
		}
		if(!empty($category2) && strpos($category2, ',') !== false){
			$category_array[2]		= explode(',',$category2);
		}
		if(!empty($category3) && strpos($category3, ',') !== false){
			$category_array[3]		= explode(',',$category3);
		}
		$shortcode_data		= $data;
		$category_param	= array();
		$category_depth	= 1;
		if(isset($_GET["category1"]) && $_GET["category1"]==""){
			$data['category1']		= "";
			$data['category2']		= "";
			$data['category3']		= "";
		}else if(mbw_get_param("category1")!=""){
			$data['category1']		= mbw_get_param("category1");
			$data['category2']		= "";
			$data['category3']		= "";
			$category_param[]		= mbw_get_param("category1");
			if(mbw_get_param("category2")!=""){
				$data['category2']	= mbw_get_param("category2");
				$category_param[]	= mbw_get_param("category2");
				$category_depth	= 2;
				if(mbw_get_param("category3")!=""){
					$data['category3']	= mbw_get_param("category3");
					$category_param[]	= mbw_get_param("category3");
					$category_depth	= 3;
				}
			}
		}else{
			if(isset($data['category1'])){
				$category_param[]		= $data['category1'];
				$category_depth	= 1;
			}else $data['category1']		= "";
			if(isset($data['category2'])){
				$category_param[]		= $data['category2'];
				$category_depth	= 2;
			}else $data['category2']		= "";
			if(isset($data['category3'])){
				$category_param[]		= $data['category3'];
				$category_depth	= 3;
			}else $data['category3']		= "";
		}

		$template			= strtolower($template);
		// SELECT 박스로 카테고리 보여주기
		if(strpos($template, "select")===0 && $category_text!=""){
			$widget_html	.= '<div class="mb-select-category-wrap" style="width:100%;min-height:30px;">';
			if($template=="select-basic-1"){
				if(!$hierarchical){
					$category1				= $data['category1'];
					if(!empty($category1) && strpos($category1, ',') !== false){
						$category1_array		= explode(',',$category1);
						$category1		= $category1_array[0];
					}

					$widget_html	.= mbw_get_item_template("search",array("field"=>"fn_category1","item_id"=>$mode."_select_category1","event"=>"onchange='sendCommerceSelectSearch(\"".esc_js($mode)."\",1);'","type"=>"select","title"=>$t_name.'1',"data"=>$category_text,"value"=>$category1));
					$widget_html	.= mbw_get_item_template("search",array("field"=>"fn_category2","item_id"=>$mode."_select_category2","event"=>"","type"=>"select","title"=>$t_name.'2',"data"=>"","value"=>"","style"=>"display:none;"));
					$widget_html	.= mbw_get_item_template("search",array("field"=>"fn_category3","item_id"=>$mode."_select_category3","event"=>"","type"=>"select","title"=>$t_name.'3',"data"=>"","value"=>"","style"=>"display:none;"));	
				}else{
					if($step>1) $widget_html	.= '<span style="display:none;">';
						$widget_html	.= mbw_get_item_template("search",array("field"=>"fn_category1","item_id"=>$mode."_select_category1","event"=>"onchange='sendCommerceSelectSearch(\"".esc_js($mode)."\",1);'","type"=>"select","title"=>$t_name.'1',"data"=>"","value"=>"","style"=>"display:none;"));
						if($data['category1']!="") $widget_html	.= '<span id="'.esc_attr($mode).'_before_category2" style="display:none;" class="mb-hide-mobile">&nbsp;&nbsp;/&nbsp;&nbsp;</span>';
					if($step>1) $widget_html	.= '</span>';

					if($step>2) $widget_html	.= '<span style="display:none;">';
						$widget_html	.= mbw_get_item_template("search",array("field"=>"fn_category2","item_id"=>$mode."_select_category2","event"=>"onchange='sendCommerceSelectSearch(\"".esc_js($mode)."\",2);'","type"=>"select","title"=>$t_name.'2',"data"=>"","value"=>"","style"=>"display:none;"));
						if($data['category1']!="" && $data['category2']!="") $widget_html	.= '<span id="'.esc_attr($mode).'_before_category3" style="display:none;" class="mb-hide-mobile">&nbsp;&nbsp;/&nbsp;&nbsp;</span>';
					if($step>2) $widget_html	.= '</span>';

					$widget_html	.= mbw_get_item_template("search",array("field"=>"fn_category3","item_id"=>$mode."_select_category3","event"=>"onchange='sendCommerceSelectSearch(\"".esc_js($mode)."\",3);'","type"=>"select","title"=>$t_name.'3',"data"=>"","value"=>"","style"=>"display:none;"));	
				
					$add_script		.= '<script type="text/javascript">';
					$add_script		.= 'jQuery( document ).ready(function() { category_data=JSON.parse(\''.($category_text).'\'); commerce_category_select("'.esc_js($mode).'",0);  });';
					$add_script		.= '</script>';
				}
				$widget_html	.= '<div class="clear"></div>';
			}
			$widget_html	.= '</div>';
		// 카테고리를 탭메뉴로 보여주기
		}else if(strpos($template, "tab")===0 && $category_text!=""){
			$tab_menu			= array();			
			$tab_index			= 1;			

			if(!$hierarchical){
				$tab_menu				= explode(",",$category_text);
			}else{
				$temp_data		= mbw_json_decode($category_text);
				$category_data				= $temp_data[0];
				$items			= array();

				if($data['category1']!="" && !empty($category_data[$data['category1']]) && is_array($category_data[$data['category1']]) && count($category_data[$data['category1']])>1){
					if($data['category2']!="" && !empty($category_data[$data['category1']][$data['category2']]) && is_array($category_data[$data['category1']][$data['category2']]) && count($category_data[$data['category1']][$data['category2']])>1){
						$items		= $category_data[$data['category1']][$data['category2']];
						$tab_index	= 3;
					}else{
						$items		= $category_data[$data['category1']];
						$tab_index	= 2;
					}
				}else{
					$items		= $category_data;
				}				
				foreach($items as $key => $value){
					$tab_menu[]				= $key;
				}
			}

			if(empty($data['focus_text_color'])) $focus_text_color			= "#fff !important;";
		    else $focus_text_color			= $data['focus_text_color']." !important;";

			if(empty($data['focus_bg_color'])) $focus_bg_color			= "#888 !important;";
		    else $focus_bg_color			= $data['focus_bg_color']." !important;";
			
			if(empty($data['text_color'])) $text_color			= "#888 !important;";
		    else $text_color			= $data['text_color']." !important;";
			
			if($template=="tab-basic-1"){
				
				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-1 button > span{color:'.esc_attr($text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-1 .mc-tab-menu-on{background-color:'.esc_attr($focus_bg_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-1 .mc-tab-menu-on span{color:'.esc_attr($focus_text_color).'}';

				$widget_html	.= '</style>';

				$widget_html	.= '<div class="mc-tab-basic-1" style="">';
					if($data['category'.$tab_index]=="") $tab_menu_class			= "mc-tab-menu-on";
					else $tab_menu_class			= "mc-tab-menu-off";

					$select_name		= __MW("W_PRODUCT_TOTAL");
					if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
						$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
					}
					
					$widget_html	.= mbw_get_btn_template(array("name"=>$select_name,"onclick"=>"sendTabReload('','".$tab_index."')","class"=>$tab_menu_class,"style"=>"min-width:120px;"));
					
					$tab_menu_class								= "mc-tab-menu-off";
					foreach($tab_menu as $value){
						if($value==$data['category'.$tab_index]) $tab_menu_class			= "mc-tab-menu-on";
						else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])) $tab_menu_class			= "mc-tab-menu-on";
						else $tab_menu_class			= "mc-tab-menu-off";						
					
						$widget_html	.= mbw_get_btn_template(array("name"=>esc_html($value),"onclick"=>"sendTabReload('".esc_js($value)."','".esc_js($tab_index)."')","class"=>$tab_menu_class));			
					}
				$widget_html	.= '</div>';
			}else if($template=="tab-basic-2"){

				if(empty($data['focus_text_color'])) $focus_text_color			= "#E03030 !important;";
				else $focus_text_color			= $data['focus_text_color']." !important;";

				if(empty($data['focus_bg_color'])) $focus_bg_color			= "#fff !important;";
				else $focus_bg_color			= $data['focus_bg_color']." !important;";

				if(empty($data['text_color'])) $text_color			= "#888 !important;";
				else $text_color			= $data['text_color']." !important;";

				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mb-category .mc-tab-basic-2 a{color:'.$text_color.'}';
					$widget_html	.= '.mb-board.mc-widget-category .mb-category .mc-tab-basic-2 .mc-tab-menu2-on a{color:'.$focus_text_color.'}';
				$widget_html	.= '</style>';


				$index			= 1;
				$widget_html	.= '<div class="mc-tab-basic-2" style="">';
				if($data['category'.$tab_index]=="") $tab_menu_class			= "mc-tab-menu2-on";
				else $tab_menu_class			= "mc-tab-menu2-off";

				$select_name		= __MW("W_PRODUCT_TOTAL");				
				if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
					$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
				}
				$widget_html	.= '<div class="col-md-6">'; 
				$widget_html	.= '<div style="float:left;width:50%;" class="'.esc_attr($tab_menu_class).'"><a href="javascript:;" onclick="sendTabReload(\'\',\''.esc_js($tab_index).'\');return false;" title="'.esc_attr($select_name).'">'.$select_name.'</a></div>';
			
				$tab_menu_class								= "mc-tab-menu2-off";
				if(!empty($tab_menu)){
					foreach($tab_menu as $value){
						if($value==$data['category'.$tab_index]) $tab_menu_class			= "mc-tab-menu2-on";
						else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])) $tab_menu_class			= "mc-tab-menu2-on";
						else $tab_menu_class			= "mc-tab-menu2-off";						

						if($index%2==0) $widget_html	.= '</div><div class="col-md-6">';
						$widget_html	.= '<div style="float:left;width:50%;" class="'.esc_attr($tab_menu_class).'"><a href="javascript:;" onclick="sendTabReload(\''.esc_js($value).'\',\''.esc_js($tab_index).'\');return false;" title="'.esc_attr($value).'">'.esc_html($value).'</a></div>';
						$index++;
					}
				}

				if($index%4==1 || $index%4==2){
					$widget_html	.= '</div><div class="col-md-6"><div style="float:left;width:50%;"></div><div style="float:left;width:50%;"></div>';
					$index++;
				}
				$widget_html	.= '</div>'; 

				$widget_html	.= '<div class="clear"></div>';
				$widget_html	.= '</div>';
			}else if($template=="tab-basic-3"){
				
				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-3 a{color:'.esc_attr($text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-3 .mc-tab-menu-on a{color:'.esc_attr($focus_text_color).' background-color:'.esc_attr($focus_bg_color).'}';
				$widget_html	.= '</style>';

				$index			= 1;
				$widget_html	.= '<div class="mc-tab-basic-3" style="">';
				if($data['category'.$tab_index]==""){
					$tab_menu_class			= "mc-tab-menu-on";
				}else{
					$tab_menu_class			= "mc-tab-menu-off";
				}

				$select_name		= __MW("W_PRODUCT_TOTAL");				
				if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
					$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
				}
				$widget_html	.= '<div class="col-md-6">'; 
				$widget_html	.= '<div class="mc-tab-box" style="float:left;width:50%;" ><div class="'.esc_attr($tab_menu_class).'"><a href="javascript:;" onclick="sendTabReload(\'\',\''.esc_js($tab_index).'\');return false;" title="'.esc_attr($select_name).'">'.$select_name.'</a></div></div>';
			
				$tab_menu_class								= "mc-tab-menu-off";
				if(!empty($tab_menu)){
					foreach($tab_menu as $value){
						if($value==$data['category'.$tab_index]){
							$tab_menu_class			= "mc-tab-menu-on";
						}else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])){
							$tab_menu_class			= "mc-tab-menu-on";
						}else{ 
							$tab_menu_class			= "mc-tab-menu-off";
						}

						if($index%2==0) $widget_html	.= '</div><div class="col-md-6">';
						$widget_html	.= '<div class="mc-tab-box" style="float:left;width:50%;"><div class="'.esc_attr($tab_menu_class).'"><a href="javascript:;" onclick="sendTabReload(\''.esc_js($value).'\',\''.esc_js($tab_index).'\');return false;" title="'.esc_attr($value).'">'.esc_html($value).'</a></div></div>';
						$index++;
					}
				}

				if($index%4==1 || $index%4==2){
					$widget_html	.= '</div><div class="col-md-6"><div class="" style="float:left;width:50%;"></div><div class="" style="float:left;width:50%;"></div>';
					$index++;
				}
				$widget_html	.= '</div>'; 

				$widget_html	.= '<div class="clear"></div>';
				$widget_html	.= '</div>';
				
			}else if($template=="tab-basic-4"){				
				
				
				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-4 a{color:'.esc_attr($text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-4 .mc-tab-menu-on a{color:'.esc_attr($focus_text_color).' background-color:'.esc_attr($focus_bg_color).'}';
				$widget_html	.= '</style>';

				$index			= 1;
				$widget_html	.= '<div class="mc-tab-basic-4" style="">';
				if($data['category'.$tab_index]=="") $tab_menu_class			= "mc-tab-menu-on";
				else $tab_menu_class			= "mc-tab-menu-off";

				$select_name		= __MW("W_PRODUCT_TOTAL");				
				if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
					$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
				}
				$widget_html	.= '<div class="col-md-6">'; 
				$widget_html	.= '<div style="float:left;width:50%;" ><div class="'.esc_attr($tab_menu_class).'"><a href="javascript:;" onclick="sendTabReload(\'\',\''.esc_js($tab_index).'\');return false;" title="'.esc_attr($select_name).'">'.$select_name.'</a></div></div>';
			
				$tab_menu_class								= "mc-tab-menu-off";
				if(!empty($tab_menu)){
					foreach($tab_menu as $value){
						if($value==$data['category'.$tab_index]) $tab_menu_class			= "mc-tab-menu-on";
						else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])) $tab_menu_class			= "mc-tab-menu-on";
						else $tab_menu_class			= "mc-tab-menu-off";						

						if($index%2==0) $widget_html	.= '</div><div class="col-md-6">';
						$widget_html	.= '<div style="float:left;width:50%;"><div class="'.esc_attr($tab_menu_class).'"><a href="javascript:;" onclick="sendTabReload(\''.esc_js($value).'\',\''.esc_js($tab_index).'\');return false;" title="'.esc_attr($value).'">'.esc_html($value).'</a></div></div>';
						$index++;
					}
				}

				if($index%4==1 || $index%4==2){
					$widget_html	.= '</div><div class="col-md-6"><div style="float:left;width:50%;"></div><div style="float:left;width:50%;"></div>';
					$index++;
				}
				$widget_html	.= '</div>'; 

				$widget_html	.= '<div class="clear"></div>';
				$widget_html	.= '</div>';
			}else if($template=="tab-basic-5"){				
				
				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-5 button span{color:'.esc_attr($text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-5 button.mc-tab-menu-on{background-color:'.esc_attr($focus_bg_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-5 button.mc-tab-menu-on span{color:'.esc_attr($focus_text_color).'}';
					$widget_html	.= '.mc-widget-category .mc-tab-basic-5 .mc-tab-menu-off:hover{color:'.esc_attr($focus_text_color).' background-color:'.esc_attr($focus_bg_color).'}';
					$widget_html	.= '.mc-widget-category .mc-tab-basic-5 .mc-tab-menu-off:hover span{color:'.esc_attr($focus_text_color).'}';

				$widget_html	.= '</style>';
				
				$widget_html	.= '<div class="mc-tab-basic-5" style="text-align:center;">';
				if($data['category'.$tab_index]=="") $tab_menu_class			= "mc-tab-menu-on";
				else $tab_menu_class			= "mc-tab-menu-off";

				$select_name		= __MW("W_PRODUCT_TOTAL");
				if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
					$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
				}
				
				$widget_html	.= mbw_get_btn_template(array("name"=>$select_name,"onclick"=>"sendTabReload('','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>""));
				

				$tab_menu_class								= "mc-tab-menu-off";
				foreach($tab_menu as $value){
					if($value==$data['category'.$tab_index]) $tab_menu_class			= "mc-tab-menu-on";
					else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])) $tab_menu_class			= "mc-tab-menu-on";
					else $tab_menu_class			= "mc-tab-menu-off";						
				
					$widget_html	.= mbw_get_btn_template(array("name"=>esc_html($value),"onclick"=>"sendTabReload('".esc_js($value)."','".esc_js($tab_index)."')","class"=>$tab_menu_class));			
				}
				$widget_html	.= '</div>'; 
				
			}else if($template=="tab-basic-6"){
				
				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-6 button span{color:'.esc_attr($text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-6 button.mc-tab-menu-on span{color:'.esc_attr($focus_text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-6 button.mc-tab-menu-on{background-color:'.esc_attr($focus_bg_color).'}';
				$widget_html	.= '</style>';
				
				$widget_html	.= '<div style="text-align:center;">';
				$widget_html	.= '<div class="mc-tab-basic-6" style="">';
					if($data['category'.$tab_index]=="") $tab_menu_class			= "mc-tab-menu-on";
					else $tab_menu_class			= "mc-tab-menu-off";

					$select_name		= __MW("W_PRODUCT_TOTAL");
					if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
						$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
					}
					
					$widget_html	.= mbw_get_btn_template(array("name"=>$select_name,"onclick"=>"sendTabReload('','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>"min-width:80px;"));
					

					$tab_menu_class								= "mc-tab-menu-off";
					foreach($tab_menu as $value){
						if($value==$data['category'.$tab_index]) $tab_menu_class			= "mc-tab-menu-on";
						else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])) $tab_menu_class			= "mc-tab-menu-on";
						else $tab_menu_class			= "mc-tab-menu-off";						
					
						$widget_html	.= mbw_get_btn_template(array("name"=>esc_html($value),"onclick"=>"sendTabReload('".esc_js($value)."','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>"min-width:80px;"));			
					}
				$widget_html	.= '</div></div>';
			}else if($template=="tab-basic-7"){
				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-7 button span{color:'.esc_attr($text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-7 button.mc-tab-menu-on{background-color:'.esc_attr($focus_bg_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-7 button.mc-tab-menu-on span{color:'.esc_attr($focus_text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-7 button:hover{background-color:'.esc_attr($focus_bg_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-7 button:hover span{color:'.esc_attr($focus_text_color).'}';
				$widget_html	.= '</style>';
				
				$widget_html	.= '<div style="text-align:center;">';
				$widget_html	.= '<div class="mc-tab-basic-7" style="">';
					if($data['category'.$tab_index]=="") $tab_menu_class			= "mc-tab-menu-on";
					else $tab_menu_class			= "mc-tab-menu-off";

					$select_name		= __MW("W_PRODUCT_TOTAL");
					if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
						$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
					}
					
					$widget_html	.= mbw_get_btn_template(array("name"=>$select_name,"onclick"=>"sendTabReload('','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>"min-width:80px;"));
					

					$tab_menu_class								= "mc-tab-menu-off";
					foreach($tab_menu as $value){
						if($value==$data['category'.$tab_index]) $tab_menu_class			= "mc-tab-menu-on";
						else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])) $tab_menu_class			= "mc-tab-menu-on";
						else $tab_menu_class			= "mc-tab-menu-off";						
					
						$widget_html	.= mbw_get_btn_template(array("name"=>esc_html($value),"onclick"=>"sendTabReload('".esc_js($value)."','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>"min-width:80px;"));			
					}
				$widget_html	.= '</div></div>';
			
			}else if($template=="tab-basic-8"){
				
				if(empty($data['focus_text_color'])) $focus_text_color			= "#888 !important;";
				else $focus_text_color			= $data['focus_text_color']." !important;";

				if(empty($data['focus_bg_color'])) $focus_bg_color			= "#fff !important;";
				else $focus_bg_color			= $data['focus_bg_color']." !important;";

				if(empty($data['text_color'])) $text_color			= "#888 !important;";
				else $text_color			= $data['text_color']." !important;";

				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-8 button span{color:'.esc_attr($text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-8 button.mc-tab-menu-on span{color:'.esc_attr($focus_text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-8 button.mc-tab-menu-on{border-bottom:1px solid '.esc_attr($focus_bg_color).'}';
				$widget_html	.= '</style>';
				
				$widget_html	.= '<div style="text-align:center;">';
				$widget_html	.= '<div class="mc-tab-basic-8" style="">';
					if($data['category'.$tab_index]=="") $tab_menu_class			= "mc-tab-menu-on";
					else $tab_menu_class			= "mc-tab-menu-off";

					$select_name		= __MW("W_PRODUCT_TOTAL");
					if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
						$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
					}
					
					$widget_html	.= mbw_get_btn_template(array("name"=>$select_name,"onclick"=>"sendTabReload('','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>""));
					

					$tab_menu_class								= "mc-tab-menu-off";
					foreach($tab_menu as $value){
						if($value==$data['category'.$tab_index]) $tab_menu_class			= "mc-tab-menu-on";
						else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])) $tab_menu_class			= "mc-tab-menu-on";
						else $tab_menu_class			= "mc-tab-menu-off";						
					
						$widget_html	.= mbw_get_btn_template(array("name"=>esc_html($value),"onclick"=>"sendTabReload('".esc_js($value)."','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>""));			
					}
				$widget_html	.= '</div></div>';
				
			}else if($template=="tab-basic-9"){
				
				if(empty($data['focus_text_color'])) $focus_text_color			= "#888 !important;";
				else $focus_text_color			= $data['focus_text_color']." !important;";

				if(empty($data['focus_bg_color'])) $focus_bg_color			= "#fff !important;";
				else $focus_bg_color			= $data['focus_bg_color']." !important;";

				if(empty($data['text_color'])) $text_color			= "#888 !important;";
				else $text_color			= $data['text_color']." !important;";

				
				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-9 button span{color:'.esc_attr($text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-9 button.mc-tab-menu-on span{color:'.esc_attr($focus_text_color).'}';
				$widget_html	.= '</style>';
				
				$widget_html	.= '<div style="text-align:center;">';
				$widget_html	.= '<div class="mc-tab-basic-9" style="">';
					if($data['category'.$tab_index]=="") $tab_menu_class			= "mc-tab-menu-on";
					else $tab_menu_class			= "mc-tab-menu-off";

					$select_name		= __MW("W_PRODUCT_TOTAL");
					if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
						$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
					}
					
					$widget_html	.= mbw_get_btn_template(array("name"=>$select_name,"onclick"=>"sendTabReload('','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>""));
					

					$tab_menu_class								= "mc-tab-menu-off";
					foreach($tab_menu as $value){
						if($value==$data['category'.$tab_index]) $tab_menu_class			= "mc-tab-menu-on menu-item";
						else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])) $tab_menu_class			= "mc-tab-menu-on menu-item";
						else $tab_menu_class			= "mc-tab-menu-off menu-item";						
					
						$widget_html	.= mbw_get_btn_template(array("name"=>esc_html($value),"onclick"=>"sendTabReload('".esc_js($value)."','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>""));			
					}
				$widget_html	.= '</div></div>';
			}else if($template=="tab-basic-10"){

				if(empty($data['focus_text_color'])) $focus_text_color			= "#888 !important;";
				else $focus_text_color			= $data['focus_text_color']." !important;";

				if(empty($data['text_color'])) $text_color			= "#888 !important;";
				else $text_color			= $data['text_color']." !important;";
				
				$widget_html	.= '<style type="text/css">';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-10 button span{color:'.esc_attr($text_color).'}';
					$widget_html	.= '.mb-board.mc-widget-category .mc-tab-basic-10 button.mc-tab-menu-on span{color:'.esc_attr($focus_text_color).'}';
				$widget_html	.= '</style>';
				
				$widget_html	.= '<div style="text-align:center;">';
				$widget_html	.= '<div class="mc-tab-basic-10" style="">';
					if($data['category'.$tab_index]=="") $tab_menu_class			= "mc-tab-menu-on";
					else $tab_menu_class			= "mc-tab-menu-off";

					$select_name		= __MW("W_PRODUCT_TOTAL");
					if($tab_index>1 && empty($shortcode_data['category'.($tab_index-1)])){
						$select_name	.= 	'<span>(<span>'.$category_param[$tab_index-2].'</span>)</span>';
					}
					
					$widget_html	.= mbw_get_btn_template(array("name"=>$select_name,"onclick"=>"sendTabReload('','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>""));					

					$tab_menu_class								= "mc-tab-menu-off";
					foreach($tab_menu as $value){
						if($value==$data['category'.$tab_index]) $tab_menu_class			= "mc-tab-menu-on menu-item";
						else if(!empty($category_array[$tab_index]) && in_array($value, $category_array[$tab_index])) $tab_menu_class			= "mc-tab-menu-on menu-item";
						else $tab_menu_class			= "mc-tab-menu-off menu-item";						
					
						$widget_html	.= mbw_get_btn_template(array("name"=>esc_html($value),"onclick"=>"sendTabReload('".esc_js($value)."','".esc_js($tab_index)."')","class"=>$tab_menu_class,"style"=>""));			
					}
				$widget_html	.= '</div></div>';
			}
		}else if(strpos($template, "text")===0 && $category_text!=""){
			if($template=="text-basic-1"){
				$category_text					= implode(" / ",$category_param);
				$widget_html			= "<div>".$category_text."</div>";
			}else{
			}
		}		
		$widget_html		.= $add_script;
		if(has_filter('mf_widget_html')) $widget_html		= apply_filters("mf_widget_html", $widget_html, $data, $widget_name);
		return $widget_html;
	}
}
?>