<?php
$desktop_model					= array();
$tablet_model					= array();
$mobile_model					= array();
$desktop_model['version']		= "1.0.0";

$desktop_model['list']		= '
{"field":"fn_pid","name":"번호","width":"50px","class":"num","type":"pid","class":"pid","responsive":"mb-hide-mobile mb-hide-tablet"},
{"field":"fn_coupon_title","name":"쿠 폰","width":"","type":"commerce_coupon_title","td_class":"text-left"},
{"name":"","name_btn":"쿠폰 사용","width":"90px","type":"commerce_btn_list_coupon"},
';

$desktop_model['list_admin']		= '
{"type":"list_check","width":"50px","mobile_width":"30px","level":"10","class":"list_check"},
{"field":"fn_pid","name":"번호","width":"50px","class":"num","type":"pid","class":"pid","responsive":"mb-hide-mobile mb-hide-tablet"},
{"field":"fn_user_name","name":"회원 이름","width":"140px","type":"commerce_coupon_name_pid","link":"view"},
{"field":"fn_title","name":"쿠폰 제목","type":"search"},
{"field":"fn_coupon_id","name":"쿠폰 ID","type":"search"},
{"field":"fn_coupon_title","name":"쿠 폰","width":"","mobile_width":"120px","type":"commerce_coupon_title","td_class":"text-left","search":"false","link":"view"},
{"field":"fn_reg_date","name":"등록일/사용일","width":"140px","type":"commerce_reg_date_use_date","responsive":"mb-hide-mobile","search":"false"},
{"field":"fn_start_date","name":"시작일","width":"90px","type":"text","mobile_width":"90px","class":"text-center"},
{"field":"fn_end_date","name":"종료일","width":"90px","type":"text","mobile_width":"90px","class":"text-center"},
{"field":"fn_is_use","name":"사용여부","width":"70px","type":"select","data":"0,1,2","label":"미사용,사용,취소","search":"false"},
{"field":"admin_btn","name":"","name_btn":"W_MODIFICATION","width":"70px","type":"admin_option_modify"}
';

//글보기 스킨 수정
$desktop_model['view']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글보기","width":"20%,*","mobile_width":"90px,*","class":"table table-view"},
{"field":"fn_pid","name":"번호","width":"60px"},
{"field":"fn_coupon_title","name":"쿠폰 제목","width":"100%","type":"commerce_coupon_title"},
{"field":"fn_coupon_type","name":"쿠폰 타입","width":"100%","data":"product_discount,point,point_id,point_gift","label":"할인 쿠폰,포인트 쿠폰,쿠폰ID,포인트 선물 쿠폰"},
{"field":"fn_coupon_value","name":"쿠폰 포인트/할인 금액","width":"100%"},
{"field":"fn_target_type","name":"쿠폰 대상/할인 기준금액","width":"100%"},
{"field":"fn_coupon_id","name":"쿠폰 ID","width":"100%","display_check":"empty:none"},
{"field":"fn_target_pid","name":"회원 Pid","width":"100%","display_check":"empty:none"},
{"field":"fn_target_name","name":"회원 이름","width":"100%","display_check":"empty:none"},
{"field":"fn_reg_date","name":"등록일","width":"100%"},
{"field":"fn_use_date","name":"사용일","width":"100%"},
{"field":"fn_start_date","name":"유효기간 시작일","width":"100%"},
{"field":"fn_end_date","name":"유효기간 종료일","width":"100%"},
{"tpl":"tag","tag_name":"table","type":"end"}
';


//글작성 스킨 수정
$desktop_model['write']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글쓰기","width":"20%,*","mobile_width":"90px,*","class":"table table-write"},
{"field":"fn_coupon_title","name":"쿠폰 제목","width":"300px","mobile_width":"100%"},
{"field":"fn_coupon_type","name":"쿠폰 타입","width":"300px","mobile_width":"100%","type":"select","data":"product_discount,point","label":"할인 쿠폰,포인트 쿠폰"},
{"field":"fn_coupon_value","name":"쿠폰 포인트/할인 금액","width":"300px","mobile_width":"100%","default":"1000"},
{"field":"fn_target_type","name":"쿠폰 대상/할인 기준금액","width":"300px","mobile_width":"100%","default":"user"},
{"field":"fn_user_pid","name":"회원 Pid","width":"300px","mobile_width":"100%","description":"<br>(쿠폰을 지급할 회원 Pid를 입력합니다)"},
{"field":"fn_user_name","name":"회원 이름","width":"300px","mobile_width":"100%","description":"<br>(쿠폰을 지급할 회원 이름을 입력합니다)"},
{"field":"fn_start_date","name":"유효기간 시작일","width":"300px","mobile_width":"100%","type":"text_calendar","class":"show-datepicker"},
{"field":"fn_end_date","name":"유효기간 종료일","width":"300px","mobile_width":"100%","type":"text_calendar","class":"show-datepicker"},
{"field":"fn_is_use","name":"사용여부","width":"300px","mobile_width":"100%","type":"select","data":"0,1,2","label":"미사용,사용,취소","write":"none","reply":"none"},
{"tpl":"tag","tag_name":"table","type":"end"}
';

$tablet_model										= $desktop_model;
$mobile_model										= $desktop_model;
$mb_words["Write"]									= "W_COUPON_WRITE";
$mb_languages["MSG_LIST_ITEM_EMPTY"]	= $mb_languages["MSG_LIST_COUPON_ITEM_EMPTY"];
mbw_set_messages($mb_languages);
mbw_set_fields("select_board",$mb_fields["commerce_coupon"]);

if(!function_exists('mbw_get_rand_coupon_template')){
	function mbw_get_rand_coupon_template(){
		$template_html		= "";
		
		$template_html		= mbw_get_item_template("user",array("type"=>"text","item_name"=>"coupon_title","item_id"=>"coupon_title","data"=>"","width"=>"150px","class"=>"margin-right-5","placeholder"=>"쿠폰 제목(생략가능)"))."";	
		wp_enqueue_style('jquery-ui-css');
		$template_html		.= '<input class="show-datepicker" placeholder="시작일(생략가능)" style="width:130px;" name="coupon_start_date" id="coupon_start_date" title="" value="" type="text"> ';
		$template_html		.= '<input class="show-datepicker" placeholder="종료일(생략가능)" style="width:130px;" name="coupon_end_date" id="coupon_end_date" title="" value="" type="text"> ';
		
		$template_html		.= mbw_get_item_template("user",array("item_name"=>"coupon_count","type"=>"select","width"=>"110px","data"=>"10,50,100,500,1000","label"=>"10개(포인트),50개(포인트),100개(포인트),500개(포인트),1000개(포인트),","class"=>"margin-right-5"));
		$template_html		.= mbw_get_item_template("user",array("type"=>"number","item_name"=>"give_point","item_id"=>"give_point","data"=>"","width"=>"80px","max"=>"100000","step"=>"100","value"=>"0","class"=>"margin-right-5 text-right"));
		$template_html		.= mbw_get_btn_template(array("name"=>"Create_Coupon","onclick"=>"checkCreateRandCoupon('create_coupon')","class"=>"btn btn-default"));
		mbw_add_left_button("list",$template_html);

		$titles	= "쿠폰번호,쿠폰 포인트";
		$fields	= "fn_coupon_id,fn_coupon_value";
		mbw_add_left_button("list",mbw_get_btn_template(array("name"=>"Excel_Save","onclick"=>"sendCommerceExcelData('".$fields."','".$titles."','search_add_field1=fn_coupon_type&search_add_text1=point_id&search_add_field2=fn_is_use&search_add_text2=0')","class"=>"btn btn-default")));
		mbw_add_left_button("list","<br>(오프라인 쿠폰 발급에 필요한 쿠폰 키를 생성하고 Excel로 저장할 수 있습니다)");
	}	
}
if(!function_exists('mbw_commerce_coupon_skin_footer')){
	function mbw_commerce_coupon_skin_footer(){
		if(mbw_is_admin_page() && mbw_get_param("mode")=="list"){
			echo '<script type="text/javascript">jQuery(document).ready(function(){';
				echo 'jQuery("input[type=\'text\'],select",jQuery("#tbl_board_list")).on("input",function(){  var objTarget	= jQuery(this).closest("tr").find("input[name=\'check_array[]\']"); if(!objTarget.is(":checked")){ objTarget.trigger("click"); }	}); ';
			echo '}); </script>';
		}
	}
}
add_action('mbw_board_skin_footer', 'mbw_commerce_coupon_skin_footer',5);
if(mbw_is_login()){	
	//관리자 모드가 아니면 본인글만 보이도록 설정
	if(!mbw_is_admin_page()){
		mbw_set_board_where(array("field"=>"fn_user_pid", "value"=>mbw_get_user("fn_pid")));
		mbw_set_board_where(array("field"=>"fn_is_use", "value"=>"0"));
		mbw_set_board_where(array("field"=>"fn_end_date", "value"=>"", "prefix"=>"(", "operator"=>"or"));
		$today_date			= mbw_get_current_date();
		mbw_set_board_where(array("field"=>"fn_end_date", "sign"=>">=", "value"=>$today_date, "suffix"=>")"));
		mbw_set_option("use_list_button",0);
	}else{
		add_action('mbw_board_skin_search', 'mbw_get_date_search_template');		// 기간 설정 템플릿 추가
		add_action('mbw_board_skin_header', 'mbw_get_rand_coupon_template');
		if(mbw_get_request_mode()=="Frontend"){
			$button_html		= mbw_get_btn_template(array("name"=>"Modify","onclick"=>"sendBoardListData({'mode':'list','board_action':'multi_modify'})","class"=>"btn btn-default"));
			mbw_add_left_button("list",$button_html);
		}			
	}
}else{
	if(mbw_get_request_mode()=="Frontend"){
		mbw_set_result_data(array("state"=>"error","script"=>mbw_get_move_script("login")));
	}else exit;
}

?>