<?php
$desktop_model					= array();
$tablet_model						= array();
$mobile_model					= array();
$desktop_model['version']		= "1.0.0";

// Board Model
$desktop_model['list']		= '
{"type":"list_check","width":"50px","level":"10","class":"list_check"},
{"field":"fn_pid","name":"번호","width":"50px","class":"num","type":"pid","class":"pid","responsive":"mb-hide-mobile mb-hide-tablet"},
{"field":"fn_title","name":"제목","width":"","type":"title_img","maxlength":"100","maxtext":"..","td_class":"text-left"},
{"field":"fn_user_name","name":"작성자","width":"115px","class":"user_name"},
{"field":"fn_content","name":"내용","type":"search"},
{"field":"fn_reg_date","name":"날짜","width":"85px","type":"date","class":"date","responsive":"mb-hide-mobile"},
{"field":"fn_hit","name":"조회","width":"60px","class":"hit","responsive":"mb-hide-mobile mb-hide-tablet"}
';

$desktop_model['list_gallery']		= '
{"field":"fn_image_path","name":"이미지","width":"100%","height":"250px","type":"img_ratio","class":"img","td_class":"img-border","link":"view","td_class":"gallery-item-img"},
{"field":"fn_title","name":"제목","width":"","type":"title","maxlength":"7","maxtext":"..","td_class":"text-left"},
{"field":"fn_reg_date","name":"날짜","width":"115px","type":"gallery_date","td_class":"date"},
{"field":"fn_user_name","name":"작성자","width":"115px","td_class":"name"}
';
$desktop_model['list_calendar']		= '
{"field":"fn_title","name":"제목","width":"","type":"title","maxlength":"8","maxtext":"..","td_class":"text-left"}
';


//글보기 스킨 수정
$desktop_model['view']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글보기","width":"20%,*","mobile_width":"80px,*","class":"table table-view"},
{"field":"fn_title","name":"제목","width":"100px","type":"title","class":"text-left"},
{"field":"fn_category1","name":"카테고리","width":"100px","type":"category1","class":"category"},
{"field":"fn_user_name","name":"작성자","width":"100px","class":"user_name"},
{"field":"fn_text","name":"수신자 이메일","width":"100%"},
{"field":"file_download","name":"첨부파일","width":"100px","type":"file_download","class":"file-download"},
{"field":"fn_content","name":"내용","width":"60px","type":"content","td_class":"content-box","colspan":"2"},
{"tpl":"tag","tag_name":"table","type":"end"}
';

//글작성 스킨 수정
$desktop_model['write']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글쓰기","width":"20%,*","mobile_width":"80px,*","class":"table table-write"},
{"field":"fn_title","name":"제목","width":"99%","required":"(*)","class":"text-left","required_error":"MSG_FIELD_EMPTY_ERROR2"},
{"field":"fn_text","name":"수신자 이메일","width":"99%","type":"textarea","class":"text-left","required_error":"MSG_FIELD_EMPTY_ERROR2","description":"<br>(이메일을 최대 20명까지 쉼표로 구분해서 입력해 주세요)"},
{"field":"fn_category1","name":"카테고리","width":"100px","type":"category1","class":"category","display":"hide"},
{"field":"fn_user_name","name":"작성자","width":"150px","modify":"text_static","maxlength":"20","display_check":"login:none","required":"(*)","class":"user_name"},
{"field":"fn_passwd","name":"비밀번호","width":"150px","display_check":"login:hide","maxlength":"16","type":"password","required":"(*)","class":"passwd"},
{"field":"fn_content","name":"내용","width":"100%","type":"content","class":"content","colspan":"2","td_class":"content-box","required_error":"MSG_FIELD_EMPTY_ERROR2"},
{"field":"fn_file1","name":"파일1","width":"300px","type":"file","class":"file"},
{"type":"kcaptcha_img","name":"자동등록방지","width":"50px","height":"30px","class":"kcaptcha","level":{"sign":"<","grade":"1"},"modify":"none","description":"<br>(자동등록방지 숫자를 순서대로 입력해 주세요)"},
{"tpl":"tag","tag_name":"table","type":"end"}
';


// Comment Model
$desktop_model['comment_list']		= '
{"field":"fn_user_name","name":"작성자","width":"100px","class":"cmt-name","type":"cl_name_date"},
{"field":"fn_content","name":"내용","width":"60px","type":"content","class":"cmt-content","type":"cl_content"}
';

$desktop_model['comment_write']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"댓글","width":"20%,*","mobile_width":"80px,*","class":"table table-comment"},
{"field":"fn_user_name","name":"작성자","width":"100px","login":"cw_name","required":"(*)","class":"user_name"},
{"field":"fn_passwd","name":"비밀번호","width":"100px","login":"none","type":"password","required":"(*)","class":"passwd"},
{"type":"kcaptcha_img","name":"자동등록방지","width":"50px","height":"30px","class":"kcaptcha","level":{"sign":"<","grade":"1"},"modify":"none","description":"<br>(자동등록방지 숫자를 순서대로 입력해 주세요)"},
{"field":"fn_content","name":"내용","width":"100%","type":"cw_content","required":"(*)","class":"comment","required_error":"MSG_FIELD_EMPTY_ERROR2"},
{"tpl":"tag","tag_name":"table","type":"end"}
';
$desktop_model['comment_reply']	= $desktop_model['comment_write'];


// Tablet Model
$tablet_model					= $desktop_model;

// Mobile Model
$mobile_model				= $desktop_model;

$mobile_model['list']		= '
{"type":"list_check","width":"50px","level":"10","class":"list_check"},
{"field":"fn_title","name":"제목","width":"","type":"title","maxlength":"30","maxtext":"..","td_class":"list-title"}
';


//Filter 사용방법 : 필터에 등록된 단어가 포함되어 있을 경우 에러 출력 (관리자 레벨 이하인 회원에게만 적용)
//{"field":"fn_title","name":"제목","width":"100px","type":"title","required":"(*)","filter":"filter_swear","filter_error":"금지어가 포함되어 있습니다"},
mbw_set_filter("filter_swear","18아,18놈,18새끼,18년,18뇬,18노,18것,18넘,개년,개놈,개뇬,개새,개색끼,개세끼,개세이,개쉐이,개쉑,개쉽,개시키,개자식,개좆,게색기,게색끼,광뇬,뇬,눈깔,뉘미럴,니귀미,니기미,니미,도촬,되질래,뒈져라,뒈진다,디져라,디진다,디질래,병쉰,병신,뻐큐,뻑큐,뽁큐,삐리넷,새꺄,쉬발,쉬밸,쉬팔,쉽알,스패킹,스팽,시벌,시부랄,시부럴,시부리,시불,시브랄,시팍,시팔,시펄,실밸,십8,십쌔,십창,싶알,쌉년,썅놈,쌔끼,쌩쑈,썅,써벌,썩을년,쎄꺄,쎄엑,쓰바,쓰발,쓰벌,쓰팔,씨8,씨댕,씨바,씨발,씨뱅,씨봉알,씨부랄,씨부럴,씨부렁,씨부리,씨불,씨브랄,씨빠,씨빨,씨뽀랄,씨팍,씨팔,씨펄,씹,아가리,아갈이,엄창,접년,잡놈,재랄,저주글,조까,조빠,조쟁이,조지냐,조진다,조질래,존나,존니,좀물,좁년,좃,좆,좇,쥐랄,쥐롤,쥬디,지랄,지럴,지롤,지미랄,쫍빱,凸,퍽큐,뻑큐,빠큐,ㅅㅂㄹㅁ");
mbw_set_filter("filter_admin","admin,administrator,관리자,운영자");


mbw_set_pattern("email","/^[^@.]{4,}@[0-9a-z-.]{3,}$/");


$mb_words["Write"]		= "메일 작성";



//수신자에게 이메일 보내기
if(!function_exists('mbw_commerce_send_mail_api_footer')){
	function mbw_commerce_send_mail_api_footer(){	
		global $mdb,$mb_fields,$mb_board_table_name,$mstore;
		$where_query			= "";
		$query_command	= "";
		$field						= $mb_fields["select_board"];

		if(mbw_get_param("mode")=="write"){
			$from					= "";
			$to						= mbw_get_param("text");
			$title						= mbw_get_param("title");
			$content				= mbw_get_param("content");
			if(!empty($to) && !empty($title) && !empty($content )){
				//메일 발송 이메일 설정
				add_filter( 'wp_mail_from', 'mbw_commerce_wp_mail_from' );
				function mbw_commerce_wp_mail_from( $email ) {
					$from	= mbw_get_option("admin_email");		//망보드 관리자 이메일
					if(empty($from)) $from		= get_option("admin_email");  //워드프레스 관리자 이메일
					if(strpos($from, ',')!==false){				// 메일이 쉼표로 여러개 입력되어 있을 경우 첫번째 이메일을 발송 이메일로 설정
						$email_array	= explode(",",$from);
						$from			= $email_array[0];
					}
					return $from;					
				}
				//메일 발송 이름 설정
				add_filter( 'wp_mail_from_name', 'mbw_commerce_wp_mail_from_name' );
				function mbw_commerce_wp_mail_from_name( $name ) {
					return mbw_get_option("commerce_name");		//쇼핑몰 이름
				}
				$headers			= array('Content-Type: text/html; charset=UTF-8');
				$attachments		= array();
				if(!empty($_FILES)){
					$file_data			= $mstore->get_board_files(mbw_get_param("board_pid"));
					if(!empty($file_data)){
						foreach($file_data as $file){
							$attachments[]		= MBW_UPLOAD_PATH.$file[$mb_fields["files"]["fn_file_path"]];
						}
					}
				}
				$send_email		= array();
				if(strpos($to, ',')!==false){
					$to					= str_replace(array(", "," ,"),",", trim($to));
					$send_email		= explode(",",$to);
				}else{
					$send_email[]	= trim($to);
				}
				if(!empty($send_email)){
					foreach($send_email as $value){
						if(function_exists('mbw_mail')) mbw_mail( $value, wp_specialchars_decode($title), $content, $headers, $attachments);
						else wp_mail( $value, wp_specialchars_decode($title), $content, $headers, $attachments);
					}
				}
			}
		}	
	}
}
add_action('mbw_board_api_footer', 'mbw_commerce_send_mail_api_footer',5); 

mbw_set_param("category1","email");

if(!function_exists('mbw_mail_skin_header')){
	function mbw_mail_skin_header(){
		global $mdb,$mb_fields,$mb_commerce_tables;		
		if(mbw_get_param("check_array")!=""){	
			$checked_pid			= ",".implode(",",mbw_get_param("check_array")).",";
			$email_array			= mbw_get_param("user_email_array");	
			$pid_array				= mbw_get_param("pid_array");	
			$count					= count($pid_array);
			$send_email			= array();

			for($i=0;$i<$count;$i++){
				if(strpos($checked_pid, ",".$pid_array[$i].",")!==false){
					if(!empty($pid_array[$i]) && !empty($email_array[$i])){
						$send_email[]		= $email_array[$i];
					}
				}
			}
			if(!empty($send_email)) mbw_set_board_item("fn_text",implode(",",$send_email));
		}
		if(mbw_get_param("mail_form_pid")!=""){		//메일 양식이 선택되었을 경우 메일 양식 가져오기
			$query			= $mdb->prepare("select ".$mb_fields["board"]["fn_content"].",".$mb_fields["board"]["fn_title"]." from ".$mb_commerce_tables["commerce_notification"]." where ".$mb_fields["board"]["fn_pid"]."=%d", mbw_get_param("mail_form_pid"));
			$mail_data		= $mdb->get_row($query,ARRAY_A);
			if(!empty($mail_data[$mb_fields["board"]["fn_title"]])) mbw_set_board_item("fn_title",$mail_data[$mb_fields["board"]["fn_title"]]);
			if(!empty($mail_data[$mb_fields["board"]["fn_content"]])) mbw_set_board_item("fn_content",$mail_data[$mb_fields["board"]["fn_content"]]);
		}
	}
}

mbw_set_board_where(array("field"=>"fn_category1", "value"=>"email"));

if(mbw_is_admin_page()){		//어드민 페이지에서만 실행
	if(mbw_get_request_mode()=="Frontend"){		// 게시판 모드일 경우에만
		if(mbw_get_param("board_action")=="write"){
			add_action('mbw_board_skin_header', 'mbw_mail_skin_header',6);				
		}		
	}
}
?>