<?php
$desktop_model					= array();
$tablet_model					= array();
$mobile_model				= array();
$desktop_model['version']		= "1.0.0";


$desktop_model['list']		= '
{"type":"list_check","width":"50px","mobile_width":"28px","class":"list_check"},
{"field":"fn_reg_date","name":"주문일자","width":"136px","type":"commerce_order_date","class":"commerce_order_date","search":"false","responsive":"mb-hide-mobile"},
{"field":"fn_order_products","name":"주문 상품 정보","width":"","mobile_width":"210px","type":"commerce_order_products_admin","class":"","td_style":"text-align:left"},
{"field":"fn_user_name","name":"주문자","type":"search"},
{"field":"fn_order_count","name":"수량","width":"60px","responsive":"mb-hide-mobile","format":"개","type":"commerce_order_count_text","search":"false"},
{"field":"fn_order_price","name":"결제금액","type":"commerce_sales_table_price","width":"120px","order":"false","responsive":"mb-hide-mobile mb-hide-tablet"},
{"name":"주문상태","width":"115px","mobile_width":"104px","type":"commerce_btn_list_order_admin","class":"commerce_btn_list_order_admin","td_class":"mb-order-state","search":"false"},
';


$desktop_model['list_admin']		= '
{"type":"list_check","width":"50px","mobile_width":"28px","class":"list_check"},
{"field":"fn_reg_date","name":"주문일자","width":"136px","type":"commerce_order_date","class":"commerce_order_date","search":"false","responsive":"mb-hide-mobile"},
{"field":"fn_order_products","name":"주문 상품 정보","width":"","mobile_width":"220px","type":"commerce_order_products_admin","class":"","td_style":"text-align:left"},
{"field":"fn_product_pid","name":"상품번호","type":"search"},
{"field":"fn_user_name","name":"주문자","width":"120px","class":"user_name","responsive":"mb-hide-mobile mb-hide-tablet"},
{"field":"fn_user_pid","name":"주문자(PID)","type":"search"},
{"field":"fn_user_email","name":"이메일(연락처)","width":"150px","search":"false","type":"commerce_user_email_phone","responsive":"mb-hide-mobile mb-hide-tablet"},
{"field":"fn_user_email","name":"이메일","type":"search"},
{"field":"fn_user_phone","name":"연락처","type":"search"},
{"field":"fn_order_count","name":"수량","width":"60px","responsive":"mb-hide-mobile","format":"개","type":"commerce_order_count_text","search":"false"},
{"field":"fn_order_price","name":"결제금액","type":"commerce_sales_table_price","width":"120px","responsive":"mb-hide-mobile mb-hide-tablet"},
{"name":"주문상태","width":"115px","mobile_width":"104px","type":"commerce_btn_list_order_admin","class":"commerce_btn_list_order_admin","td_class":"mb-order-state","search":"false"},
';


//주문내역, 주문목록 글보기 모델 수정
$desktop_model['view']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글보기","width":"17%,*","mobile_width":"90px,*","class":"table table-order"},
{"field":"fn_billing_id","name":"주문번호","width":"300px","type":"commerce_billing_id_receipt"},
{"field":"fn_reg_date","name":"주문일자","width":"300px"},
{"field":"fn_pay_method","name":"주문상태","width":"300px","type":"commerce_pay_method"},
{"field":"fn_pay_cancel_reason","name":"결제취소/이유","width":"170px","type":"commerce_pay_cancel","placeholder":"취소 사유를 입력해 주세요","class":"margin-right-5"},
{"field":"fn_user_email","name":"이메일","width":"300px","display_check":"empty:none"},
{"field":"fn_user_phone","name":"연락처","width":"300px","display_check":"empty:none"},
{"field":"fn_order_price","name":"결제금액","width":"300px","format":"currency","type":"commerce_order_price_shipping"},
{"field":"fn_order_count","name":"주문수량","width":"70px","format":"개","type":"commerce_order_count_text"},
{"field":"fn_pay_bank_account","name":"입금계좌","width":"300px","display_check":"empty:none"},
{"field":"fn_order_products","name":"주문 상품 정보","width":"","type":"commerce_order_products_complete","class":"commerce_order_products","colspan":"2"},
{"field":"fn_shipping_address1","name":"배송지 정보","width":"","type":"commerce_address_view_shipping","class":"commerce_address_view_shipping"},
{"field":"fn_order_memo","name":"배송 요구사항","width":"","display_check":"empty:none"},
{"field":"fn_shipping_info","name":"배송 정보","width":"","type":"commerce_shipping_info","class":"commerce_shipping_info"},
{"tpl":"tag","tag_name":"table","type":"end"}
';

$desktop_model['view_admin']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글보기","width":"17%,*","mobile_width":"90px,*","class":"table table-order"},
{"field":"fn_billing_id","name":"주문번호","width":"300px","type":"commerce_billing_id_receipt"},
{"field":"fn_reg_date","name":"주문일자","width":"300px"},
{"field":"fn_pay_method","name":"주문상태","width":"300px","type":"commerce_pay_method"},
{"field":"fn_pay_cancel_reason","name":"결제취소/이유","width":"170px","type":"commerce_pay_cancel","placeholder":"취소 사유를 입력해 주세요","class":"margin-right-5"},
{"field":"fn_user_name","name":"주문자","width":"100px"},
{"field":"fn_user_email","name":"이메일","width":"300px","display_check":"empty:none"},
{"field":"fn_user_phone","name":"연락처","width":"300px","display_check":"empty:none"},
{"field":"fn_order_price","name":"결제금액","width":"300px","format":"currency","type":"commerce_order_price_shipping"},
{"field":"fn_order_count","name":"주문수량","width":"70px","format":"개","type":"commerce_order_count_text"},
{"field":"fn_order_products","name":"주문 상품 정보","width":"","type":"commerce_order_products_complete","class":"commerce_order_products","colspan":"2"},
{"field":"fn_buyer_address1","name":"주문자 정보","width":"","type":"commerce_address_view_buyer","class":"commerce_address_view_buyer"},
{"field":"fn_shipping_address1","name":"배송지 정보","width":"","type":"commerce_address_view_shipping","class":"commerce_address_view_shipping"},
{"field":"fn_order_memo","name":"배송 요구사항","width":"","display_check":"empty:none"},
{"field":"fn_shipping_info","name":"배송 정보","width":"","type":"commerce_shipping_info","class":"commerce_shipping_info"},
{"field":"fn_ip","name":"IP / Agent","width":"100px","type":"admin_ip_agent2"},
{"tpl":"tag","tag_name":"table","type":"end"}
';

//결제완료 보기 모델 수정
$desktop_model['order_result_view']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글보기","width":"17%,*","mobile_width":"90px,*","class":"table table-order"},
{"field":"fn_billing_id","name":"주문번호","width":"300px","type":"commerce_billing_id_receipt"},
{"field":"fn_reg_date","name":"주문일자","width":"300px"},
{"field":"fn_order_price","name":"결제금액","width":"300px","format":"currency","type":"commerce_order_price_shipping"},
{"field":"fn_pay_bank_account","name":"입금계좌","width":"300px","display_check":"empty:none"},
{"field":"fn_order_products","name":"주문 상품 정보","width":"","type":"commerce_order_products_complete","class":"commerce_order_products","colspan":"2"},
{"field":"fn_shipping_address1","name":"배송지 정보","width":"","type":"commerce_address_view_shipping","class":"commerce_address_view_shipping"},
{"tpl":"tag","tag_name":"table","type":"end"}
';

//비회원 주문조회 모델
$desktop_model['order_search_view']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글보기","width":"17%,*","mobile_width":"90px,*","class":"table table-order"},
{"field":"fn_billing_id","name":"주문번호","width":"300px","type":"commerce_billing_id_receipt"},
{"field":"fn_reg_date","name":"주문일자","width":"300px"},
{"field":"fn_pay_method","name":"주문상태","width":"300px","type":"commerce_btn_view_order"},
{"field":"fn_order_price","name":"결제금액","width":"300px","format":"currency","type":"commerce_order_price_shipping"},
{"field":"fn_pay_bank_account","name":"입금계좌","width":"300px","display_check":"empty:none"},
{"field":"fn_order_products","name":"주문 상품 정보","width":"","type":"commerce_order_products_complete","class":"commerce_order_products","colspan":"2"},
{"field":"fn_shipping_address1","name":"배송지 정보","width":"","type":"commerce_address_view_shipping","class":"commerce_address_view_shipping"},
{"tpl":"tag","tag_name":"table","type":"end"}
';

//글작성 모델 수정
$desktop_model['write']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글쓰기","width":"200px,*","mobile_width":"90px,*","class":"table table-write"},
{"field":"fn_billing_id","name":"주문번호","width":"300px","type":"static"},
{"field":"fn_reg_date","name":"주문일자","width":"300px","type":"static"},
{"field":"fn_order_price","name":"결제금액","width":"300px"},
{"field":"fn_order_products","name":"주문 상품 정보","width":"","type":"commerce_order_products_complete","class":"commerce_order_products","colspan":"2"},
{"field":"fn_buyer_address1","name":"주문자 주소","width":"","type":"commerce_address_buyer","class":""},
{"field":"fn_user_pid","name":"주문자 회원번호","width":"","class":"","description":"<br>주문을 다른 회원에게 넘길 경우 주문을 받을 회원 번호(PID)를 입력해주세요","level":"10"},
{"field":"fn_user_name","name":"주문자 이름","width":"","class":""},
{"field":"fn_user_phone","name":"주문자 연락처","width":"","class":""},
{"field":"fn_user_email","name":"주문자 이메일","width":"","class":""},
{"field":"fn_shipping_name","name":"받는분 이름","width":"","class":""},
{"field":"fn_shipping_address1","name":"받는분 주소","width":"","type":"commerce_address_shipping","class":""},
{"field":"fn_shipping_phone","name":"받는분 연락처","width":"","class":""},
{"field":"fn_order_memo","name":"배송 요구사항","width":"","display_check":"empty:none"},
{"tpl":"tag","tag_name":"table","type":"end"}
';

$tablet_model									= $desktop_model;
$mobile_model								= $desktop_model;
mbw_set_fields("select_board",$mb_fields["commerce_order"]);

if(!function_exists('mbw_filter_board_skin_path')){
	function mbw_filter_board_skin_path($path){
		$file_path		= $path;
		if(mbw_get_param("mode")=="view" || mbw_get_param("mode")=="list"){
			$file_path["base"]			= MBW_PLUGIN_PATH."plugins/commerce/";
			$file_path["prefix"]		= "commerce-";
			$file_path["mode"]		= "order-".mbw_get_param("mode");
		}
		return $file_path;
	}
}
add_filter('mf_board_skin_path', 'mbw_filter_board_skin_path',5,1);

if(!function_exists('mbw_get_order_state_search_template')){
	function mbw_get_order_state_search_template(){
		global $mb_commerce_order_state;

		echo '<div class="border-bottom-ccc-1" style="margin-bottom:10px !important;padding:10px 0 !important;text-align:right;">';

			echo '<p class="margin-bottom-10">';
			$search_field		= 	"fn_order_state";
			$input_values		= __MW("W_ALL").",".implode(",",$mb_commerce_order_state);
			$input_keys			= ",".implode(",",array_keys($mb_commerce_order_state));
			$search_text		= 	"";
			if(mbw_get_param("search_add_field1")==$search_field){
				$search_text		= 	mbw_get_param("search_add_text1");
			}

			if(mbw_get_vars("device_type")=="mobile"){
				$input_type			= "select";
				$input_width			= "100%";
			}else if(mbw_is_admin_page()){
				$input_type			= "radio";
				$input_width			= "100px";
			}else{
				$input_type			= "select";
				$input_width			= "152px";
			}
			echo '<input type="hidden" name="search_add_field1" value="'.$search_field.'" />';
			echo mbw_get_item_template("search",array("item_name"=>"search_add_text1","type"=>$input_type,"width"=>$input_width,"data"=>$input_keys,"label"=>$input_values,"value"=>$search_text));
			echo '</p>';

			mbw_create_search_template("date_range");
		echo '</div>';
	}
}
if(!function_exists('mbw_get_order_excel_btn_template')){
	function mbw_get_order_excel_btn_template(){
		$board_name		= mbw_get_board_name();
		if(empty($board_name) && mbw_get_param("board_name")!='') $board_name		= mbw_get_param("board_name");
		if(mbw_get_param("mode")=="list" && $board_name!="commerce_order_search" && $board_name!="commerce_order_result"){
			//echo '<div style="padding-top:10px;">';
				//$titles	= "순번,주문번호,주문자 이름,주문자 이메일,주문자 연락처,품목명,수량,상품정보,배송비,결제금액,제품가격(만원),받는분 이름,받는분 연락처,우편번호1,우편번호2,주소,상세주소,총주소,메모(요청사항),등록일,주문상태,배송회사,송장번호";
				//$fields	= "m_index,fn_billing_id,fn_user_name,fn_user_email,m_phone,fn_title,fn_order_count,fn_order_products,fn_shipping_cost,fn_order_price,m_price,fn_shipping_name,fn_shipping_phone,fn_shipping_postcode,m_postcode,fn_shipping_address1,fn_shipping_address2,fn_shipping_address,fn_order_memo,fn_reg_date,fn_order_state,fn_shipping_company,fn_shipping_code";
				$fields			= "mb_option_commerce_order_excel1";
				$titles			= "mb_option_commerce_order_excel1";
				$btn_html		= mbw_get_btn_template(array("name"=>"Excel 저장","onclick"=>"sendCommerceExcelData('".$fields."','".$titles."')","class"=>"btn btn-default margin-right-5","title"=>"검색 또는 선택된 주문을 Excel 파일로 저장합니다"));
				mbw_add_left_button("list",$btn_html);
			//echo '</div>';
		}
	}
}
$mb_languages["MSG_LIST_ITEM_EMPTY"]						= '주문내역이 없습니다';
mbw_set_messages($mb_languages);

if(!function_exists('mbw_board_skin_header_order_receipt')){	
	function mbw_board_skin_header_order_receipt(){
		if(mbw_get_param('mode')=='view' && mbw_get_param('board_pid')!='' && mbw_get_option("commerce_pay_pg")=='inicis' && mbw_get_option("commerce_pg_inicis_mid")!='' && mbw_get_option("commerce_pg_inicis_key")!=''){
			
			if(mbw_get_board_item("fn_pay_state")=="complete" && mbw_get_option("use_bank_cash_receipt")){
				$receipt_btn		= "";
				$order_price		= intval(mbw_get_board_item('fn_order_price'));
				if(mbw_get_board_item('fn_pay_method')=='bank' && $order_price>0){
					if(mbw_get_board_item('fn_pay_tid')==''){
						$allow_date			= date("Y-m-d H:i:s", (mbw_get_timestamp()-(60*60*24*30)));
						if(mbw_get_board_item('fn_pay_date')>$allow_date){
							$receipt_btn	= '<a href="'.MBW_HOME_URL.'/?mb_commerce=cash_receipt&board_name=commerce_my_order&vid='.mbw_get_param('board_pid').'&billing_id='.mbw_get_board_item('fn_billing_id').'" target="_blank" class="btn btn-default" title="현금영수증 신청" type="button"><span>현금영수증 신청</span></a>';							
							$receipt_btn	.= '<button onclick="sendModifyOrderViewData(\'order_modify_cash_receipt\',\'none\');return false;" title="현금영수증 신청 마감하기" class="btn btn-default" type="button"><span>현금영수증 신청 마감하기</span></button>';
						}							
					}else if(strpos(mbw_get_board_item('fn_pay_tid'),'INI')===0){
						$receipt_btn	= '<a href="https://iniweb.inicis.com/DefaultWebApp/mall/cr/cm/Cash_mCmReceipt.jsp?noTid='.mbw_get_board_item('fn_pay_tid').'" + "&clpaymethod=22" target="_blank" class="btn btn-default" title="현금영수증 확인" type="button"><span>현금영수증 확인</span></a>';
					}
				}
				if(!empty($receipt_btn)){
					mbw_add_left_button("view",$receipt_btn);
				}
			}
		}
	}
}
add_action('mbw_board_skin_header', 'mbw_board_skin_header_order_receipt',5);

if(!function_exists('mbw_commerce_order_footer')){
	function mbw_commerce_order_footer(){
		if(mbw_is_admin_page() && mbw_get_param("mode")=="list"){
			echo '<script type="text/javascript">jQuery(document).ready(function(){';
				echo 'jQuery("input[type=\'text\'],select",jQuery("#tbl_board_list")).on("input",function(){  var objTarget	= jQuery(this).closest("tr").find("input[name=\'check_array[]\']"); if(!objTarget.is(":checked")){ objTarget.trigger("click"); }	}); ';
			echo '}); </script>';
		}
	}
}
add_action('mbw_board_skin_footer', 'mbw_commerce_order_footer',5); 

if(mbw_is_login()){
	//관리자 모드가 아니면 본인글만 보이도록 설정
	if(!mbw_is_admin_page()){
		$board_name		= mbw_get_board_name();
		if(empty($board_name) && mbw_get_param("board_name")!='') $board_name		= mbw_get_param("board_name");
		if($board_name=='commerce_order_result'){
			mbw_set_board_where(array("field"=>"fn_user_pid", "value"=>mbw_get_user("fn_pid")));
		}else{
			mbw_set_board_where(array("field"=>"fn_shop_pid", "value"=>mbw_get_user("fn_pid")));
		}
		if(!mbw_is_commerce_group()){
			mbw_set_board_option("fn_view_level",mbw_get_option("manager_level"));
		}
		mbw_set_option("use_view_prev_next",0);
	}else{
		mbw_set_board_option("fn_modify_level",mbw_get_option("admin_level"));
	}

	if((mbw_is_admin() || mbw_is_commerce_group()) && mbw_get_request_mode()=="Frontend"){		// 게시판 모드일 경우에만
		add_action('mbw_board_skin_search', 'mbw_get_order_state_search_template');		// 기간 설정 템플릿 추가
		add_action('mbw_board_skin_form', 'mbw_get_order_excel_btn_template',10);

		global $mb_commerce_order_state;
		if(mbw_get_vars("device_type")!="mobile"){
			$s_width	= "140px";
			$s_text	= "주문상태 일괄수정";
		}else{
			$s_width	= "100px";
			$s_text	= "일괄수정";
		}
		$input_values	= $s_text.",".implode(",",$mb_commerce_order_state);
		$input_keys		= ",".implode(",",array_keys($mb_commerce_order_state));
		$modify_btn		= mbw_get_item_template("search",array("item_name"=>"multi_order_state","item_id"=>"mb_multi_order_state","type"=>'select',"width"=>$s_width,"data"=>$input_keys,"label"=>$input_values,"value"=>''));
		$modify_btn		.= ' <button onclick="sendMultiOrderState();return false;" class="btn btn-default" style="width:60px" type="button"><span>수정</span></button>';
		mbw_add_left_button("list",$modify_btn);
	}
}else{
	mbw_set_board_where(array("field"=>"fn_user_pid", "value"=>0));
	if(mbw_get_request_mode()=="Frontend"){
		$board_name		= mbw_get_board_name();
		if(empty($board_name) && mbw_get_param("board_name")!='') $board_name		= mbw_get_param("board_name");
		if($board_name=="commerce_order_search" ||  $board_name=="commerce_order_result"){
		}else{
			mbw_set_result_data(array("state"=>"error","script"=>mbw_get_move_script("login")));
		}	
	}else{
		$board_name		= mbw_get_param("board_name");
		if($board_name=="commerce_order_search" ||  $board_name=="commerce_order_result"){
		}else{
			exit('order access error');
		}
	}
}
if(!function_exists('mbw_order_header_title')){
	function mbw_order_header_title($w_title){
		if(function_exists('get_the_title')) $title	= get_the_title();
		else $title	= '상품주문';
		if(is_array($w_title)){
			if(isset($w_title["title"])) $w_title["title"]		= $title;
		}else{
			$w_title		= $title;
		}
		return $w_title;
	}
}
if(mbw_get_request_mode()=="Frontend" && mbw_get_param("mode")=="view"){
	if(current_theme_supports('title-tag')){
		add_filter('document_title_parts','mbw_order_header_title',35,1);
	}else{
		add_filter('wp_title','mbw_order_header_title',35,1);
	}
}
?>