<?php
$desktop_model				= array();
$tablet_model				= array();
$mobile_model			= array();
$desktop_model['version']	= "1.0.0";

$desktop_model['list']		= '
{"type":"list_check","width":"50px","level":"10","class":"list_check"},
{"field":"fn_pid","name":"W_PID","width":"40px","class":"num","type":"pid","class":"pid","responsive":"mb-hide-mobile mb-hide-tablet"},
{"field":"fn_user_name","name":"이름(아이디)","width":"160px","search":"false","type":"commerce_user_name_id","td_style":"padding-left:10px !important;","link":"view","td_class":"text-left"},
{"field":"fn_user_name","name":"이름","type":"search"},
{"field":"fn_user_id","name":"아이디","type":"search"},
{"field":"fn_user_email","name":"이메일(핸드폰)","width":"140px","search":"false","type":"commerce_user_email_phone"},
{"field":"fn_user_email","name":"이메일","type":"search"},
{"field":"fn_user_phone","name":"핸드폰","type":"search"},
{"field":"fn_user_group","name":"W_GROUP","width":"70px","type":"text","responsive":"mb-hide-mobile mb-hide-tablet"},
{"field":"fn_user_level","name":"레벨","width":"64px","type":"select","data":"0,1,2,3,4,5,6,7,8,9,10","default":"1","description":""},
{"field":"fn_user_point","name":"포인트","width":"80px","type":"text","td_class":"text-right","td_style":"padding-right:30px !important;","style":"text-align:right;","responsive":"mb-hide-mobile mb-hide-tablet"},
{"field":"fn_payment_count","name":"결제 횟수","width":"70px","type":"commerce_user_pay_count","format":"번","td_class":"text-right","td_style":"padding-right:20px !important;","responsive":"mb-hide-mobile"},
{"field":"fn_payment_total","name":"결제 금액","width":"100px","type":"commerce_user_pay_total","format":"currency","td_class":"text-right","td_style":"padding-right:20px !important;"},
{"field":"fn_last_login","name":"가입/최종 접속일","width":"140px","type":"admin_reg_date_last_login","responsive":"mb-hide-mobile","search":"false"},
{"field":"admin_btn","name":"","name_btn":"수정","width":"60px","type":"admin_option_modify"}
';


$desktop_model['view']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"글보기","width":"15%,*","mobile_width":"90px,*","class":"table table-view"},
{"field":"fn_user_id","name":"아이디","width":"300px"},
{"field":"fn_user_name","name":"이름","width":"300px"},
{"field":"fn_user_state","name":"상태 메시지","width":"300px"},
{"field":"fn_user_level","name":"레벨","width":"300px"},
{"field":"fn_user_group","name":"그룹","width":"300px"},
{"field":"fn_user_email","name":"이메일","width":"300px"},
{"field":"fn_user_point","name":"포인트","width":"300px"},
{"field":"fn_payment_count","name":"결제 횟수","width":"300px"},
{"field":"fn_payment_total","name":"결제 금액","width":"300px"},
{"field":"fn_user_birthday","name":"생년월일","width":"300px"},
{"field":"fn_user_phone","name":"휴대폰","width":"300px"},
{"field":"fn_user_picture","name":"사진","width":"200px","type":"img_ratio"},
{"field":"fn_user_messenger","name":"메신져","width":"300px"},
{"field":"fn_user_homepage","name":"홈페이지","width":"300px"},
{"field":"fn_user_blog","name":"블로그","width":"300px"},
{"type":"user_home_address","name":"집 주소","width":"300px"},
{"field":"fn_home_tel","name":"집 전화","width":"300px"},

{"field":"fn_allow_mailing","name":"W_ACCEPT_EMAIL","width":"300px","data":"1,0","label":"'.__MW('W_ON_OFF3').'"},
{"field":"fn_allow_message","name":"W_ACCEPT_MESSAGE","width":"300px","data":"1,0","label":"'.__MW('W_ON_OFF2').'"},
{"field":"fn_login_count","name":"로그인수","width":"300px"},
{"field":"fn_write_count","name":"글쓰기수","width":"300px"},
{"field":"fn_reply_count","name":"답변수","width":"300px"},
{"field":"fn_comment_count","name":"댓글수","width":"300px"},
{"field":"fn_reg_mail","name":"메일 인증","width":"300px"},
{"field":"fn_reg_date","name":"가입 시간","width":"300px"},
{"field":"fn_last_login","name":"최종 접속일","width":"300px"},
{"field":"fn_user_memo","name":"회원 메모","width":"300px"},
{"field":"fn_admin_memo","name":"관리자 메모","level":"10","width":"300px"},
{"tpl":"tag","tag_name":"table","type":"end"}
';


$desktop_model['write']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"회원 정보 편집","width":"15%,*","mobile_width":"90px,*","class":"table table-write"},
{"field":"fn_user_id","name":"아이디","width":"300px","required":"(*)","required_action":"write","unique":"","modify":"static","maxlength":"140","pattern":"pattern_en_num_4ge","pattern_error":"아이디는 영문으로 시작하는 4~20자<br> \'영문\',\'숫자\',\'_\' 조합이여야 합니다"},
{"field":"fn_user_name","name":"이름","width":"300px","required":"(*)","maxlength":"30","pattern":"pattern_2ge","pattern_error":"이름은 최소 2자리 이상 입력하셔야 합니다"},
{"field":"fn_passwd","name":"W_PASSWORD","width":"300px","type":"password","modify":"admin_user_name_password","pattern":"pattern_4ge","pattern_error":"MSG_PASSWORD_INPUT_4MORE"},
{"field":"fn_user_group","name":"그룹","width":"300px","maxlength":"50"},
{"field":"fn_user_level","name":"레벨","width":"100px","type":"select","data":"0,1,2,3,4,5,6,7,8,9,10","default":"1","description":""},
{"field":"fn_user_email","name":"이메일","width":"300px","maxlength":"100"},
{"field":"fn_user_point","name":"포인트","width":"300px"},
{"field":"fn_payment_count","name":"결제 횟수","width":"300px"},
{"field":"fn_payment_total","name":"결제 금액","width":"300px"},
{"field":"fn_user_phone","name":"휴대폰","width":"300px"},
{"field":"fn_user_birthday","name":"생년월일","width":"300px"},
{"field":"fn_user_picture","name":"사진","width":"200px","type":"user_picture_upload"},
{"field":"fn_user_messenger","name":"메신져","width":"300px"},
{"field":"fn_user_homepage","name":"홈페이지","width":"600px"},
{"field":"fn_user_blog","name":"블로그","width":"600px"},
{"field":"fn_home_tel","name":"집 전화","width":"300px"},
{"type":"user_address_info","name":"주소","width":"100%"},
{"field":"fn_user_state","name":"상태 메시지","width":"600px","maxlength":"100"},
{"field":"fn_user_memo","name":"회원 메모","width":"600px","type":"textarea"},
{"field":"fn_admin_memo","name":"관리자 메모","level":"10","width":"600px","type":"textarea"},
{"tpl":"tag","tag_name":"table","type":"end"}
';


$tablet_model									= $desktop_model;
$mobile_model								= $desktop_model;
mbw_set_fields("select_board",$mb_fields["users"]);

mbw_set_pattern("pattern_en_num_4ge","/^[a-z]+[a-z0-9_]{3,19}$/i");
mbw_set_pattern("pattern_2ge","/^.{2,}$/");
mbw_set_pattern("pattern_4ge","/^.{4,}$/");
mbw_load_postcode_script("daum");

$mb_words["Write"]		= "W_USER_INSERT";

if(!function_exists('mbw_get_give_template')){
	function mbw_get_give_template(){
		if(mbw_get_param("mode")=="list"){
			$template_html		= "";
			$template_html		.= mbw_get_item_template("user",array("item_name"=>"give_type","type"=>"select","width"=>"110px","data"=>"coupon,point","label"=>"포인트 쿠폰,포인트","class"=>"margin-right-5"));
			$template_html		.= mbw_get_item_template("user",array("type"=>"text","item_name"=>"give_point","item_id"=>"give_point","data"=>"","width"=>"80px","max"=>"100000","step"=>"100","value"=>"0","class"=>"margin-right-5 text-right"));
			$template_html		.= mbw_get_btn_template(array("name"=>"지급하기","onclick"=>"checkGivePoint('multi_user_give')","class"=>"btn btn-default"));
			echo '<div style="height:7px;"></div>'.$template_html.' <span class="mb-description">(회원을 선택한 후 지급할 포인트를 입력해 주세요)</span>';
		}
	}
}
if(!function_exists('mbw_user_send_mail_template')){
	function mbw_user_send_mail_template(){
		if(mbw_get_param("mode")=="list"){
			$template_html		= mbw_get_item_template("view",array("type"=>"commerce_email_title_list","item_name"=>"mail_form_pid","data"=>"","value"=>"","class"=>"margin-right-5"));
			$template_html		= $template_html.mbw_get_btn_template(array("name"=>"메일 작성","onclick"=>"checkCommerceSendMail('".admin_url('admin.php')."?page=mbw_commerce_email&mode=write&board_action=write')","class"=>"btn btn-default"));
			echo '<div style="height:7px;"></div>'.$template_html.' <span class="mb-description">(메일 수신자를 선택한 후 메일 양식을 선택해 주세요)</span>';
		}
	}
}

//관리자 비밀번호 변경 처리
if(!function_exists('mbw_api_header_admin_modify_passwd')){
	function mbw_api_header_admin_modify_passwd(){
		if(mbw_is_admin() && mbw_get_param('board_action')=='admin_modify_password' && mbw_get_param('admin_modify_passwd')!=''){
			global $mdb,$mstore,$mb_admin_tables,$mb_fields;
			$user_pid			= mbw_get_param('board_pid');
			if(!empty($user_pid)){
				$user_mode		= mbw_get_option("user_mode");

				$hashed			= mbw_hash_password(mbw_get_param("admin_modify_passwd"));
				$mdb->query($mdb->prepare("update ".$mb_admin_tables["users"]." set ".$mb_fields["users"]["fn_passwd"]."='".$hashed."' where ".$mb_fields["users"]["fn_pid"]."=%d", $user_pid));
				
				if($user_mode=="WP"){
					global $wpdb;
					$user_id		= ($mdb->get_var($mdb->prepare("select ".$mb_fields["users"]["fn_user_id"]." from `".$mb_admin_tables["users"]."` where `".$mb_fields["users"]["fn_pid"]."`=%d limit 1", $user_pid)));
					$wpdb->update( $wpdb->users, array( 'user_pass' => $hashed ), array( 'user_login' => $user_id ) );
				}
				$mstore->set_result_data(array("message"=>"비밀번호가 수정되었습니다"));
			}	
		}
	}
}
add_action('mbw_board_api_header', 'mbw_api_header_admin_modify_passwd');

if(!function_exists('mbw_user_skin_footer')){
	function mbw_user_skin_footer(){
		if(mbw_is_admin_page() && mbw_get_param("mode")=="list"){
			echo '<script type="text/javascript">jQuery(document).ready(function(){';
				echo 'jQuery("input[type=\'text\'],select",jQuery("#tbl_board_list")).on("input",function(){  var objTarget	= jQuery(this).closest("tr").find("input[name=\'check_array[]\']"); if(!objTarget.is(":checked")){ objTarget.trigger("click"); }	}); ';
			echo '}); </script>';
		}
	}
}
add_action('mbw_board_skin_footer', 'mbw_user_skin_footer',5); 

if(!function_exists('mbw_get_user_date_search_template')){
	function mbw_get_user_date_search_template(){
		echo '<div class="border-bottom-ccc-1" style="margin-bottom:10px !important;padding:10px 0 !important;text-align:right;">';
			echo '<div style="float:left;" class="mb-float-mnone padding-mbottom-10">';
				echo '<input type="hidden" name="search_add_field1" value="fn_allow_mailing" />';
				echo mbw_get_item_template("category",array("field"=>"search_add_text1","type"=>"select","item_name"=>"search_add_text1","class"=>"max-width-m100","style"=>"max-width:100px;","value"=>mbw_get_param('search_add_text1'),"event"=>"onchange=\"sendSearchData()\"","label"=>'이메일 수신,수신동의,동의안함',"data"=>',1,0'));
			echo '</div>';
			mbw_create_search_template("date_range");
		echo '</div>';
	}
}
if(mbw_is_admin_page()){		//어드민 페이지에서만 실행
	if(mbw_get_request_mode()=="Frontend"){		// 게시판 모드일 경우에만
		add_action('mbw_board_skin_search', 'mbw_get_user_date_search_template',10);		// 기간 설정 템플릿 추가

		add_action('mbw_board_skin_form', 'mbw_get_give_template',10);	
		add_action('mbw_board_skin_form', 'mbw_user_send_mail_template',10);			// 이동, 복사 템플릿 추가
		
		if(mbw_is_admin()){
			$titles	= "번호,아이디,이름,레벨,그룹,이메일,휴대폰,포인트,결제 횟수,결제 금액,우편번호,집주소,집 전화,메일링 수신,로그인수,글쓰기수,답변수,댓글수,가입 시간,최종 접속일";
			$fields	= "fn_pid,fn_user_id,fn_user_name,fn_user_level,fn_user_group,fn_user_email,fn_user_phone,fn_user_point,fn_payment_count,fn_payment_total,fn_home_postcode,fn_home_address,fn_home_tel,fn_allow_mailing,fn_login_count,fn_write_count,fn_reply_count,fn_comment_count,fn_reg_date,fn_last_login";
			mbw_add_left_button("list",mbw_get_btn_template(array("name"=>"Excel 저장하기","onclick"=>"sendCommerceExcelData('".$fields."','".$titles."')","class"=>"btn btn-default","title"=>"검색 또는 선택된 회원을 Excel 파일로 저장합니다")));
		}
		$button_html		= mbw_get_btn_template(array("name"=>"Modify","onclick"=>"sendBoardListData({'mode':'list','board_action':'multi_modify'})","class"=>"btn btn-default"));
		mbw_add_left_button("list",$button_html);
	}
}else exit;
?>