<?php
	//회원 번호
	$user_pid				= (mbw_get_user('fn_pid'));

	//회원 포인트
	$user_point			= mbw_get_user('fn_user_point');

	//구매시 사용한 포인트
	$order_use_point	= $mdb->get_var($mdb->prepare("SELECT sum(use_point) from mb_commerce_order WHERE user_pid =%d AND (pay_state= 'complete' or pay_state= 'request');", $user_pid));

	//환불 예정 포인트 (환불신청,반품신청) 
	$request_item		= $mdb->get_row($mdb->prepare("SELECT sum(use_point) as use_point ,sum(product_point) as product_point from mb_commerce_order WHERE (order_state='refund_request' or order_state='return_request') and pay_state='request' and user_pid=%d;", $user_pid),ARRAY_A);
	$refund_point	= floatval($request_item["use_point"]) - floatval($request_item["product_point"]);
?>
<div class="mb-commerce-point-header-wrap" style="text-align:center;">    
	<div class="mb-commerce-point-header" style="display:inline-block;width:100%;margin:0 0 20px;background-color: #FFF;color: #555;padding: 20px 20px;border: 1px solid #dbdbdb;font-size:15px;font-weight: 600;border-radius: 5px;background-color: #fcfcfc;">
		<div style="padding: 4px 0px 4px 0;"><div class="pull-left">사용 가능 포인트</div><div class="pull-right"><span><?php echo esc_html(number_format($user_point));?></span> P</div><div class="clear"></div></div>
		<div style="padding: 4px 0px 4px 0;"><div class="pull-left">사용된 포인트</div><div class="pull-right"><span><?php echo esc_html(number_format($order_use_point));?></span> P</div><div class="clear"></div></div>		
		<div style="padding: 4px 0px 4px 0;"><div class="pull-left">환불 예정 포인트</div><div class="pull-right"><span><?php echo esc_html(number_format($refund_point));?> P</span></div><div class="clear"></div></div>
	</div>
</div>